Customizing the Development Environment

You can change the appearance and behavior of the integrated development environment (IDE) in many ways. The customization techniques described in this section are easily and non-programmatically implemented. See "Related Sections" for topics documenting the more extensive and complex environmental modifications that can be made to your working space.

In this Section

Customizing the Editor's Features and Options

Details for changing the appearance of the editor, the text it displays, and how to create editor shortcuts.

Customizing Shortcut Keys

The steps involved in creating your own shortcut key combinations for commonly used commands.

Customizing Toolbars

Instructions for adding and customizing the appearance of toolbars.

Accessibility Options

Ways to make it easier to view and manage elements of the IDE.

Related Sections

Window Management

Descriptions of windows layout options, window types, and techniques for conserving space in the IDE.

Arranging Windows

Step-by-step instructions for re-positioning user interface elements in the IDE.

Customize Dialog Box

Descriptions of the functional features of the dialog box that customize the content and format of your toolbars.


Customizing Toolbars

You can change the layout, position, and content of toolbars in the integrated development environment (IDE). You can also add buttons to toolbars and change the assigned icon for any button.

To add a new toolbar

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Toolbars tab.
  3. Choose New.
  4. In the New Toolbar dialog box, type a Toolbar name.
  5. Choose OK.

To add a command button to a toolbar

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Toolbars tab.
  3. Select and enable the toolbar you want to customize.
  4. Select the Commands tab.
  5. Go to the category that contains the command you want to add to the toolbar in Categories.
  6. Select an item in Commands.
  7. Drag the Commands item from the Customize dialog box to a toolbar of your choice.
  8. When the mouse pointer displays a plus(+) symbol, drop your item onto the toolbar.

To change toolbar button images

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Toolbars tab.
  3. Select and enable the toolbar containing the button image you want to change.
  4. Leaving the Customize dialog box open, click the button you want to change.

    A black square or rectangle indicates that the button is selected for modification.

  5. Select the Commands tab.
  6. Choose Modify Selection.
  7. Choose Change Button Image and select an alternative from the cascading menu.

    Tip If you are unsatisfied with the alternative images provided, you can customize a selected system image.

To edit button images

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Toolbars tab.
  3. Select and enable the toolbar containing the button image you want to change.
  4. Leaving the Customize dialog box open, click the button you want to change.

    A black square or rectangle indicates that the button is selected for modification.

  5. Select the Commands tab.
  6. Choose Modify Selection.
  7. Choose Edit Button Image.
  8. Use the Button Editor dialog box to customize the selected button's image.

    Note The Customize dialog box can be used to customize menus as well.


Accessibility Options

The integrated development environment contains features that make it easier for people who have low vision to read and for people who have limited dexterity to write.

To automate the entry of text and graphics

  1. Select Options from the Tools menu.
  2. Choose General from the Environment folder.
  3. Select Enable autocompletion.
  4. Choose OK.

To improve toolbar usability and accessibility, you can enlarge or add text to toolbar buttons.

To display Large icons on toolbars

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Options tab.
  3. Under Other, select the Large icons option.

To assign text to toolbar buttons

  1. Choose Customize Toolbars from the Tools menu.
  2. In the Customize dialog box, select the Toolbars tab.
  3. Select and enable the toolbar containing the button image you want to change.
  4. Leaving the Customize dialog box open, click on the button you want to change.

    A black square or rectangle indicates that the button is selected for modification.

  5. Select the Commands tab.
  6. Choose Modify Selection.
  7. Choose Image and Text.

To modify the button's displayed text

  1. Re-select Modify Selection.
  2. Adjacent to Name, insert a new caption for the selected button.


Customizing Shortcut Keys

Shortcut key combinations make it easier to complete common tasks. For example, Ctrl+C allows you to quickly copy a selected item to the clipboard.

To create or modify a shortcut key for any command

  1. Select Options from the Tools menu.
  2. In the Options dialog box, open the Environment folder.
  3. Choose Keyboard.

    When you remap existing shortcuts or assign new shortcuts to commonly used commands, you should choose a defined Keyboard mapping scheme and then create a copy for your personal use. Whereas system shortcuts in default keyboard mapping schemes cannot be modified, custom mapping schemes can.

  4. On the Keyboard page select a Keyboard mapping scheme.
  5. Choose Save As.
  6. In the Save Scheme dialog box, type a name for your new scheme.
  7. Click OK.

    Note Until modified, custom keyboard mapping schemes retain the shortcut assignments of the scheme on which they were based.

  8. In the Show commands containing text box, type a command-related keyword. For example, if you want to create a shortcut that will open a new solution, you might type "solution" in this text box.
  9. Search for and select the appropriate command in the scrolling list box.
  10. From the Use new shortcut in drop-down list, select the environment in which you wish to use your new shortcut. Choose Global if you want the shortcut to work in all contexts.
  11. Place your cursor in the Press shortcut key(s) text box.
  12. Press and hold a non-text key or combination of non-text keys (Alt, Ctrl, or Shift, for example) and type the text key of your choice.
  13. Choose Assign and OK.


Managing Tabs and Items in the Toolbox

A variety of methods are available to customize the appearance of Toolbox tabs and their items. For example, you can do the following:

  • Add and remove custom tabs.
  • Add and remove items on tabs.
  • Rename tabs and items on tabs.
  • Show all tabs, or conceal those not in use.
  • Display the tools on a tab as compact icons or in labeled lists.
  • Sort all items on a tab alphabetically.
  • Reposition items on a tab.

The Toolbox displays the General and Clipboard Ring tabs by default. Additional tabs are then displayed as you work in the various designers and editors.

To use the Clipboard Ring tab

  • To store an item on this tab, select the item and press Shift+CTRL+C, or drag the item to the Clipboard Ring tab.
  • To paste in the most recent item on the Clipboard Ring, press Shift+CTRL+V. Keep pressing Shift+CTRL+V to cycle through Clipboard Ring items until the desired entry appears.

To add a custom tab to the Toolbox

  1. Right-click on any existing tab and choose Add Tab from its shortcut menu.
  2. In the text box at the bottom of the Toolbox, type a name for the new tab and then press ENTER.

    You can then select the tab and add other items. Use custom tabs to store favorite controls, text scraps, and other frequently-used items.

    Note The new tab appears at the bottom of the Toolbox window, with the Pointer tool automatically added.

To remove a custom tab from the Toolbox

  1. Right-click the Toolbox tab you no longer need, and then choose Remove Tab.

    A message box informs you that any items on the tab will be deleted.

  2. If you still need any item on this tab, click NO, then drag the items you need to other Toolbox tabs.
  3. When you have removed all the items you need, choose Remove Tab again and click YES to delete the selected tab from the Toolbox.

To add or remove items on a Toolbox tab

  1. From the Tools menu, choose Customize Toolbox.
  2. In the Customize Toolbox dialog box, click from tab to tab to browse through available categories of Toolbox items.
  3. In each category, either

    Select the items you want to add, and deselect those you want to remove.

    — or —

    Click Browse to add items not available on the current list.

  4. Click OK to close the Customize Toolbox dialog box. New tools are added to the tab currently selected in the Toolbox. From there, you can drag them to other tabs. Items deselected in Customize Toolbox will no longer appear on their former tabs.

    Note Some controls added to the Toolbox must be registered on your computer to be used in the IDE.

To rename Toolbox tabs

  1. In the Toolbox window, right-click the desired tab, then choose Rename Tab.
  2. In the text box, type a new name for the tab and press ENTER.

To rename items on Toolbox tabs

  1. In the Toolbox window, right-click the desired tab item and choose Rename Item.
  2. In the text box, type a new name for the item, then press ENTER.

To show all tabs in the Toolbox, or conceal those not in use

  • In the Toolbox window, right-click any tab, then choose Show All Tabs.

    Note Some items displayed might not be available for use. This option toggles on and off.

To display items on a Toolbox tab as compact icons or in labeled lists

  • In the Toolbox window, right-click the desired tab, then choose List View.

    Note This option toggles on and off.

To sort the items on a Toolbox tab alphabetically

  • In the Toolbox window, right-click the desired tab, then choose Sort Items Alphabetically.

    Note This option toggles on and off.

To reposition items on a tab

  • In the Toolbox window, right-click the item you wish to reposition, then choose Move Up or Move Down.

    Note When you deselect List View to display Toolbox items as compact icons, Move Up shifts the selected icon to the left, and Move Down shifts it to the right.


Window Management

The integrated development environment includes numerous tools and options that help you manage windows in the integrated development environment (IDE).

Interface Modes

The IDE supports two different interface modes: Multiple Document Interface (MDI) and Tabs on documents. You can changes modes using the General pane under the Environment options in the Options dialog box.

Multiple Document Interface Mode

In MDI mode, the IDE provides a parent window that serves as a visual and logical container for all tool and document windows.

Tabs on documents mode

This mode tabs document windows together. The IDE uses this mode by default.

Tip Use CTRL+TAB to cycle through the documents open in the editor. CTRL+TAB works similarly to ALT+TAB, cycling through the most recently used open documents.


Arranging Windows

The integrated development environment (IDE) has two types of windows, tool windows and document windows. You can increase the viewing and editing space for code, depending on how you arrange the windows in the IDE. You have many options for arranging windows within the IDE, including the following:

  • Tab-link several windows.
  • Dock tool windows to an edge of the development environment.
  • Minimize tool windows along any edge of the development environment.
  • Put windows on different monitors.
  • Tile document windows.

To tab-dock windows

  • For a tool window, see "To dock or hide tool windows."
  • For a document window, select Tabbed Documents on the General pane under the Environment option in the Options dialog box. The documents in the editor are automatically maximized and linked together.

To dock or hide tool windows

  1. Select Dockable from the Window menu and then drag the window toward an edge of the development environment window until you see a superimposed outline in the location you want.

    Note The position of the mouse pointer, not the edges of the window, determines where the window will be placed, not the edges of the window.

    Tip To move a dockable window without snapping it into place, press CTRL while dragging it to the location you desire.

  2. Right-click the window and choose Auto Hide. The window will reappear when your cursor is near the edge of the development environment window.

If you have a second monitor, and your platform supports using it, you can choose which monitor to display windows on.

To place tool windows on different monitors

  1. Use the Display settings in the Control Panel to set up your multiple monitor configurations. See Windows Help for more information.
  2. Drag the tool window to the other monitor. This option is only available on platforms that support multiple monitors.

If you want to view more than one document at a time while editing code, you can tile documents together.

To tile document windows

  • In Tabbed Documents mode, select a tab and drag it below or above the current document tile. A rectangular outline appears in the location that the new document tile will be placed, based on the position of the cursor.
  • In MDI modes, choose Tile Horizontally or Tile Vertically from the Windows menu.


Window Types

The integrated development environment (IDE) contains two basic window types: tool windows and document windows. The two window types behave slightly different from each other.

Tool windows

Tool windows are listed on the View menu and are defined by the current application and its add-ins.

You can arrange tool windows in the IDE to:

  • Show or hide automatically
  • Tab link with other tool windows
  • Dock against the edges of the IDE
  • Float over
  • Display on other monitors

Docking

You can make tool windows dockable or undockable by selecting or clearing Dockable on the Window menu. When a tool window is dockable, it floats on top of the other windows or it snaps to a side of the application window. When a tool window is not dockable, it appears as a document window.

Tip To move a dockable window without snapping it into place, press CTRL while dragging it to the location you desire.

Multi-instancing windows

In addition, you can display more than one instance of certain tool windows at a time. For example, you could display more than one Web browser window. You can create another instance of a tool window by choosing New Window on the Window menu.

Auto Hide

Auto Hide allows you to see more of your code at one time by minimizing tool windows along the edges of the integrated development environment. You can do this only in Multiple Document Interface (MDI) mode. When in this minimized state, the window name and icon are visible on a tab. You can easily access the windows by moving the cursor over the window tab so that it slides into view from the edge of the IDE ready for use. The window slides back again once it loses focus. To place a window in auto hide, right-click the title bar and choose Auto Hide, or click the pushpin icon on the title bar of the window.

Tip Tool windows in Auto Hide temporarily slide out into view when the window has focus. To hide the window again, select an item outside of the current window. Once the window loses focus, it slides back out of view.

Document windows

Document windows are dynamically created when you open or create files or other items. The list of open document windows appears in the Window menu in the current z-order, with the top-most window listed first.

Tip Some document windows within the IDE are actually tool windows that have the dockable trait turned off. To dock these windows, choose Dockable from the Window menu.

Recycling windows

In addition, you can choose to have a document window behave like a Web browser by displaying each new document as it is opened within the same window. Choose the option Re-use current document window, if saved, which is available from the General pane under the Environment options in the Options dialog box.

Note Newly opened documents will use the same window as long as the document currently open has not been changed.


Navigating Text

There are several ways to move throughout text:

  • Mouse and navigation keys
  • Bookmarks
  • Incremental search
  • The Go To Line command
  • The Go To Definition command
  • The Go Back and Go Forward buttons

Navigating with the mouse and keys

The most common way to navigate text is with the mouse and navigation keys:

  • Use the arrow keys to move one character at a time, or the arrow keys in combination with the CTRL key to move one word at a time. Arrow keys move one line at a time also.
  • Click a location with the mouse.
  • Use the scroll bars or scroll wheel on the mouse to move through the text.
  • Use the HOME, END, PAGEUP, and PAGEDOWN keys.
  • Use CTRL+PAGEUP and CTRL+PAGEDOWN to move the insertion point to the top or bottom of the window, respectively.
  • Use CTRL+UP ARROW and CTRL+DOWN ARROW to scroll the view without moving the insertion point.

You can also go directly to a procedure by clicking the Object box in the upper left corner of the document, and then clicking a procedure in the Member box in the upper right corner of the document.

Navigating with Bookmarks

To edit a document elsewhere and then return to your current location, add a bookmark.

To add a temporary bookmark

  1. Click the line you want to return to at later time.
  2. Click the Toggle Bookmark button [image]. You should see the temporary (or "unnamed") bookmark symbol [image] appear next to the line.
  3. Alternatively, you can press CTRL+K twice to toggle the bookmark.

To return to a temporary bookmark

  1. Click the Next Bookmark [image] or Previous Bookmark [image] button.
  2. Alternatively, you can press CTRL+K and then CTRL+N for the next bookmark, or CTRL+K and then CTRL+P for the previous bookmark within in a document.

    Tip Another way to return to a location is by using the Go Back and Go Forward buttons.

To remove one or more temporary bookmarks in a document

  • Click the Clear Bookmarks button [image].

    —or—

  • Press CTRL+K and then CTRL+L to erase all bookmarks in the current document.

    Note To delete a single bookmark, right-click the bookmark and click ToggleBookmark, or press CTRL+K and then CTRL+K again.

Incremental Search

Using incremental search is often a good way to navigate to another location in the current document.

To navigate using incremental search

  1. Enter a line of code.
  2. Click Move to do a bit of work, and then use Go Back to return to where were working before searching away to a new location.

Goto Line command

Use the Goto Line command to go to a specific line number.

To go to a specific line number

  1. In the General, All Languages, Text Editor, Options dialog box, click Line Numbers.
  2. Click Goto Line in the Edit menu.
  3. Enter the line number you want to view.

Navigating to code elements using Go To Definition

Use the command Go To Definition to immediately navigate to the parent procedure for a method call or variable definition. For example, if you have a procedure called MyProc() and later make a call to MyProc(), you could navigate directly to the procedure using Go To Definition.

To go to a procedure or variable definition

  1. Select the variable or procedure call.
  2. Press SHIFT+F2.

You are taken to the procedure or variable definition. If you want to return to the variable or procedure call, press the Go Back button.

If the definition lies outside your project, the item displays in the Object Browser.

Go Back / Go Forward buttons

Use the Go Back [image] button to navigate to previously visited locations in the document, then use the Go Forward [image] button to return afterwards. These buttons are particularly useful when using commands that take you far away from where you are currently working and you want to return to that location quickly. Examples of such commands are Incremental Search, Goto Line, Beginning of Document, End of Document, Pasting text or inserting file contents, and Go To Definition commands. The editor remembers locations when you move in a single command more than several lines away from where you are currently working, or if you edit in a particular location that is not adjacent to the last place you edited. The goal is to remember interesting locations so that you can recall where you’ve been working without remembering so many locations the feature is not useful (such as every character typed, or every line entering several new lines of code one right after the other).


Dragging and Dropping Text

You can select text and then drag and drop it in another location. You can drag it to several different places:

  • A different location in the current Code Editor.
  • Another Code Editor.
  • The Watch windows.
  • The Windows Recycle Bin.
  • The Toolbox to save snippets of code for copying into other documents later.

To drag and drop text

  1. Select the text you want to move, either with the mouse or with the keyboard.
  2. Left-click with the mouse cursor on the highlighted text and continue holding down the mouse button.
  3. Move the mouse cursor to the destination where you want to place the text.
  4. Release the mouse button to drop the text.

Dragging text moves it; that is, the text is erased from the old location and moved to the new location. CTRL+ dragging text copies it to the new location.

You can drag text into any tab under the Toolbox (except the Clipboard Ring), and then later either drag the text back or double-click its button in the ToolBox button to paste it.

Toggle drag-and-drop text editing by first selecting Options from the Tools menu. On the General tab, select Text Editor and then select Drag Drop Text.


Changing and Selecting Text

Whether you are editing code, HTML, or plain text, the Code Editor works the same and functions like other text editors or word processors. For code that is part of a project, the project's programming language support provides automatic statement completion, syntax checking, keyword colorization, and other services.

To add or insert text

  1. Either click somewhere in the document or move the cursor to the desired location.
  2. Enter the text.

    If your cursor is between existing characters, the text is inserted between them.

    To overwrite characters in an existing line, press the INSERT key to put the editor in Overstrike mode. You can tell that it is in that mode when the cursor turns from a flashing line into a flashing block, and by the OVR displayed in the bottom right corner of the integrated development environment. Press the INSERT key again to return to Insertion (INS) mode.

To delete characters or a word in a line

  1. Place the cursor immediately before the word or letter you want to delete.
  2. Press the DELETE key as many times as needed to delete the characters or words.

    CTRL+DELETE and CTRL+BACKSPACE delete whole words. CTRL+I deletes the current line.

    —or—

    Place your cursor at the end of the letter or word and press the BACKSPACE key.

    Note You can double-click a word and then press DELETE or BACKSPACE to delete it.

To delete lines, paragraphs, and pages

  1. Highlight the text you want to delete by holding down the left mouse button and dragging over the text, or by using the SHIFT key with the either the Arrow or the HOME/END/PAGEUP/PAGEDOWN keys.
  2. In some languages, double-clicking in the Selection Margin selects the current definition or paragraph (HTML).
  3. Press DELETE or BACKSPACE.

You can also cut, copy, and drag and drop text in your document.

You can format your code or let the environment do it for you.

Selecting Text

The Code Editor has two text selection modes:

  • Stream Mode The selection acts similarly to the standard Microsoft Windows multi-line edit control. Selection is a one-dimensional stream from the start of the file to the end. Entire lines are selected when you move to the next or a previous line. To select an entire line, click the Selection Margin (on the far left of the Editor window).
  • Column (Box) Mode Rectangular boxes of code are selected. When you press ALTand left-click the mouse, and then drag it over text, only the rectangular portion of text you highlight is selected instead of the whole line. The selection includes any character that intersects with the rectangle defined by the beginning character (anchor character) and the last character in the selection. If the selection width is zero, then whole lines are selected.

To stream select text

  • Left-click and drag the mouse over the text.

    –or–

  • Use the SHIFT+Arrow keys.

To column select text

  • Hold down the ALT key, and then left-click the mouse and drag it over the text.

    —or—

  • Use the SHIFT+ALT+Arrow keys.


Managing Code Formatting

The Code Editor gives you the ability to format your code with options such as indenting, hiding text, displaying URLs, and so forth. The language engine also provides features to auto-format your code as you type through Smart Indenting.

Indenting

You can choose three different styles of text indenting. You can also specify how many spaces compose a single indentation or tab, and whether the Editor uses tabs or space characters when indenting.

To choose an indention style

  1. On the Tools menu, click Options.
  2. Click Text Editor.
  3. Select the folder for your language, for example, HTML, or select All Languages to affect indenting settings for all languages.
  4. Click Tabs.
  5. Select one of the options under Indenting and click OK:
    • None The cursor goes to the beginning of the next line.
    • Block The cursor aligns the next line with the previous line.
    • Smart (Default) The language service determines the appropriate indention style to use. For example, if you creating a For…Next loop in Visual Basic, the lines are indented accordingly.

To change indent tab settings

  1. On the Tools menu, click Options.
  2. Click Text Editor.
  3. Select the folder for your language, for example, HTML, or select All Languages to affect indenting settings for all languages.
  4. Click Tabs.
  5. To specify that tab characters are used in tab and indent operations, select Keep Tabs. To specify that space characters are used, select Insert Spaces.

    If you selected Insert Spaces, you can enter the number of space characters each tab or indent represents under Tab Size or Indent Size respectively.

To indent code

  1. Select the text you want to indent.
  2. Click the TAB key, or click Indent [image].

To unindent code

  1. Select the text you want to unindent.
  2. Press SHIFT+TAB key, or click Unindent [image].

To automatically indent all of your code

  1. In Tools, Options, select Text Editor, All Languages, Tabs, and then select Smart from the Indenting group box.
  2. To select this option on a per-language basis, select Smart in the appropriate folder, starting by selecting Options from the Tools menu.

To automatically indent selected code

  1. Select the text you want to automatically indent.
  2. Click Format Selection in Edit, Advanced, or press CTRL+K, CTRL+F.

    Format Selection applies the smart indenting rules for the language in which you are programming to the selected text.

You can specify size of the tabs and the indents and whether or not the tab characters are converted to spaces.

To convert white space to tabs and vice versa

  1. Select the text whose white space (that is, the spaces between the characters) you want to convert from spaces to tabs.
  2. In Edit, Advanced, click Tabify Selection.
  3. To convert tabs to spaces, in Edit, Advanced, click Untabify Selection.

The functionality of these commands depends on the tab settings in Tools, Options, Text Editor, Tabs. For example, if the tab setting is four, Tabify Selection creates a tab for every four contiguous spaces, and Untabify Selection creates four spaces for every tab.

Hiding Text

By default, all text is displayed in the Code Editor, but in some circumstances you can hide the code from view. There are two different types of hidden text:

  • Concealed (HTML Designer HTML view only) – Hidden text that is concealed has no indication that it is missing from the view. The only way to tell is to turn on line numbering. The HTML view of HTML Designer uses concealed text to provide you with a Script-only view where all text that is not part of the script code is hidden from view. If you select across concealed text and delete it, the non-visible concealed text is not deleted.

    Note In the HTML Designer's HTML view, you can activate a "Script-Only" view in which only script blocks are displayed.

  • Collapsed – You can choose to hide selected text from view by creating an outlining section. To do this, select the text, right-click, and click Hide Selection. The text then collapses under the top-most selected line, and a plus-sign (+) symbol displays in the indicator margin to the left of the line. To expand the lines for viewing, click the plus sign. The same procedure applies to outlining. If you select across collapsed text and delete it, all selected text is deleted, including the collapsed text.

    The Hide Selection command works only with Stream selection and zero-width Box selection modes. The command is disabled for non-zero-width box selections.

    In some languages you can also collapse code to definitions. Some languages, in addition to supporting Collapse To Definitions, have a mode where outlining is always on. As you type new definitions, the editor creates collapsible sections around the definition bodies of the new code. You can stop this with the Stop Outlining command.

    Note A regular Find operation searches for text in hidden regions based on an option in the Find dialog box, but an incremental search does not.

Converting Text to Upper and Lower Case

You can use commands to convert text to all upper or lower case.

To switch text to upper or lower case

  1. Select the text you want to convert.
  2. To convert text to upper case, click CTRL+SHIFT+U, or click Make Uppercase in Edit, Advanced.
  3. To convert text to lower case, click CTRL+U, or click Make Lowercase in Edit, Advanced.

The case conversion commands do not affect the case of intrinsic commands.

Displaying and Linking to URLs

You can create and display active URLs (Uniform Resource Locators) in your code. You can then click the link and be taken to the web page in a browser. By default, the URLs:

  • Appear underlined.
  • Change the mouse pointer to a hand when you move over them.
  • Open the URL site when single-clicked, if the URL is valid.

To display a clickable URL

  1. On the Tools menu, click Options.
  2. Click Text Editor.
  3. To change the option for only one language, click that language and then click General. To change the option for all languages, click All Languages and then click General.
  4. Under Display, select Enable single-click URL navigation.

    Note If you turn this option off, you can still open a valid internet site by choosing the Open URL command from the Code Editor's context menu.


Managing the Code Editor and View

The Code Editor gives you a number of ways to control the view of your code. Below is information about how to affect these views.

Changing the view mode of the IDE

Integrated development environment features an additional new view mode called Tabbed Documents which allows you to have multiple editors and documents open simultaneously and access them through tabs at the top of the Code Editor. As in past versions, you can alternatively open the environment in MDI (Multiple Document Interface) mode, where the windows are all joined together (but without the tabs), and each window can be tiled, minimized, and so forth. You can also open the environment in SDI (Single Document Interface) mode where each document has its own independent window on the desktop.

To switch between IDE view modes

  1. Select Options from the Tools menu.
  2. On the General tab, select Environment.
  3. In the Settings group box, choose one of the three view modes:
    • Tabbed Documents
    • MDI environment
    • SDI environment

Creating New Windows

You can create multiple Code Editor windows on a single document so that you can view different parts of it simultaneously. You can also view different parts of the file simultaneously by splitting the pane vertically, but when you create a new window, you can view two different parts of the same file simultaneously in full-sized windows. New to the Code Editor, you can create a new document window in the environment.

To create a new window

  • On the Window menu, click New Window.

When you do this in Tabbed Documents (default environment) mode, a new tab is added to the Code Editor. In the other two modes, a new window displays.

Splitting the View

A Code Editor can be split into two separate parts for easier editing.

To split a pane

  1. Click the splitter bar (located above the scroll bar).
  2. Drag the splitter bar downward.
  3. To go back to a single pane, double-click the splitter bar dividing the two panes.

The new pane contains the same document, and any changes made to it are reflected in the other pane as long as that pane displays the same place in the document.

Word wrap

When you activate Word Wrap by pressing CTRL+R and then CTRL+R again, the horizontal scrollbar is removed and lines of code that exceed the width of the Code Editor's window size automatically wrap to the next displayed line rather than scrolling off the side of the window.

To activate word wrap

  1. Select Options from the Tools menu.
  2. Click Text Editor.
  3. Open the appropriate language folder (or the All Languages folder to affect all languages).
  4. Select Word Wrap. Alternatively, pressing CTRL+R and then CTRL+R again toggles this option.

Enabling Virtual Space mode

In Virtual Space mode, the editor acts as if the space past the end of each line is filled with an infinite number of spaces, allowing code lines to continue off of the side of the visible screen area.

To enable Virtual Space mode

  1. Select Options from the Tools menu.
  2. Click Text Editor.
  3. Open the appropriate language folder (or the All Languages folder to affect all languages).
  4. Select Enable Virtual Space.

When Virtual Space mode is not enabled, the cursor wraps from the end of one line to the first character of the next line and vice-versa.

Note Virtual Space mode is active whenever you are in Column Selection mode.

Displaying Line Numbers

You can turn on line numbering in your code. Line numbers are useful for, for example, navigating text.

Note Turning on line numbering does not mean that the document will print with line numbers. For line numbers to print, you must select the Line numbers check box in the Page Setup command on the File menu.

To display line numbers in code

  1. Select Options from the Tools menu.
  2. On the General tab, choose All Languages and then choose Text Editor.
  3. In the Display group box, click Line Numbers.
  4. To select this option on a per-language basis, select Line Numbers in the appropriate folder. For example, to set line numbers for Visual Basic, select Line Numbers in the Display group box, Access this in Tools, Options, Text Editor, Basic, General.

Enabling Full Screen mode

You can choose to hide all tool windows and view only document windows by enabling Full Screen mode.

To enable Full Screen mode

  • Press ALT+SHIFT+ENTER to enter or exit Full Screen mode.

Additional view options

There are other ways to affect the view of your code or text:

  • Outlining to see the structure of a file and navigate to code definitions

    You can use the command CollapseToDefinitions to create an outline view of the code. You can, for example, collapse all of the function bodies in a class, collapse the body of the class, and collapse the namespace in which the class is defined. This allows you to get a quick overall view of the code and expand definitions of only the particular functions you want to work on.

  • Fonts and size

    You can change the fonts and colors that display in the Editor, as well as how it appears when printed.


Customizing the Editor's Features and Options

To customize the features and options of the Code Editor, select Options on the Tools menu.

  • In Environment, General, the settings for MDI, SDI, and Tabbed Documents environment affect how the Code Editor is displayed:
    • Tabbed Documents Windows in the document or non-floating tool windows appear as tabs in the MDI space rather than being cascaded or tiled.
    • MDI All open windows are docked together.
    • SDI Each window is independent from the other windows.
  • The Text Editor, General folder has settings that apply to the general actions and view of the Code Editor. The folders under Text Editor allow you to tailor the settings on a per-language basis. Selecting an option in the All Languages folder selects the same option for all languages, saving you from having to set it manually in each language's folder. Using the settings in these folder combinations, you can tailor the look and behavior of the environment.


Changing Font Color, Size, and Style

Customize the way the text appears in the Code Editor as well as other places.

To change font color, size, and style in the Code Editor

  1. Select Options from the Tools menu and in Environment folder, select Fonts and Colors.
  2. In Show settings for, select Text Editor.
  3. Change the font, size, display item, foreground and background colors.

    Note Click Use Defaults to return to the default settings.

There is only one font setting for the Code Editor and it affects all editors in the IDE. You can change the color based on the text type (such as comments and statements). Monospace fonts appear in boldface in the Font list, and bold settings are on a per text type basis. For example, you can set Comments and Bookmarks to bold and the other text types are unaffected.

The settings for text color and font type are global for all text element types, such as comments, statements, and so forth.


Using the Clipboard Ring

The Code Editor captures all system Copy and Cut operations. If the cut or copied item contains text then it is stored in memory in the Clipboard Ring. You can view the contents of the Clipboard Ring by clicking the Clipboard Ring tab of the Toolbox. The clipboard recalls the last 15 text items that were cut or copied.

This is a powerful feature for quickly copying several pieces of text to a new location or for recalling text that you inadvertently cut.

To use the Clipboard ring

  1. Cut or copy some text from your code. Use CTRL+X to cut or CTRL+C to copy. The last item you cut or copy into the Clipboard Ring is the current item for pasting.
  2. Use CTRL+SHIFT+V to paste the Clipboard Ring's current item to the current document.
  3. Repeatedly press CTRL+SHIFT+V to cycle through the entries in the Clipboard Ring until you get to the one you want to permanently paste in the document. Each time you press CTRL+SHIFT+V, the Editor replaces the last entry you pasted from the Clipboard Ring so that you end up with only the last one you selected. The item you stop on then becomes the current item.
  4. Move to another location or cancel the selection. You can use CTRL+SHIFT+V to paste the current item again or cycle the Clipboard Ring to a new item.


Switching to Design View

Depending on the settings on the General tab of HTML Designer options in the Options dialog box, HTML documents opened from the integrated development environment open in either the Design or HTML views. Documents opened from Microsoft Word can be edited in HTML view but cannot be edited in Design view.

Certain conditions will stop the HTML Designer from switching to Design view. For example, if a document includes more than one set of <HTML></HTML>, or <TITLE></TITLE>, or <HEAD></HEAD>, or <BODY></BODY> tags, a warning message will appear when you attempt to switch to Design view. Remove the extra page markup tags in HTML view, and you will then be able to switch to Design view.

Note In some Web browsers, multiple tags can be used to create special effects. However, because such effects are browser-specific, you might prefer to use more recent and portable ways to produce the same effects.

To switch to Design view

  1. Open an HTML page in the HTML Designer.
  2. Click the Design tab at the bottom of the HTML Designer window.

To open all HTML pages in Design view

  1. From the Tools menu, choose Options.
  2. In the Options dialog box, choose HTML Designer and then choose General.
  3. Select the Design View option under the Start HTML pages in area.


Editing HTML Pages in Design View

The Design View pane of the HTML Designer provides a rich variety of tools for editing, formatting, and displaying HTML elements.

To add an HTML element to a Web page

  • Click on the page, then double-click an element in the Toolbox. The item will be inserted as near as possible to the location of the insertion point on your page.

    — or —

  • Select an item in the Toolbox, and then drag and drop on the design surface. The item will be created at the indicated position and will have the indicated size.

    Note When you drop an external element, such as an image or file, onto a page, the HTML Designer creates a reference to it in the parent project.

To format an HTML element

Use any of these formatting methods:

  • Select the desired item in Design View and choose options from the Format menu.
  • Edit the element properties displayed in the Properties window.
  • Edit the properties displayed on the Property Page for the element.

    Note Formatting changes made in Design view modify the HTML markup for the page. These formatting changes can be further adjusted by editing their markup directly in HTML view.

To edit the properties of an HTML element

  1. Select the desired item on the Design view editing pane.
  2. Edit the property values displayed in the Properties window

    — or —

    Select Property Pages from the View menu, choose the appropriate category from its drop-down menu, and edit the property values displayed there.

To toggle markers for non-graphic HTML elements on and off in Design View

  • Select Details from the View menu.

To make these markers display whenever you open a Web page in Design View

  1. Select Options from the Tools menu.
  2. Under the HTML Designer node, select Display.
  3. Under Display Options, select Show Details for Non-Visible Elements.

    Tip Turn on Details while editing in Design View. This will keep you from inadvertently deleting non-graphic elements (for example, <DIV>, <SPAN>, <FORM>, <SCRIPT>) from your page while editing.

To toggle borders on and off in Design View

  • Select Visible Borders from the View menu.

To make these borders display whenever you open a Web page in Design View

  1. Select Options from the Tools menu.
  2. Under the HTML Designer node, select Display.
  3. Under Display Options, select Show Borders for Borderless Elements.


Introduction to Framesets

An HTML frameset document displays multiple, independent, scrollable regions called frames within the browser window. An HTML frameset document assigns a name to each frame and specifies an HTML page to display in it. You can create and edit virtually all options within Design view. Options available for framesets include whether a frame can scroll and whether it can be resized.

The name that you assign to each frame enables you to link individual frames to HTML documents. You can send new content to any frame by specifying the frame's name in the TARGET attribute of a hyperlink. For example, one frame might contain a table of contents whose entries are hyperlinks. When you click an entry in the table of contents, the HTML page identified in the URL of the hyperlink is displayed in the adjoining frame that is named as the link's TARGET.


Navigating in the Document Outline Window

While you are editing an HTML page in either Design View or HTML View, the Document Outline window displays a nested, hierarchical view of the elements and scripts on your page. You can scroll through the outline, collapse and expand entries, and double-click items to navigate quickly to their location in your document.

Note To open the Document Outline window, select Other Windows from the View menu and choose Document Outline. Click the plus (+) sign next to a node to list all the items within the node. A minus (-) indicates that a node is already fully expanded. Click the minus (-) sign to collapse the node.

To open the Document Outline window in HTML Outline view

  1. Open your Web page in the HTML Designer, and select Design view.
  2. From the View menu, select Other Windows and choose Document Outline.

    The Document Outline window opens in HTML Outline view. The <BODY> outline is available.

  3. Click the <BODY> outline to display all the elements on your HTML page.

To select an element in Design view

  1. Open the Document Outline window in HTML Outline view.
  2. Double-click any element listed in the expanded <BODY> outline.

    In the HTML Designer, that element is highlighted in Design view.

To jump to the markup for an element in HTML view

  1. Open the Document Outline window in HTML Outline view.
  2. In the HTML Designer, switch to HTML view.
  3. In the Document Outline window, double-click any element listed in the expanded <BODY> outline.

    In the HTML Designer, the insertion point in HTML view jumps to the markup for that element.

To open the Document Outline window in Script Outline view.

  1. Open your Web page in the HTML Designer and select the HTML tab.
  2. From the View menu, select Show Script Only, then select Other Windows and choose Document Outline.

    The Document Outline window opens in Script Outline view. The available outlines displayed include Client Objects and Events and Client Scripts.

To jump to an event handler call in the <BODY> of your page

  1. Open the Document Outline window in Script Outline view.
  2. Expand the Client Scripts outline.
  3. Double-click any object.event item listed.

    In HTML view of the HTML Designer, the insertion point jumps to the markup for the element named, at the event handler call for this event.

To jump to an existing handler function in a <SCRIPT>

  1. Open the Document Outline window in Script Outline view.
  2. Expand the Client Scripts outline.
  3. Click the desired script to expand its list of functions.

    Scripts included in the Client Scripts outline are named for their scripting language.

  4. Double-click any function.

    In HTML view of the HTML Designer, the insertion point jumps to that function.

To insert a new blank handler function into a <SCRIPT>

  1. Open the Document Outline window in Script Outline view.
  2. Expand the Client Objects & Events outline.
  3. Double-click an object to expand the list of its available events.

    Events for which you already have a handler function display in bold type.

  4. Double-click an event not in bold type.

    A new blank function that will handle the event is inserted.

    Note This new handler function is added to a script in the <HEAD> of your page whose ID property includes "clientEventHandlers."

    <SCRIPT ID=clientEventHandlersJS language=javascript>

    If such a script does not already exist, one will be created.

  5. Complete the new event handler function you've just added.


Creating and Editing HTML Tables in Design View

The HTML Designer provides tools that make it easy to create and edit tables in your Web pages. The HTML tab of the Toolbox provides access to the Table object and other common objects found in HTML pages.

To create a table from the Toolbox window

  • While editing a Web page in either HTML view or Design view, double-click Table on the HTML tab of the Toolbox.

    — or —

  • While editing a Web page in Design view, drag the Table from the Toolbox onto the page.

To create a table from the Table menu

  1. From the Table menu, choose Insert.
  2. In the Insert Table dialog box, type a value in the Rows and Columns fields and click OK.

    Tip If the table has no border, you can choose Visible Borders on the View menu to display border outlines.

Add content to a table cell

  • In Design View, place the insertion point in the cell and type.

To add rows and columns to a table

  1. Place the insertion point in the row or column next to where the new one will be.

    Note Placing the cursor inside a cell is sufficient. You need not select the entire cell, column, or row.

  2. Right-click and choose either Insert Rows Above, Insert Rows Below, Insert Columns to the Left, or Insert Columns to the Right from its shortcut menu.

To select rows, columns, cells, or tables

  1. Place the insertion point within the row or column you want to select.
  2. From the Table menu, choose Select, and then choose either Table, Column, Rows, or Cell.

    Tip Some operations, such as setting properties or specifying positioning, require that you select the entire table.

To split cells

  1. Place the cursor within the cell to be split.
  2. Right-click and select Split Cell from its shortcut menu. The current cell is split into two cells that fit within the existing column.

To merge cells within a row

  1. Select the cells you want to merge

    Tip Press the Shift key as you click in adjoining cells to select them.

  2. Right-click and choose Merge Cells from the shortcut menu. The cells are merged into a single cell that spans the width of the original cells.

To resize an entire <TABLE>, <TR> table row, or <TD> table cell

  1. Open the HTML document for editing in Design view
  2. Open the Document Outline window, and double-click the desired TABLE element.

    In Design view, resizing handles surround the element.

  3. Press down the mouse button to grab a resizing handle for the element, and drag it across the page, resizing the element.
  4. Repeat this procedure until the element is resized as desired.


Creating DIV and SPAN Elements in Design View

A <DIV> element is used on an HTML page to enclose a block of HTML elements and apply CSS attributes to them. A <DIV> is a block element. Like a <P> paragraph, it occupies a rectangular area of the display, and can include CSS layout attributes. These attributes can be inserted directly into the markup for the <DIV> element, or can be referenced from a style sheet via a <CLASS> or <ID> attribute.

A <SPAN> is an inline element typically used to alter the style of a portion of a paragraph or <DIV>. For example, suppose you apply a CSS style attributes to a <DIV> to format all the text it contains in a certain size and color. Within this <DIV>, you can then enclose certain words within <SPAN> tags and apply further formatting, for example to give them special emphasis. A <SPAN>, unlike a <DIV>, flows with the text around it.

To create a <DIV> in Design View

  1. Select the elements that you want to enclose within the <DIV>.

    A <DIV> may enclose text and other HTML elements inserted from the Toolbox or menus.

  2. From the Insert menu, choose DIV.

To create a <SPAN> in Design View

  1. Select the portion of the HTML document that you want to enclose in the <SPAN>.

    A <SPAN> may enclose text and other HTML elements inserted from the Toolbox or menus.

  2. From the Insert menu, choose Span.

To add elements within a <DIV> or <SPAN>

  1. In Design View, place the insertion point at the desired location within the <DIV> or <SPAN> element.

    Tip To display graphic markers for <DIV> and <SPAN> elements in Design View, choose Details from the View menu.

  2. Double-click the desired elements in the Toolbox to insert them at the current cursor location.


Searching and Replacing

You can find and replace text using a variety of techniques. For example, you can use the Find, Replace, Find in Files, or Replace in Files dialog boxes. You can also search without a dialog box by using incremental search or the Find/Command box. These techniques allow you to control the scope of find and replace and choose the method of reviewing search matches and replacements.

You should consider the following information when you search and replace text:

  • Options set in the Find, Replace, Find in Files, and Replace in Files dialog boxes are global. That is, certain options selected in one dialog box are selected for all the dialogs. These options are Match case, Match whole word, Search all open documents, Wildcards, and Regular Expressions. This rule also applies to the Find/Command box.
  • Undo is available only for documents left open after a replace operation.
  • Undo for a Replace All operation that spans more than one file is considered a single, bulk action across all the affected files that were left open.
  • Generally, you cannot search items with graphical structural views, such as Design View of the HTML editor.


Searching Interactively

You can search one or more open files or windows and move through the search matches one by one using the Find dialog box. This technique allows you to review each individual search match in the context of the text around the match.

To search all open documents

  1. Open the items you wish to search.
  2. From the Edit menu, choose Find and Replace and then choose Find.
  3. In the Find what text box, enter the text you intend to search for.
  4. In the Search area, select All open documents.

    Caution Certain open files might not be searched when All open documents is selected. Only files currently open in a textual view, such as Code view, are included in searches.

  5. Select additional search options to increase the accuracy of the search.
  6. Choose Find Next to start the search and continue choosing Find Next until the last file has been searched.

When the search passes the beginning or end of the document, a message is displayed in the status bar. A message box appears when the search reaches the starting point of the search.

To replace in all active files interactively

  1. In the Find dialog box, choose Replace or from the Edit menu, choose Replace.
  2. In the Replace with text box, enter the text with which you intend to replace the search text.
  3. In the Search area, select All open documents.
  4. Choose Replace and continue choosing Replace until the last match in the last file has been replaced. Use Find Next to skip a match you do not want to replace.

    —or—

    Choose Replace All to replace all matches. A message box appears, listing the total number of replacements.

    Caution Replace all replaces all search matches, including those you have skipped with the Find Next button.

To reverse Replace All, choose Undo from the Edit menu before closing any of the files.

The Find/Command box allows you to quickly search for text in an open document.

To search from the Find/Command box

  1. On the Standard toolbar, select the Find/Command box.
  2. Type the text you intend to search for and press ENTER.

    The first match for the search text is selected.

  3. Press F3 to navigate to the next occurrence.

When the entire document has been searched, a message box appears.


Searching for Symbols: Objects, Definitions and References

Since the Object Browser is capable of displaying a large number of objects and members, it is important to be able to find symbols of interest quickly and easily. You can use the Find Symbol dialog box to easily find such symbols or to locate sections of code that use the symbol.

Find Symbol is useful for:

  • Searching for definition of a symbol within your project. Also useful for discovering multiple definitions of a symbol.
  • Searching for uses of a symbol (references) within your code.
  • Discovering names of objects and members in referenced and external components, allowing you to learn about its functionality.
  • Finding symbols and browsing to their definitions in the Object Browser to discover their syntax and other information.

Find Symbol is different from finding text in that it:

  • Allows you to limit the search scope to include only symbols, ignoring text in comments.
  • Definitions and references (when available) to the symbol are clearly indicated in the Find Symbol Results window.
  • Allows you to search in external components for which you do not have the source code.

The scope that Find Symbol uses in its search is the same browsing scope currently in use by the Object Browser. Changing or customizing the scope here also updates the display in the Object Browser.

To open the Find Symbol dialog box, either click the Find Symbol button on the Object Browser toolbar, or on the Edit menu, click Find and Replace and then Find Symbol.

To find a symbol

  1. In the Find what box, enter all or part of the name of the symbol you want to find.
  2. You can limit the search by specifying the browsing scope in which to search. In the Look in combo box, select either Active Project or Selected Components. Active Project confines the search to the active project and its referenced components only, while Selected Components searches within the user-defined browsing scope, which can include projects and their referenced components as well as other external components.
  3. If your search scope is set to Selected Components, clicking the ellipse (...) button displays the Selected Components dialog box which allows you to change the Selected Components browsing scope. Note that this also updates the display in the Object Browser.
  4. You can further refine the search by specifying search options. Select either Match substring, Match whole word, or Match prefix. In addition, you can check the Match case check box if you want the search to be case-sensitive.
  5. After specifying the criteria, click the Find button to perform the search.

The results of the search display in the Find Symbol Results window. You can navigate to the symbol in code by either double-clicking the result or by choosing Goto Definition from its context menu. For external components, you can browse to their definition in the Object Browser from here as well. If references are available for the symbol, you can expand the node to see its uses in code and navigate to them.


Shortcut Keys

The integrated development environment provides a pre-defined keyboard binding scheme. You can create your own custom keyboard mapping schemes from the Keyboard pane of Environment Options in the Options dialog box. You can access the Options dialog box from the Tools menu.

The available keyboard binding schemes include the following:

  • Default Settings

Some of the stardard shortcut key combinations that work within all Windows-based applications are listed below.

Name | Shortcut keys | Description
Shortcut menu | SHIFT + F10 | Displays the shortcut menu.
Close document Close application | ALT + F4 | Closes the active application document; if all windows are closed, closes the integrated development environment (IDE).


Default Settings Shortcut Keys

The table below lists the default key combinations available for the Default Settings keyboard scheme.

Command Name | Shortcut Keys | Description
Build.BuildSolution | CTRL + SHIFT + B | Builds the solution.
Debug.Autos | CTRL + ALT + V, A | Displays the Auto window to view the values of variables currently in the scope of the current line of execution within the current procedure.
Debug.Break | CTRL + ALT+ Break | Temporarily stops execution of all processes in a debugging session. Available only in run mode.
Debug.Breakpoints | CTRL + ALT + B | Displays the Breakpoints dialog box, where you can add and modify breakpoints.
Debug.CallStack | CTRL + ALT + C | Displays the Call Stack window to display a list of all active procedures or stack frames for the current thread of execution. Available only in run mode.
Debug.ClearAllBreakpoints | CTRL + SHIFT + F9 | Clears all of the breakpoints in the project.
Debug.Immediate | CTRL + ALT + I | Displays the Immediate window, where you can evaluate expressions and execute individual commands.
Debug.Locals | CTRL + ALT + V, L | Displays the Locals window to view the variables and their values for each procedure in the current stack frame.
Debug.NewBreakpoint | ALT + F9, N |
Debug.QuickWatch | CTRL + ALT + Q | Displays the Quick Watch dialog box with the current value of the selected expression. Available only in break mode. Use this command to check the current value of a variable, property, or other expression for which you have not defined a watch expression.
Debug.Restart | CTRL + SHIFT + F5 | Terminates a debugging session, rebuilds, and then starts running the application from the beginning again. Available in break and run modes.
Debug.RunningDocuments | CTRL + ALT + N | Displays the Running Documents window that displays the set of documents that are in the process you are debugging. Available in run mode.
Debug.RunToCursor | CTRL + F10 | In break mode, resumes execution of your code from the current statement to the selected statement. The Current Line of Execution margin indicator appears in the Margin Indicator bar. In design mode, starts the debugger and executes your code to the cursor location.
Debug.SetNextStatement | CTRL + SHIFT + F10 | Sets the execution point to the line of code you choose.
Debug.ShowNextStatement | ALT + NUM * | Highlights the next statement to be executed.
Debug.Start | F5 | Automatically attaches the debugger and runs the application from the startup form specified in the <Project> Properties dialog box. Changes to Continue if in break mode.
Debug.StartWithoutDebugging | CTRL + F5 | Runs the code without invoking the debugger.
Debug.StepInto | F11 | Executes code one statement at a time, following execution into function calls.
Debug.StepOut | SHIFT + F11 | Executes the remaining lines of a function in which the current execution point lies.
Debug.StepOver | F10 | Executes the next line of code but does not follow execution through any function calls.
Debug.StopDebugging | SHIFT + F5 | Stops running the current application in the program. Available in break and run modes.
Debug.ToggleBreakpoint | F9 | Sets or removes a breakpoint at the current line.
Debug.Watch | CTRL + ALT + W | Displays the Watch window to view the values of selected variables or watch expressions.
Edit.BreakLine | ENTER |
Edit.CharLeft | Left Arrow | Moves the cursor left one character.
Edit.CharLeftExtend | SHIFT + Left Arrow | Moves the cursor left one character, extending the selection.
Edit.CharLeftExtendColumn | SHIFT + ALT + Left Arrow | Moves the cursor left one character, extending the column selection.
Edit.CharRight | Right Arrow | Moves the cursor one character to the right.
Edit.CharRightExtend | SHIFT + Right Arrow | Moves the cursor right one character, extending the selection.
Edit.CharRightExtendColumn | SHIFT + ALT + Right Arrow | Moves the cursor right one character, extending the column selection.
Edit.CharTranspose | CTRL + T | Swaps the characters on either side of the insertion point. For example, AC|BD becomes AB|CD.
Edit.ClearBookmarks | CTRL + K, CTRL + L | Removes all unnamed bookmarks in the current document.
Edit.ColllapseToDefinitions | CTRL + M, CTRL + O |
Edit.CommentSelection | CTRL + K, CTRL + C |
Edit.CompleteWord | ALT + Right Arrow | Displays Word Completion based on the current language.
Edit.Copy | CTRL + C | Copies the currently selected item to the system clipboard.
Edit.Cut | CTRL + X | Removes the currently selected item to the system clipboard.
Edit.CycleClipboardRing | CTRL + SHIFT + INS CTRL + SHIFT + V | Pastes an item from the Clipboard Ring tab of the Toolbox at the insertion point in the file and automatically selects the pasted item. You can review each item on the Clipboard by repeatedly pressing the shortcut keys.
Edit.Delete | DELETE | Deletes one character to the right of the cursor.
Edit.DeleteBackwords | BACKSPACE | Deletes one character to the left of the cursor.
Edit.DeletefromModel | CTRL + DEL |
Edit.DeleteHorizontalWhitespace | CTRL + K, CTRL + \ | Collapses white space in the selection, or deletes white space adjacent to the cursor if no selection.
Edit.DocumentEnd | CTRL + END | Moves the insertion point to the last line of the document.
Edit.DocumentEndExtend | CTRL + SHIFT + END | Selects the text from the insertion point to the last line of the document.
Edit.DocumentStart | CTRL + HOME | Moves the insertion point to the first line of the document.
Edit.DocumentStartExtend | CTRL + SHIFT + HOME | Selects the text from the insertion point to the first line of the document.
Edit.Find | CTRL + F CTRL + D | Displays the Find dialog box.
Edit.FindNext | F3 | Finds the next occurrence of the previous search text.
Edit.FindNextSelected | CTRL + F3 | Finds the next occurrence of the currently selected text in the document.
Edit.FindPrevious | SHIFT + F3 | Finds the previous occurrence of the search text.
Edit.FindPreviousSelected | CTRL + SHIFT + F3 | Finds the previous occurrence of the currently selected text, or the word at the caret.
Edit.FindSymbol | CTRL + SHIFT + Y |
Edit.FormatSelection | CTRL + K, CTRL + F | Correctly indents the selected lines of code based on the surrounding lines of code.
Edit.GoTo | CTRL + G | Displays the Go To Line dialog box.
Edit.GoToBrace | CTRL + ] | Moves the insertion point to the next brace in the document.
Edit.GoToBraceExtend | CTRL + SHIFT + ] | Moves the insertion point to the next brace, extending the selection.
Edit.GoToDeclaration | CTRL + ALT + F12 | Displays the definition of the selected symbol in the code.
Edit.GoToDefinition | CTRL + F12 | Displays the declaration for the selected symbol in code.
Edit.GoToFindCombo | CTRL + D | Places the caret in the Find/Command line on the Standard toolbar.
Edit.GoToNextLocation | F12 | Moves the cursor to the next item, such as a task in the Task List window or a search match in the Find Results window. Each time you press F12, you move to the next item in the list.
Edit.GoToPreviousLocation | SHIFT + F12 | Moves the cursor to the previous item in the Task List window or Find Results window.
Edit.HiddenText | ALT + F3, H | Selects or clears the Search Hidden Text option for Find dialog box.
Edit.HideSelection | CTRL + M, CTRL + H | Hides the selected text. A signal icon marks the location of the hidden text in the file.
Edit.IncrementalSearch | CTRL + I | Starts incremental search. If incremental search is started, but you have not typed any characters, recalls the previous pattern. If text has been found, searches for the next occurrence.
Edit.InsertTab | TAB | Indents the line of text a specified number of spaces, such as five.
Edit.LineCut | CTRL + L | Cuts all selected lines, or the current line if nothing has been selected, to the clipboard.
Edit.LineDelete | CTRL + SHIFT + L | Deletes all selected lines, or the current line if no selection has been made.
Edit.LineDown | Down Arrow | Moves the cursor down one line.
Edit.LineDownExtend | SHIFT + Down Arrow | Extends text selection down one line, starting at the location of the insertion point.
Edit.LineDownExtendColumn | SHIFT + ALT + Down Arrow | Moves the cursor down one line, extending the column selection.
Edit.LineEnd | END | Moves the cursor to the end of the current line.
Edit.LineEndExtend | SHIFT + END | Selects text from the insertion point to the end of the current line.
Edit.LineEndExtendColumn | SHIFT + ALT + END | Moves the insertion point to the end of the line, extending the column selection.
Edit.LineOpenAbove | CTRL + ENTER | Inserts a blank line above the insertion point.
Edit.LineOpenBelow | CTRL + SHIFT + ENTER | Inserts a blank line below the insertion point.
Edit.LineStart | HOME | Moves the cursor to the beginning of the line.
Edit.LineStartExtend | SHIFT + HOME | Selects text from the insertion point to the start of the line.
Edit.LineStartExtendColumn | SHIFT + ALT + HOME | Moves the insertion point to the start of the line, extending the column selection.
Edit.LineTranspose | SHIFT + ALT + T | Moves the line containing the insertion point below the next line.
Edit.LineUp | Up Arrow | Moves the cursor up one line.
Edit.LineUpExtend | SHIFT + Up Arrow | Selects text up line by line starting from the location of the insertion point.
Edit.LineUpExtendColumn | SHIFT + ALT + Up Arrow | Moves the cursor up one line, extending the column selection.
Edit.ListMembers | CTRL + J | Lists members of current class for statement completion when editing code. Available only in HTML view of the HTML Editor.
Edit.MakeLowercase | CTRL + U | Changes the selected text to lowercase characters.
Edit.MakeUppercase | CTRL + SHIFT + U | Changes the selected text to uppercase characters.
Edit.MatchCase | ALT + F3, C. | Selects or clears the Match Case option for find and replace operations.
Edit.NextBookmark | CTRL + K, CTRL + N | Moves to the next bookmark in the document.
Edit.OverTypeMode | INSERT | Toggles between insert and overtype insertion modes. Available only when working in text editors.
Edit.PageDown | PAGE DOWN | Scrolls down one screen in the editor window.
Edit.PageDownExtend | SHIFT + Page Down | Extends selection down one page.
Edit.PageUp | PAGE UP | Scrolls up one screen in the editor window.
Edit.PageUpExtend | SHIFT + Page Up | Extends selection up one page.
Edit.ParameterInfo | CTRL + SHIFT + SPACEBAR | Displays a tool tip that contains information for the current parameter, based on the current language. Only available in HTML view of the HTML Editor.
Edit.Paste | CTRL + V | Inserts the Clipboard contents at the insertion point.
Edit.PreviousBookmark | CTRL + K, CTRL + P | Moves to the previous bookmark.
Edit.QuickInfo | CTRL + K, CTRL + I | Displays Quick Info, based on the current language.
Edit.Redo | CTRL + SHIFT + Z | Restores the previously undone action.
Edit.RegularExpression | ALT + F3 + R | Selects or clears the Regular expression option so that special characters can be used in find and replace operations.
Edit.Replace | CTRL + H | Displays the Replace dialog box.
Edit.ReverseIncrementalSearch | CTRL + SHIFT + I | Changes the direction of incremental search to begin at the bottom of the file and progress towards the top.
Edit.ScrollLineDown | CTRL + Down Arrow | Scrolls text down one line. Available in text editors only.
Edit.ScrollLineUp | CTRL + Up Arrow | Scrolls text up one line. Available in text editors only.
Edit.SelectAll | CTRL + A | Selects everything in the current document.
Edit.SelectCurrentWord | CTRL + W | Selects the word containing the insertion point or the word to the right of the insertion point.
Edit.SelectionCancel | ESC |
Edit.StopHidingCurrent | CTRL + M, CTRL + U | Displays previously hidden text.
Edit.StopOutlining | CTRL + M, CTRL + P | Diplays all previously hidden text in the file.
Edit.SwapAnchor | CTRL + R, CTRL + P | Swaps the anchor and end points of the current selection.
Edit.TabLeft | SHIFT + TAB | Moves selected lines left one tab stop.
Edit.ToggleAllOutlining | CTRL + M, CTRL + L | Toggles all previously marked hidden text sections between hidden and display states.
Edit.ToggleBookmark | CTRL + K, CTRL + K | Sets or removes a bookmark at the current line.
Edit.ToggleOutliningExpansion | CTRL + M, CTRL + M | Toggles the currently selected hidden text section between the hidden and display state.
Edit.ToggleTaskListShortcut | CTRL + K, CTRL + H | Sets or removes a shortcut at the current line.
Edit.ToggleWordWrap | CTRL +R, CTRL + R | Enables or disables word wrap in an editor.
Edit.UncommentSelection | CTRL + K, CTRL + U |
Edit.Undo | ALT + BACKSPACE CTRL + Z | Reverses the last editing action.
Edit.Up | ALT + F3, B |
Edit.ViewBottom | CTRL + Page Down | Moves to the bottom of the current document. HTML Editor
Edit.ViewBottomExtend | CTRL + SHIFT + Page Down | Moves the cursor to the last line in view, extending the selection.
Edit.ViewTop | CTRL + Page Up (Save File As) | Moves to the top of the current window.
Edit.ViewTopExtend | CTRL + SHIFT + Page Up | Extends the selection to the top of the current window.
Edit.ViewWhiteSpace | CTRL + R, CTRL + W | Toggles the visibility of white space characters.
Edit.WholeWord | ALT + F3 + W | Selects or clears the Match whole word option for find and replace operations.
Edit.Wildcard | ALT + F3 + P | Selects or clears the Wildcard option for find and replace operations.
Edit.WordDeleteToEnd | CTRL + DEL | Deletes the word to the right of the insertion point.
Edit.WordDeleteToStart | CTRL + BACKSPACE | Deletes the word to the left of the insertion point.
Edit.WordNext | CTRL + Right Arrow | Moves the insertion point right one word.
Edit.WordNextExtend | CTRL + SHIFT + Right Arrow | Extends the selection one word to the right.
Edit.WordNextExtendColumn | CTRL + SHIFT + ALT + Right Arrow | Moves the cursor right one word, extending the column selection.
Edit.WordPrevious | CTRL + Left Arrow | Moves the insertion point left one word.
Edit.WordPreviousExtend | CTRL + SHIFT + Left Arrow | Extends the selection one word to the left.
Edit.WordPreviousExtendColumn | CTRL + SHIFT + ALT + Left Arrow | Moves the cursor left one word, extending the column selection.
Edit.WordTranspose | CTRL + SHIFT + T | Transposes the words on either side of the insertion point.
File.NewFile | CTRL + N | Displays the New File dialog box where you can select a new file to add to the current project.
File.OpenFile | CTRL + O | Displays the Open File dialog box where you can select to open an existing file.
File.Print | CTRL + P | Displays the Print dialog box where you can choose printer settings.
File.SaveAll | CTRL + SHIFT + S | Saves all documents in the current solution and any files in the external files project.
File.SaveSelectedItems | CTRL + S | Saves the selected items in the current project.
Format.Bold | CTRL + B | Toggles the selected text between bold and normal. Available only in Design view of the HTML Designer.
 |  | .
Format.DecreaseIndent | CTRL + SHIFT + T | Removes an indent level previously applied with Increase Indent.
Format.IncreaseIndent | CTRL + T | Indents the selected paragraph by one indent unit.
Format.Italic | CTRL + I | Toggles the selected text between italic and normal.
Format.LockElement | CTRL + SHIFT + K | Prevents an absolutely positioned element from being inadvertently moved.
Format.Underline | CTRL + U | Toggles the selected text between underlined and normal.
Help.Contents | CTRL + ALT + F1 | Displays the Contents window for the documentation contained in MSDN.
Help.DynamicHelp | CTRL + F1 | Displays the Dynamic Help window.
Help.F1Help | F1 | Displays a topic from help that corresponds to the current user interface selected.
Help.Index | CTRL + ALT + F2 | Displays the Index window for the documentation contained in MSDN.
Help.Search | CTRL + ALT + F3 | Displays the Find Help dialog box.
Insert.Bookmark | CTRL + SHIFT + L | Only available in Design view of the HTML Editor.
Insert.DIV | CTRL + J | Inserts <div></div> in the current HTML document. Only available in Design view of the HTML Editor.
Insert.Hyperlink | CTRL + L | When text is selected, displays the Hyperlink dialog box. Only available in Design view of the HTML Editor.
Insert.Image | CTRL + SHIFT + W | Displays the Insert Image dialog box. Only available in Design view of the HTML Editor.
Tools.CommandWindowMarkMode | CTRL + SHIFT + M |
Tools.GoToCommandLine | CTRL + / | Places the caret in the Find/Command line on the Standard toolbar.
Tools.ShowGrid | CTRL + G | Toggles snap to grid. Only available in Design view of the HTML Editor.
Tools.SnapToGrid | CTRL + SHIFT + G | Specifies that elements are aligned using an invisible grid. You can set grid spacing on the Design View pane of HTML options in the Options dialog box, and the grid will be changed the next time you open a document. Only available in Design view of the HTML Editor.
View.Details | CTRL + SHIFT + Q | Displays signal icons for HTML elements that do not have a visual representation, such as comments, scripts, and anchors for absolutely positioned elements. Available only in Design View of the HTML Editor.
View.DocumentOutline | CTRL + ALT + T | Displays the Document Outline window to view the flat or hierarchical outline of the current document.
View.FullScreen | SHIFT + ALT + ENTER | Toggles Full Screen mode on and off.
View.NavigateBackward | CTRL + - | Goes back to the previous document or window in the navigation history.
View.NavigateForward | CTRL + SHIFT + - | Moves forward to the document or window next in the navigation history.
View.NextView | CTRL + PAGE DOWN | Only available in Design view of the HTML Designer.
View.ObjectBrowser | CTRL + ALT + J | Displays the Object Browser to view the classes, properties, methods, events, and constants available for packages and object libraries and the procedures in your project.
View.ObjectBrowserBack | ALT + - |
View.ObjectBrowserForward | SHIFT + ALT + - |
View.PropertiesWindow | F4 | Displays the Properties window, which lists the design-time properties and events for the currently selected item.
View.PropertyPages | SHIFT + F4 | Displays the property pages for the item currently selected.
View.ShowReferences | ALT + F12 |
View.SolutionExplorer | CTRL + ALT + L | Displays Project Explorer, which lists projects and files.
View.Toolbox | CTRL + ALT + X | Displays the Toolbox, which contains controls and other items that can be included or used with your code.
View.ViewCode | F7 | Displays the selected item in Code view of the editor.
View.ViewDesigner | SHIFT + F7 | Displays the selected item in Design view of the editor.
View.VisibleBorders | CTRL + Q | Displays a 1-pixel border around HTML elements that support a BORDER attribute and has it set to zero, such as tables, table cells, and divisions. Only available in Design view of the HTML Editor.
Window.ActivateDocumentWindow | ESC | Closes a menu or dialog box, cancels an operation in progress, or places focus in the current document window.
Window.CloseDocumentWindow | CTRL + F4 | Closes the current MDI child window.
Window.CloseToolWindow | SHIFT + ESC | Closes the current tool window.
Window.MoveToDropDownBar | CTRL + F2 | Moves the cursor to the drop-down bar while the editor is in Code view.
Window.NextDocumentWindow | CTRL + TAB | Cycle through the MDI child windows one window at a time.
Window.NextPane | ALT + F6 | Moves to the next tool window.
Window.NextSplitPane | F6 | Moves to the next pane of a split pane view of a single document.
Window.NextTab | CTRL + Page Down | Moves to the next tab in the document or window.
Window.PreviousDocumentWindow | CTRL + SHIFT + TAB | Moves to the previous document in the editor or designer.
Window.PreviousPane | SHIFT + ALT + F6 | Moves to the previously selected window.
Window.PreviousSplitPane | SHIFT + F6 | Moves to the previous pane of a document in split pane view.
Window.PreviousTab | CTRL + Page UP | Moves to the previous tab in the document or window.


Wildcards

The following expressions can replace characters or digits in your search string.

Note You must choose the Use check box in the Find and Replace dialog boxes and select Wildcards before using any of the following as part of your search criteria.

Expression | Syntax | Description | Example
Any single character | ? | Matches any character |
Any single digit | # | Matches any single digit |
Characters not in set | [! ] | Matches any one character that is not specified in the set |
One or more characters | * | Matches any one or more characters |
Set of characters | [ ] | Matches any one of the characters specified in the set |


Code and Text Editor

The Code and Text Editor is a word processing utility where you enter, display, and edit code or text. It is referred to as either the Text Editor or the Code Editor, based on its content. If it contains only text without an associated language, it is referred to as the Text Editor. If it contains source code associated with a language, it is referred to as the Code Editor. Because it is most often used for editing code, though, we will refer to it as the Code Editor.

You can open multiple Code Editors to view the code in different forms or modules and copy and paste among them. A list of all open Code Editors is available in the Windows menu.

The Code Editor also supports the language of the project, offering features such as IntelliSense® statement and word completion; early-binding of objects, which provides you with all available properties, methods, and events for that object; and so forth.

You can open a Code Editor in:

  • The Project Explorer, by selecting a form or module, and choosing the View Code button, or by double-clicking the form or module.
  • A Form, by right-clicking a control or form and choosing View Code or by choosing Code in the View menu.
  • The File menu, by choosing the Open File command.

    Caution If you share files with users at other sites that use distinct code pages, you should save your file with the appropriate Unicode code page to prevent errors when reading the file.

Code Pane

The area where you enter your code text. It contains the statement builder features available for your product.

You can set options that affect the behavior of text in the code pane as it relates to indenting, tabbing, dragging and dropping of text, and so forth.

Margin Indicator Bar

A gray area on the left side of the Code Editor where margin indicators such as breakpoints, bookmarks, and shortcuts are displayed.

You can hide or display the Margin Indicator bar in General, Tools, Text Editor, Options dialog box.

Selection Margin

A column of white space between the Margin Indicator Bar and the code text where you can click to select lines of text.

You can hide or display the Selection Margin in General, Tools, Text Editor, Options dialog box.

Horizontal and Vertical Scroll Bars

Allows you to scroll the Code Pane horizontally and vertically so that you can view the code that extends beyond the viewable edges of the Code Pane.

You can hide or display the horizontal and vertical scroll bars using the General, Tools, Text Editor, Options dialog box.


HTML Designer

The HTML Designer includes tools that enable you to create and edit HTML documents in two unique views:

  • Design view - where you can edit HTML pages graphically, insert elements, use drag-and-drop to position and size them, and see the results instantly.
  • HTML view - where you can edit HTML markup directly, use pop-up lists to insert elements and properties as you edit, and format and debug code.

To learn more about | See
HTML tools in the Toolbox | HTML Tab, Toolbox
Editing documents in Design view | Design View, HTML Designer
Editing documents in HTML view | HTML View, HTML Designer
Moving around in the HTML Designer | Navigation in HTML Designer


A Link Property Page

After you create a hyperlink, you can change the behavior of the hyperlink or change the target location of the link. To display the <A> Property Page, open the Document Outline window and select the appropriate <A> node, then choose Property Pages from the View menu.

Link type

After you create a link, the associated protocol appears in this field. You can select another protocol or retain the current setting. Available file types are:

File Type | Result
ftp | Jump to an ftp site
Gopher | Jump to a gopher site
http | Jump to another Web page
https | Jump to a secure Web page
mailto | Send e-mail
News | Jump to a news server
telnet | Jump to a telnet (text-based) site
wais | Jump to a wide area information server
File | Download a file and open it
(other) | Jump to a file in your Web directory

Link

Specifies the file type and full path to the target of the hyperlink. To select a different link location, either type a new path or click the Browse button to open the Create URL dialog box and navigate to a specific file.

Create bookmark

Specifies a name that can serve as a target for jumps within the same Web page. For instance, you might create a bookmark called Top at the top of a page. You can then type text, such as To Top, at the bottom of the page, select the text, and create a link to the Top bookmark at the top of the page. When a user clicks To Top, the page is redisplayed in the browser at Top bookmark.

Frame target

Specifies a frame within a frameset in which the hyperlinked document appears. You can enter the actual name of the target frame, or use special terms like _parent and _top to express the position of the target frame relative to the current one.

Note To enable frame target and pop-up text, you must set the targetSchema to HTML 4.0.

Selection | Behavior
_blank | Linked document opens in new, blank browser window.
_parent | Linked document opens in parent frame.
_self | Linked document opens in the same frame that contains the link.
_top | Linked document opens in the topmost frame.

Popup text

Specifies the text that displays when the mouse pointer hovers over the hyperlink. For example, if you type Click to View, the following is added to the opening <A> tag:
<A TITLE="Click to View">


Bookmark Dialog Box

Allows you to insert a bookmark into the current Web page, to provide a target for hyperlink jumps to a specific location within the page.

You can enclose selected text in a bookmark, or insert a bookmark at the current cursor position on the page (when permitted). To use the Bookmark dialog box, open your Web page in Design view and click at the desired location, then select Bookmark from the Insert menu.

Note In HTML view, use the Document Outline window to select and copy an existing bookmark, and help you navigate to the desired new location on the page. Then paste the copy of the former bookmark into your HTML markup, and change the value of its NAME attribute.

Name

Provides the value for the name attribute of the bookmark. This name appears in hyperlinks targeting this bookmark.

In the HTML markup of your Web page, a bookmark takes the form <a name=[name]>. Bookmarks are not visible when you view a Web page in a browser. Links to a bookmark within the same page take the form <a href="#[name]" target=" self">. Links to bookmarks on other pages take the form <a href="\\server\page.htm#[name]" target=" top">

So, for example, if you create a bookmark named Examples, the markup <A name=Examples></A> is inserted into your page. A link at the top of your page that the user can click to jump down to these bookmarked Examples will take the form <A href="#Examples" target=" self">. Links on other pages directly to these bookmarked Examples on the current page will take the form <a href="http://server/pagename.htm#Examples" target=" top">.or <a href="file:///\\server\pagename.htm#Examples" target=" top">.


Color and Margins Tab, DOCUMENT Property Pages Dialog Box

Color and Margins, DOCUMENT Property Pages Dialog Box

By choosing Color and Margins on the DOCUMENT Property Pages dialog box, you can change the display properties of the current document. To access this dialog box, open a document for editing and do not select any elements on the page. Choose Property Pages from the View menu, and then click General to access the following options:

Color

Background

Sets the color for the current document's background. Select a color from the drop-down list or choose the ellipse (...) button to select a color in the Color Picker dialog box.

Text

Sets the color for text in the current document. Select a color from the drop-down list or choose the ellipse (...) button to select a color in the Color Picker dialog box.

Link

Sets the text color for non-visited hyperlinks in the current document. Select a color from the drop-down list or choose the ellipse (...) button to select a color in the Color Picker dialog box.

Visited link

Sets the text color for visited hyperlinks in the current document. Select a color from the drop-down list or choose the ellipse (...) button to select a color in the Color Picker dialog box.

Active link

Sets the text color for the active hyperlink as you select it in the current document. Select a color from the drop-down list or choose the ellipse (...) button to select a color in the Color Picker dialog box.

Preview

Displays text strings illustrating the current settings for link colors. As you select properties, the preview strings change to reflect the current values.

Page margins

Top

Sets the size in pixels for top margin of the current document.

Bottom

Sets the size in pixels for bottom margin of the current document.

Left

Sets the size in pixels for left margin of the current document.

Right

Sets the size in pixels for right margin of the current document.


Design View, HTML Designer

Design view is one of two unique views available in the HTML Designer. To select Design View, click the Design tab at the bottom of the HTML Designer window.

Design View provides a graphic environment within which you can design and edit Web documents. This WYSIWYG environment uses the customary drag-and-drop editing conventions to add, format, size, and position text, objects, and tables. When you select an element on a page, the Properties window displays the attributes that apply to the selected element. The Document Outline window enables you to navigate to specific objects within a document

Note Design View displays only the body of a document — the portion between the <BODY></BODY> tags. Although you can edit some properties of the <HEAD>, such as <TITLE>, in the Document Properties window, you must switch to HTML View to edit most properties of the <HEAD>.

How Design View Differs from Viewing in a Web Browser

A document displayed in Design view differs from one displayed in a Web browser in these ways:

  • The user can drag-and-drop HTML elements in Design view.
  • Character and paragraph formatting can appear different (each Web browser implements some formatting differently).
  • Hyperlinks are not functional.
  • Client scripts do not run.
  • Marquee elements do not scroll.
  • Elements that support alternate text (such as images) do not display the alternate text in ToolTips when the pointer passes over them.
  • Design View displays symbols for some elements, such as HTML comments or scripts, that are not normally visible in a Web browser.

To display the current document in your Web browser, right-click on the document in Design view and select View in Browser from the shortcut menu.

When you choose to show details, the following symbols represent invisible elements on your page.

Symbol | Represents
 | HTML comment
 | Client-side <SCRIPT> block, or server-side script block in .asp page (<%%> or <SCRIPT RUNAT="Server">)
 | <STYLE> block
 | <DIV> tag
 | <SPAN> tag
 | <P> </P> (visible only in Linear Layout)
 | Unrecognized HTML tag
 | <FORM> tag

Cut and Paste in Design View

When you cut or copy text to the Clipboard from a Web page displayed in a Web browser or in Design view of the HTML Designer, two versions of the text become available: a Paste version and a Paste as HTML version.

The Paste version replaces reserved characters such as <, >, and quotation marks with HTML entities (escape sequences). For example, if you copy <MARQUEE> to the Clipboard, the Paste version will be &lt;MARQUEE&gt;. The Paste as HTML version will be <MARQUEE>, the exact code you cut or copied.

As you paste, you can choose either version. You can choose Paste from the View menu to display web-escaped HTML markup on your page, or choose Paste as HTML from the Edit menu to create a new HTML tag from cut or copied code. Tags are not generally displayed in Design view. Switch to HTML view to review code added with Paste as HTML.


Document Outline Window

Provides a nested, outline view of elements and scripts in the current document. In both Design view and HTML view, you can open the Document Outline window from the Other Windows list in the View menu. This window provides an easy way to find and select elements on your page, and also helps you gain a better understanding of the logical structure of your document. You can expand and collapse entries as you scroll through the outline. Double-click any element listed to find and select it in the editor.

HTML Outline View

Displays a hierarchical outline of the elements within the <BODY> of the document. When you double-click any element, the insertion point in the HTML View editor jumps to that element in the markup of your page.

Note To open the Document Outline window in HTML Outline view, first open an HTML page in either Design view or HTML view. Then select Other Windows from the View menu and choose Document Outline from the submenu.

If your Web page includes scripts, you will see <SCRIPT> nodes in the HTML Outline. To expand these nodes and list script functions and the objects and events they handle, you must select Show Script Only from the View menu to toggle the Document Outline window to Script Outline view.

Script Outline View

Displays two hierarchical outlines of script-related elements on your Web page, named "Client Objects & Events" and "Client Scripts." Expand the "Client Objects & Events" outline to list the available objects on your page. Expand the "Client Scripts" outline to list the scripts included on your page, followed by the objects and events their functions handle.

Note To open the Document Outline window in Script Outline view, first open an HTML page that includes scripts in HTML view. Select Show Script Only from the View menu, select Other Windows from the View menu, and then choose Document Outline.

Client Objects & Events

The "Client Objects & Events" outline lists the available objects on your page. Double-click any object to view a list of its available events. Double-click any event to insert a new blank function that will handle the event selected. This new handler function is added to a "clientEventHandlers" script in the <HEAD> of your page. If a script whose id includes the string "clientEventHandlers" does not already exist there, one will be created:

<SCRIPT id=clientEventHandlersJS language=javascript>

In the "Client Objects & Events" outline, names of events for which you already have a handler function in your "clientEventHandlers" script appear in bold. When you double-click a bolded event, the insertion point in the HTML View editor jumps to that handler function in its script.

Client Scripts

The "Client Scripts" outline lists the scripts included on your page. Expand any script node to list its functions. When you double-click any function listed, the insertion point in the HTML editor jumps to that handler function in the <SCRIPT> named.

The objects and events handled by your functions are then listed. Their names are given in object.event order. For example, suppose a <FORM> on your page includes a button named "bGet", and that the markup for this particular button includes a call to a function named "goGet()" that runs when the button is clicked:

<INPUT type="button" NAME="bGet" ID="bGet" VALUE="GET" onClick="goGet(...)>

In this case, the bGet.onClick event will be listed in the "Client Scripts" outline. When you double-click an object.event item, the insertion point in the HTML Editor jumps to the exact point within the markup for the element named where the handler function for this event is called. In the previous example, when you click the bget.onClick event in the "Client Scripts" outline, the insertion point in the HTML View editor jumps to onClick="goGet(...)" in the <INPUT> tag for the "bGet" button.

Tip Use the "Client Scripts" outline to locate the markup for function calls quickly in the <BODY> of your page.


General, HTML Designer, Options Dialog Box

Select the General page under HTML Designer in the Options dialog box to adjust the default view in which HTML, Active Server, and Web Form pages open in the HTML Designer.

Note These settings supplement the settings on the pages listed under Text Editor, HTML. You can access the Options dialog box from the Tools menu.

Start HTML pages in

HTML View

When this option is selected, HTML pages open in HTML view of the HTML Designer, so that you can begin editing their markup immediately.

Design View

When this option is selected, HTML pages open in the Design view of the HTML Designer, so that you can position elements and see the effects of font and style settings. This is the default view.

Set Active Server pages in

HTML View

When this option is selected, Active Server (.asp, .aspx) pages open in HTML view. This is the default view.

Design View

When this option is selected, Active Server pages open in Design view.

Start Web Form pages in

HTML View

When this option is selected, Web Form pages open in HTML view.

Design View

When this option is selected, Web Form pages open in Design view. This is the default view.


General, HTML, Text Editor, Options Dialog Box

Select General under Text Editor, HTML Options in the Options dialog box to adjust statement completion, text wrapping, and URL handling options while using HTML view of the HTML Designer.

Note These settings supplement the options listed under HTML Designer. You can access the Options dialog box from the Tools menu.

Statement Completion

Selecting either or both of these options activates automatic statement completion in the HTML Designer.

Auto list members

When this option is selected, lists of valid tags, keywords, values, methods, or properties are displayed as you edit HTML markup in HTML view of the HTML Designer. Select any option from the list to insert it into your code.

Note The items listed reflect the Target Schema selected in the Document Property Pages dialog box for your Web page. You will see different options if you selected HTML 3.2 than you will if you selected HTML 4.0 or Navigator 4.0.

Parameter information

When this option is selected, lists of valid parameters are displayed as you edit HTML markup and SCRIPT declarations in HTML view. The complete syntax for the selected element or declaration is displayed to the left of the insertion point, including all of its available parameters. The parameter in bold is the current HTML attribute or property, or the next portion of the SCRIPT declaration to write.

Settings

Enable virtual space

When this option is selected, spaces are inserted at the end of each line of code. Select this option to position comments at the right of your markup.

Word wrap

When this option is selected, text that extends beyond the limit of the viewable area is automatically displayed on the next line.

Note Enabling word wrap can make it easier to edit HTML markup; word wrap can make it more difficult to identify individual lines of VBScript code.

Display

Line numbers

When this option is selected, a line number appears before each line of code in HTML view of the HTML Designer for reference and navigational purposes. They do not print.

Enable single-click URL navigation

When this option is selected, the mouse cursor changes to a pointing hand as it passes over a URL in Design view of the HTML Designer; this allows you to click the URL to open the Web site named in your Web browser. When this option is not selected, the cursor does not change as it passes over URLs, and clicking a URL does not open the Web site named in your Web browser.

Navigation bar

When this option is selected, the Objects and Events lists are displayed at the top of HTML view in the HTML Designer. When you select an object from the Objects on the left, the Events pop-up on the right lists the available events for the object named. Select an event to insert a new script function into your page that will run when the object receives this event.


General, DOCUMENT Property Pages Dialog Box

By choosing General on the DOCUMENT Property Pages dialog box, you can set properties governing the structure and appearance of the current document. To access this dialog box, open a document for editing and do not select any elements on the page. Choose Property Pages from the View menu, and then click General to access the following options:

Page title

Sets the text string inserted between the <TITLE> </TITLE> tags in the <HEAD> of your Web page. When your page is open at the topmost level within your browser, its title displays in the title bar of your browser window.

Background image

Identifies an image file to display as the background for your page. You can either type in the image path or click the ellipse (...) button and navigate to the file's location.

Note In some cases, the full image path is inserted into the HTML markup for the BODY element as the value of the BACKGROUND property

<BODY BACKGROUND="file:///C:\Docs\VS7Docs\MySolution\banner.gif">

Edit this markup in HTML View if you prefer to use relative paths.

<BODY BACKGROUND="banner.gif">

Tip If you are using CSS styles, you can also choose to remove the BACKGROUND property from the BODY element, and instead define the background-image property in your CSS style for the BODY element.

BODY {background-image:url(banner.gif); font-family:Verdana, Helvetica, sans-serif; font-size:9pt;}

Nonscrolling background

By default, the background image scrolls as you scroll the page. Select this checkbox to disable background scrolling.

Target Schema

This pop-up selects the minimum version of HTML a browser must be able to parse to view your Web page.

Note To use CSS styles, you must select a Web browser that supports the HTML 4.0 schema. When the browser name is also listed, this indicates a particular Document Object Model (DOM) targeted by your HTML markup.

Character Set

From this pop-up, you can select the default character set for the current Web page.

Note The Windows operating system can provide a broad selection of international character sets. To change the character set that Windows maps to your keyboard, select Control Panel from the Start menu, choose Keyboard Properties, and click the Language tab. Be sure to change the character set of your page on the General tab of Document Properties. This will insert the appropriate META CHARSET tag into the HEAD of your document, for example

<META HTTP-EQUIV="Content-Type" content="text/html; charset=iso-8859-1">

Page Layout

Sets element positioning preferences for the current page to LinearLayout (default) or GridLayout. LinearLayout lets the client Web browser position elements one after the other, as they occur in the markup for the page. GridLayout permits absolute positioning of elements at specified locations on the page, activates the positioning grid in Design View. and adds the MS POSITIONING attribute to the opening <BODY> tagin the HTML markup for the page:

<BODY MS POSITIONING="GridLayout" …>

With GridLayout selected and Snap to Grid turned on, when you release the mouse after dragging an element into the desired areas of your Web page, its position is aligned automatically with the nearest horizontal and vertical grid lines. The positioning attributes for this element are adjusted accordingly.

Show Grid

By default, the positioning grid appears in Design View of the HTML Designer when you select GridLayout as your Page Layout preference. Clear this checkbox to conceal the grid.

Default scripting language

Client

Sets the default scripting language for the current page. The available languages are JavaScript (default) and VBScript.


General, Text Editor, Options Dialog Box

This dialog box allows you to change the default settings for the Code/Text Editor. Default settings also affect other editors based upon the Code/Text Editor, such as the HTML Designer's Source view. You can access the Options dialog box from the Tools menu.

Note Options that apply to specific technologies can be selected within corresponding folders. For example, you can select options that apply specifically to the HTML Designer by opening the HTML folder and selecting options within its General and Tabs nodes.

Settings

Go to anchor after escape

When selected, pressing ESC moves the insertion point to the initial selection point of text selected in the editor. For example, if you select a paragraph of text starting with the last word in the paragraph and press ESC, the insertion point moves to the end of the last word in the paragraph and the text is no longer selected.

Drag and drop text editing

When selected, enables you to move text by selecting it and dragging it with the mouse to another location within the document.

Include insertion point movements in Undo list

When selected, commands that only move the insertion point are placed on the Undo list. As a result, you can instantly move to these locations or edit locations by viewing and clicking entries in the undo list.

Automatic Delimiter Highlighting

When selected, delimiter characters between instructions are highlighted.

Display

Selection Margin

When selected, a vertical margin displays along the left edge of the Editor's text area. When you click in the margin, you select an entire line of text. When you click and drag, you select consecutive lines of text.

Selection Margin on | Selection Margin off

Indicator Margin

When selected, displays a margin outside the left edge of the Editor's text area. When you click in the margin, an icon and ToolTip that are related to the text appear. For example, breakpoint or task list shortcuts appear in the indicator martin. Indicator Margin information does not print.

Vertical Scrollbar

When selected, displays a vertical scrollbar which allows you to scroll up and down to view elements that fall outside the viewing area of the Editor. If vertical scrollbars are not available, you can use the Page Up, Page Down and cursor keys to scroll.

Horizontal Scrollbar

When selected, displays a horizontal scrollbar which allows you to scroll from side-to-side to view elements that fall outside the viewing area of the Editor. If horizontal scrollbars are not available, you can use the cursor keys to scroll.


HTML Document Properties, Properties Window

The properties of an HTML document can be edited directly from the Properties window. To access this window, open the HTML Designer, select Properties Window from the View menu, and then select Document from the drop-down list at the top of the window.

The Properties Window for an HTML document includes the following fields:

Property | Description
aLink | Sets the color of hyperlinks as they are clicked.
Background image | Provides the path to a background image for the page.
bgcolor | Sets a background color for the page.
bgProperties | Sets whether the background for the page will be scrolling (default) or fixed (watermark)
bottomMargin | Sets the height of the blank margin at the bottom of the page.
charset | Selects the character set for the page.
defaultClientScript Property | Sets the default client scripting language.
dir | Sets the reading order of page objects.
keywords Property | Adds keywords to the META KEYWORDS tag in the <HEAD> of your document
leftMargin | Sets the width of the blank margin on the left side of the page.
link | Sets the default color of hyperlinks before they are clicked.
pageLayout Property | Selects whether page components added in design view will be positioned in-line as they occur on the page or positioned at specified locations (enables the positioning grid).
rightMargin | Sets the width of the blank margin on the right side of the page.
showGrid Property | Determines whether the positioning grid will appear in Design View.
targetSchema Property | Sets the minimum version of HTML required to view this page, and (in some cases) the preferred document object model (DOM) for client scripts on the page.
text | Sets the default color for foreground text on the page.
title | Provides the text string inserted between the <TITLE> and </TITLE> tags in the page HEAD.
topMargin | Sets the height of the blank margin at the top of the page.
vLink | Sets the default color of hyperlinks that have been clicked.


HTML Tab, Toolbox Window

The HTML tab of the Toolbox dialog box contains a variety of components designed to accelerate development of Web pages. To create an object that corresponds to a tool in the Toolbox, click the tool and drag it onto the document in either Design or HTML view. Alternatively, you can double-click a tool to place an object at the current cursor position. To display the HTML tab in the Toolbox, create or open an HTML document. From the View menu, choose Toolbox. In the Toolbox, click the HTML tab. You can change the assortment of tools that appear on any tab of the Toolbox in the Customize Toolbox Dialog Box. The following tools are included in the HTML tab of the Toolbox by default.

Tool Function
When selected, you can grab objects in a document, drag them to another location, and resize them.
Places span tags (<SPAN>Span</SPAN>) in a document with the word Span inside.
Places a button object on the page, using markup like the following:
<INPUT id=Button1 type=button value=Button>

The id for the first button is Button1; subsequent id values are incremented by 1. The default name for each button is Button.
Places a button object on the page, using markup like the following:
<INPUT id=Reset1 type=reset value=Reset>

The id for the first button is Reset1; subsequent id values are incremented by 1. The default value for each button is Reset.
Places a button object on the page, using markup like the following:
<INPUT id=Submit1 type=submit value=Submit>

The id for the first button is Submit1; subsequent id values are incremented by 1. The default value for each button is Submit.
Places a single-line text object on the page, using markup like the following:
<INPUT id=Text1 type=text>

The id for the first text field is Text1; subsequent id values are incremented by 1.
Places a text area object on the page, using markup like the following:
<TEXTAREA id=Textarea1 rows=2 cols=20></TEXTAREA>

The id for the first text field is Textarea1; subsequent id values are incremented by 1. If you type text that exceeds the default viewable area, you can resize the text area or use the default scroll bars to view the hidden text.
Places a file field object on the page, using markup like the following:
<INPUT id=File1 type=file>

The id for the first file field is File1; subsequent id values are incremented by 1.
Places a password field object on the page, using markup like the following:
<INPUT id=Password1 type=password>

The id for the first password field is Password1; subsequent id values are incremented by 1.
Places a check box object on the page, using markup like the following:
<INPUT id=Checkbox1 type=Checkbox CHECKED>

The id for the first check box is Checkbox1; subsequent id values are incremented by 1.
Places a radio button object on the page, using markup like the following:
<INPUT id=Radio1 type=radio>

The id for the first radio button is Radio1; subsequent id values are incremented by 1.
Places a table object on the page, using markup like the following:
<TABLE cellSpacing =1 width="75%" border=1>
<TR><TD></TD><TR></TABLE>.
Places a linear layout panel object on the page, using markup like the following:
<DIV style="WIDTH: 100px; HEIGHT: 100px" ms_positioning="LinearLayout"></DIV>.

This element is used to implement the 1D/2D editing model.
Places a grid layout panel object on the page, using markup like the following:
<DIV ms_positioning="GridLayout">
<TABLE height=100 cellSpacing=0 cellPadding=0 width=100 border=0 ms_2d_layout="TRUE">
<TR vAlign=top>
<TD width=100 height=100></TD></TR></TABLE></DIV>.

This element is used to implement the 1D/2D editing model.

Places an image object on the page, using markup like the following:
<IMG alt="" src ="">
Places a listbox object on the page, using markup like the following:
<SELECT size=2 ID=Select><OPTION></OPTION></SELECT>

The id for the first listbox is Select1; subsequent id values are incremented by 1.
Places a dropdown object on the page, using markup like the following:
<SELECT ID=Select1> <OPTION></OPTION></SELECT>

The id for the first dropdown is Select1; subsequent id values are incremented by 1.
Places a horizontal rule object on the page, using markup like the following:
<HR width=100 size=1>


HTML View, HTML Designer

This view displays the HTML markup for your Web page. To select HTML View, click the HTML tab at the bottom of the HTML Designer window. By default, all HTML tags and scripts are displayed when you initially select HTML view. You can drag and drop elements from the Toolbox just as you do when you are editing a Web page in Design view, and see their associated tags inserted into the document.

Object Selector

A drop-down list of all scriptable objects in the current document. After you select an object from the list, you can select an event for which you write a handler.

Event Selector

A drop-down list that includes all events sent to the selected object for which you can write handlers. After you select an event for an object, the appropriate handler skeleton is inserted into your document. Events that already have handlers are displayed in bold.

Script Only View

Click to display only the scripts in the current document.

Full HTML View

Click to display all HTML tags and scripts. This is the default view when you select the HTML tab at the bottom of the HTML Designer pane.


Hyperlink Dialog Box

From this dialog box you can specify the link type and target location for a hyperlink jump to be encoded around the string or image selected in your document.

Note You must first select the text or image in Design view of the HTML Designer before you can open the Hyperlink dialog box from the Insert menu.

Hyperlink Information

Hyperlinks take the general form type:url.

Type

Lists the types of hyperlinks you can insert. Select an option to insert the type string into this hyperlink. The default link type is http.

Protocol Type | Result
(other) | Jump to a file in your local Web directory.
file | Download a file and open it.
ftp | Jump to an FTP server.
gopher | Jump to a Gopher server.
http | Jump to another Web page (default).
https | Jump to a secure Web page.
mailto | Send an e-mail message.
news | Jump to a news server.
telnet | Jump to a telnet (text-based) server.
wais | Jump to a Wide Area Information Server.

URL

Specify the Uniform Resource Locator (URL) for your link.

File Type | Form of URL | Example
Web pages and other network files | Server path and file name with extension, in format //server/path/filename.ext | //website/info/menus.htm
Bookmarks on the same page | Pound sign (#) and bookmark name | #top
Bookmarks on other pages | Server path and file name with file extension followed by pound sign (#) and bookmark name | //website/info/menus.htm#top
E-mail message | The recipient's e-mail address | mailto:someone@mycompany.com

Browse

Click Browse to open the Create URL dialog box and navigate to the target page. The appropriate URL is automatically entered in the URL box.


IMG Property Page

After you insert an image, you can change its properties. To display the IMG Property Pages, select an image in Design View or place the insertion point within the <IMG> tag, and then choose Property Pages from the View menu.

Image source

Specifies the name, including the full path, of a graphics file to insert as the image. Click the adjacent ellipse (...) button to open the Select Image dialog box and browse to an image.

Alternate text

Specifies text that the browser will display if the graphic is not available. In some browsers, such as Internet Explorer, the alternate text is also displayed in a ToolTip when the user holds the mouse pointer over the graphic.

Appearance

Alignment

Specifies how the image is aligned with the text around it.

Note Absolute image positioning attributes take into account the font size of adjacent lines of text. For example, assigning an image the positioning value valign=middle will align the midpoint of the image with the baseline of the current line of text. The value valign=absmiddle will align the midpoint of the image with the midpoint of the current line.

Option | Alignment
Left | Aligns the image with the left margin. Adds the align=left attribute to the IMG tag. Example: <IMG src="" align=left>
Right | Aligns the image with the right margin. Adds the align=right attribute to the IMG tag. Example: <IMG src="" align=right>
Texttop | Aligns the top of the image with the top of the text in the current line. Adds the align=texttop attribute to the IMG tag. Example: <IMG src="" align=texttop>
Absmiddle | Aligns the middle of the image with the absolute middle of the text in the current line. Adds the align=absMiddle attribute to the IMG tag. Example: <IMG src="" align=absMiddle>
Baseline | Aligns the bottom of the image with the baseline of the text in the current line. Adds the align=baseline attribute to the IMG tag. Example: <IMG src="" align=baseline>
Absbottom | Aligns the bottom of the image with the absolute bottom of the text in the current line. Adds the align=absBottom attribute to the IMG tag. Example: <IMG src="" align=absBottom>
Bottom | Aligns the bottom of the image with the bottom of the text in the current line. Adds the align=bottom attribute to the IMG tag. Example: <IMG src="" align=bottom>
Middle | Aligns the middle of the image with the baseline of the text in the current line. Adds the align=middle attribute to the IMG tag. Example: <IMG src="" align=middle>
Top | Aligns the top of the image with the top of the tallest element in the current line. Adds the align=top attribute to the IMG tag. Example: <IMG src="" align=top>

Note The Absmiddle, Baseline, Absbottom, and Texttop options require browsers that support HTML 4.0.

Border size

Specifies the width in pixels of the border surrounding the image.

Height

Specifies the height in pixels of the space the image will occupy. If a height is not specified, the image displays at its intrinsic height. As you change this value, the image displayed scales accordingly.

Width

Specifies the width in pixels of the space the image will occupy. If width is not specified, the image displays at its intrinsic width. As you change values, the image displayed scales accordingly.

Horizontal space

Specifies the horizontal space between the left and right sides of the image and the surrounding text. The default value is zero pixels.

Vertical space

Specifies the vertical space between the top and bottom of the image and the surrounding text. The default value is zero pixels.

Image Map

Local hotspot information

Specifies the name and location of the <MAP> block containing the coordinates for each hotspot in the image. Enter the URL of the file containing the <MAP> block (or click the browse (...) button to browse to a file), a hash mark (#), and the name assigned to the <MAP> block. If the <MAP> block is in the current file, include just the hash mark and map block name. For example, the following within an <IMAGE> tag would reference a map file named image: USEMAP="#image.map". A file that contains a <MAP> block typically has a .map extension.

Hotspot information on server

Specifies that a <MAP> block is to be processed on the server. When a user clicks an image map, the x and y coordinates of the click location are sent to the server along with a URL for the map file. The ISMAP attribute of the <IMAGE> tag directs the browser to process the image map on the server specified in the URL.

Note Most Web browsers can process both client-side and server-side image maps. However, older browsers can process only server-side image maps. Consequently, it is common to include both options. For example:
<A HREF ="cgi-bin/imagemap/Mymap.map">
<IMG SRC="Mapimg.gif" USEMAP="#Mymap.map" ISMAP></A>
In this instance, "Mapimg.gif" is an image file in the local directory referenced by this Web page. Browsers that support client-side image maps will also look for the map file "Mymap.map" in the local directory before using the URL in the <A HREF> tag to locate the map file on the server. Since client-side processing is faster then server-side processing, make sure that the ISMAP attribute is placed last.


Insert Table Dialog Box

As you create a table, you can select various options for its size and appearance. To open the Insert Table dialog box, select Insert from the Table menu and choose Table.

Rows

Specifies the number of rows in the table. The resulting table does not include an extra row for column headings. Each <TR> tag creates a single table row and each <TD> tag creates a single cell in the row. For example, if you enter 1 in the Row field, 1 in the Column field, and accept the other default values in the dialog box, the following code is inserted:

<TABLE cellSpacing=1 cellPadding=1 width=300 border=1>
<TR><TD></TD></TR>
</TABLE>

Columns

Specifies the number of columns. Each <TD> tag creates a single cell in a particular row.

Table attributes

Width

Indicates the total width of the table. Select units (pixels or percent) from the list next to this box. If you select pixels, you can set an absolute width for the table. The table and its columns will remain the same width regardless of screen resolution. The default width for a new table is 300 pixels. If you select percent, the width of the table will change to accommodate screen resolution. A table whose width value is 25 percent will always be one-quarter the width of the available screen. If you leave this field blank, the table's width will be based on its content.

Height

Indicates the total height of the table in pixels. If you enter a height value, a height value is added to the opening <TABLE> tag. For example, if you set the height value to 20 and accept the remaining default values, the opening <TABLE> tag would be: <TABLE height=20 cellSpacing=1 cellPadding=1 width=300 border=1>

If you leave this field blank, the table's height will be based on its content.

Background color

Specifies the background color for the table. Select a color name from the list. If you select blue, for example, the bgColor=blue attribute is added to the opening <TABLE> tag. You can also click the adjacent ellipse (...) button to display the Color Picker and use it to choose additional colors.

Note A background color value for an particular cell takes precedence over the background color value for the table.

Background image

Specifies a graphics file (.gif, .jpg, or .jpeg) that appears behind the table.

Note To enable a background image to display behind a table, you must select an HTML 4.0 targetSchema.

The image is displayed at its default size. If the table is smaller than the image, part of the image is cropped. If the table is larger than the image, the image tiles to fill the table background. Enter a path, or click the adjacent ellipse (...) button to open the Select Table Background Image dialog box and navigate to the image file. If, for example, you select an image named "background.jpg" that is in the Images subfolder, the following is added to the opening <TABLE> tag: background="//Images/background.jpg"

Note If you reference an image file that is not already part of your project, the image will not automatically be added to your project. You must manually add the file to the project using the Add Existing Solution Item dialog box.

Alignment

Specifies how the table is aligned with respect to the document margins. Table layout alignment attributes take precedence over more general alignment attributes. For example, if a table, which is assigned the left alignment attribute, is inserted within a <CENTER> tag, the table is aligned to the left margin rather than centered.

Option | Alignment
Center | Aligns equidistant from the left and right margins. Adds align=center to the opening <TABLE> tag.
Left | Aligns with the left margin. Adds align=left to the opening <TABLE> tag.
Right | Aligns with the right margin. Adds align=right to the opening <TABLE> tag.

Cell spacing

Specifies the amount of space in pixels between cells. The default value, which is 1, adds cellSpacing=1 to the opening <TABLE> tag.

Cell padding

Specifies the amount of space in pixels between cell contents and the cell border. The default value, which is 1, adds cellPadding=1 to the opening <TABLE> tag.

Border size

Specifies the size in pixels of the table border. Choose 0 to specify no border. The default value, which is 1, adds border=1 to the opening <TABLE> tag.

Border color

Specifies a color for the table's border. Select a color name from the list or press the browse to a color in the Color Picker dialog box. If the table has no border, border color is ignored.

Note To enable border color, highlight, and shadow, you must set the targetSchema to HTML 4.0.

Highlight color

Specifies the color for the bottom and right sides of the table cell. Select a color name from the list or click the adjacent browse (...) button to display the Color Picker and choose additional colors. For example, if you select lime, the following is added to the opening <TABLE> tag: borderColorLight=lime. If the table has no border, highlight color is ignored.

Shadow color

Specifies a color for the table's shadow. Select a color name from the list or click the adjacent browse (...) button to display the Color Picker and choose additional colors. For example, if you select aqua, the following is added to the opening <TABLE> tag: borderColorDark=aqua. If the table has no border, shadow color is ignored.

Cell attributes

Background color

Specifies the background color for all cells in a table. To change or remove the background color for a single cell, place the insertion point in the cell in Design View, and select Property Pages from the View menu. In the <TD> Property Pages dialog box, change the value in the Background Color field. You can select a color name from the popup list or click the adjacent browse (...) button to display the Color Picker and choose additional colors. For example, if you select blue, the following is added to the opening <TABLE> tag: bgColor=blue.

Alignment

Specifies how the text in a cell is aligned with its border. After the table has been created, you can change or remove the alignment option for individual cells by placing the cursor in a cell and changing the value in the Horizontal or Vertical Alignment fields in the Cell Property Pages. The default value is left. When you specify an alignment option, the appropriate value is added within each <TD> tag.

Option | Alignment
Center | Cell contents are centered horizontally in the cell. Adds align=middle to <TD></TD> tag.
Left | Cell contents are flush with the left border. Adds align=left to <TD></TD> tag.
Right | Cell contents are flush with the right border. Adds align=right to <TD></TD> tag.

Border color

Specifies the same color for the borders of all cells in the table. The cell border color takes precedence over the table border color. After you create a table, you can change or remove the border color for each cell individually by placing the cursor in a cell and selecting Property Pages from the View menu, which opens the <TD> Property Pages dialog box. The new values set in <TD> Property Pages are inserted into the markup for the selected cell.

Note To enable border color, you must set the targetSchema to HTML 4.0.

Wrap text

Specifies whether text in cells is wrapped within the cell's borders. If cleared, all text in each cell appears on the same line and noWrap is added within each <TD></TD> tag. If selected, the browser automatically wraps text in each cell. After the table has been created, you can change or remove the wrap option for each cell individually.


Setting the keywords Property

Provides keywords that are inserted into the meta name=keywords tag in the <HEAD></HEAD> of your active Web page.

To edit keywords for a Web page

  1. Select the page in the HTML Designer.
  2. From the drop-down menu at the top of the Properties Window, select Document.
  3. Enter and edit values for the keywords property.

For example, if you type sports, recreation, outdoor as values for the keywords property, the following tag is inserted into the <HEAD></HEAD> section of the page.:

<meta name=keywords content="sports, recreation, outdoor">

Search keywords are used in queries by internet search engines to identify the content of your page, so that it can be included in or excluded from their result lists.


Keywords Tab, DOCUMENT Property Pages Dialog Box

Keywords, DOCUMENT Property Pages Dialog Box

By choosing Keywords on the DOCUMENT Property Pages dialog box, you can enter search keywords for the current document. Search keywords are used by internet search engines to index your Web pages. To access this dialog box, open a document for editing and do not select any elements on the page. Choose Property Pages from the View menu, and then click Keywords to enter search keywords for your document.

Note Separate keywords with commas. The keywords you enter are stored in the META KEYWORDS tag within the <HEAD> of your HTML document. For example, if you enter web,design on the Keywords tab, the following tag is entered in your document:

<meta name=keywords content="web,design"


Select Background Image Dialog Box

This dialog box allows you to choose an image to display or tile in the background of your Web page. You can either type in the image path in the URL field, or click the ellipse (...) button and navigate to the file's location. To access this dialog box, select Style Builder from the Style menu, choose Background in the left-hand pane, and click the ellipse (...) button adjacent to the Image field.

Projects

Select a project whose Web pages or other files will use this background image.

Contents of Folder

Select a project folder whose Web pages or other files will use this background image.

Files of type

Select, by file extension, the files that will use this background image.

URL type

URLs entered in this field can be absolute or relative. Absolute URLs include the full path to the image file, for example

file://server/art/recent/MyHouse.gif

Relative URLs express the location of the image file in relation to the location of the calling document, for example

../Img/MyHouse.gif

URL

The URL value is derived automatically from your choices in the previous fields. Click the browse (...) button to select a background image; its URL will appear in this field. You can also enter the path to the image manually.

Parameters

If the URL for the background image contains a search component to be passed to a server using GET statement syntax, enter the query string for the statement in this field. The query component will be separated from the URL by a question mark (?) yielding a string of the following form:

http://ourServer/myFolder/myPage.htm?getsomething%20value

URL preview

Refer to this window to ensure that the URL and other values entered in the fields above are correct, and that the Web page is displaying correctly.


TABLE Property Page

You can customize the appearance of a table in your Web page. To display the <TABLE> Property Page, open the Document Outline window and select the appropriate <TABLE> node, then choose Property Pages from the View menu.

Background color

Provides a list of table background colors. If you select blue, for example, the following is added to the opening <TABLE> tag:bgColor=blue. You can also click the adjacent browse (...) button to display the Color Picker and choose additional colors.

Background image

Specifies a graphics file (.gif, .jpg, or .jpeg) that appears tiled behind the table if the targetSchema is HTML 4.0. The image is displayed at its default size. If the table is smaller than the image, part of the image is cropped. If the table is larger than the image, the image tiles to fill the table background. Enter a path, or click the adjacent ellipse (...) button to open the Select Table Background Image dialog box and navigate to the location of the image. If, for example, you select an image named "background.jpg" that is in the Images folder, the following code is added to the opening <TABLE> tag:

background="//Images/background.jpg"

Dimensions

Height

Indicates the total height of the table in pixels. If you enter a height value, a height value is added to the opening <TABLE> tag. For example, if you set the height value to 20 and accept the remaining default values, the opening <TABLE> tag would be:

<TABLE height=20 cellSpacing=1 cellPadding=1 width=300 border=1>

If you leave this field blank, the table's height will be based on its content.

Width

Indicates the total width of the table. Select units (pixels or percent) from the list next to this box. If you select pixels, you can set an absolute width for the table. The table and its columns will always be the same width, regardless of screen resolution. The default width for a new table is 300 pixels. If you select percent, the width of the table changes to accommodate screen resolution. A table whose width value is 25 percent, for example, is always one-quarter the width of the available screen. If you leave this field blank, the table's width will be based on its content.

Layout

Alignment

Specifies how the table is aligned with respect to the document. Table layout alignment attributes take precedence over more general alignment attributes. For example, if a table which is assigned the left alignment attribute is inserted within a <CENTER> tag, the table is aligned to the left margin rather than centered.

Option | Alignment
Center | Align equidistant from the left and right margins.
Left | Align with the left margin.
Right | Align with the right margin.

Cell padding

Specifies the amount of space in pixels between cell contents and the cell border. The default value, which is 1, adds cellPadding=1 to the opening <TABLE> tag.

Cell spacing

Specifies the amount of space in pixels between cells. The default value, which is 1, adds cellSpacing=1 to the opening <TABLE> tag.

Borders

Size

Specifies the size in pixels of the table border. Choose 0 to specify no border. The default value, which is 1, adds border=1 to the opening <TABLE> tag.

Color

Specifies the same color for the borders of all cells in the table. The cell border color takes precedence over the table border color. Select a color or click the adjacent ellipse (...) button to display the Color Picker and choose additional colors. If the table has no border, border color is ignored.

Note To enable border color, highlight, and shadow, you must set the targetSchema property to HTML 4.0.

Highlight

Specifies the color for the bottom and right sides of the table cell. Select a color name from the list or click the adjacent browse (...) button to display the Color Picker and choose additional colors. For example, if you select lime, the following code is added to the opening <TABLE> tag:

borderColorLight=lime

If the table has no border, highlight color is ignored.

Shadow

Specifies a color for the table's shadow. Select a color name from the list or click the adjacent ellipse (...) button to display the Color Picker and choose additional colors. For example, if you select aqua, the following is added to the opening <TABLE> tag: borderColorDark=aqua. If the table has no border, shadow color is ignored.


Tabs, HTML, Text Editor, Options Dialog Box

Select Tabs under Text Editor, HTML in the Options dialog box to adjust tab settings for the HTML view markup editor. You can choose to have all new lines begin at the far left margin, or choose to let the editor automatically enter enough tabs to start the new line directly underneath the point where the previous line began.

Note These settings supplement the options on the pages listed under HTML Designer. You can access the Options dialog box from the Tools menu.

Indenting

None

When this option is selected, no tabs are added at the beginning of a new line.

Block

When this option is selected, tabs are added at the beginning of a new line within the opening and closing tags of an HTML element or <SCRIPT> </SCRIPT> block. These tabs place the point where the new line begins directly underneath the point where the previous line began.

Smart

When this option is selected, the number of tabs automatically inserted at the beginning of a new line is adjusted according to the context. When you press RETURN after an opening brace ( { ), for example, the next line is automatically indented to the next tab stop. When you press RETURN after a closing brace ( } ), the closing brace is realigned with the opening brace. When the Smart option is not selected, you must edit tabs manually to change indenting.

Tabs

Tab size

Sets the distance between tab stops. The default is four spaces.

Indent size

Sets the distance in spaces that text is automatically indented. The default is four spaces.

Insert spaces

When this option is selected, the Tab key inserts space characters (ASCII 32) instead of the tab character (ASCII 9). This can be useful if you use external editors which set their tab stops at different intervals.

Keep tabs

When this option is selected, the Tab key inserts the tab character (ASCII 9).


Setting the targetSchema Property

The targetSchema property selects the minimum version of HTML a Web browser must support to display your Web page properly. The default schema is HTML 3.2.

Note To use CSS styles, you must select a targetSchema of HTML 4.0, Navigator 4.0, or higher.

To set the default value for the targetSchema property

  1. Select Property Pages from the View menu and choose Document.
  2. On the General tabbed pane, select a value for the targetSchema property.

To adjust the value of the targetSchema property while editing a Web page

  1. Select the page in the HTML Designer.
  2. From the drop-down menu at the top of the Properties Window, select Document.
  3. Select a value for the targetSchema property.

    If you adjust the targetSchema property to a value different than the default, a meta NAME=vs_targetSchema tag is inserted into the <HEAD></HEAD> section of your page. For instance, if you select the value HTML 4.0, this META tag is inserted:

    <META NAME=vs_targetSchema content="HTML 4.0">.

    Note When a browser name is included in a targetSchema value, this indicates a particular Document Object Model (DOM) to be targeted by your HTML markup.


TD Property Page

Allows you to set width, height, color, alignment, border colors, column span, and row span for individual cells in a table. To display the <TD> Property Page, open the Document Outline window and select the appropriate <TD> node, then choose Property Pages from the View menu.

Background color

Specifies the same background color for all cells in a table. To change or remove the background color for a single cell, place the insertion point in the cell in Design View, open the <TD> Property Pages dialog box, and change the value in the Background Color field. You can select a color name from the popup list or click the adjacent ellipse (...) button to display the Color Picker Dialog Boxand choose additional colors.

Alignment

Specifies how the text in a cell is aligned with its border. To change or remove the alignment option for individual cells, place the insertion point in the cell in Design View, open the <TD> Property Pages dialog box, and change the values in the Horizontal Alignment and Vertical Alignment fields. When you specify an alignment option, the appropriate value is added to within the selected <TD></TD> tag.

Horizontal

Option | Alignment
Center | Cell contents are centered horizontally in the cell. Adds align=middle to the <TD> tag.
Left | Cell contents are flush with the left border. Adds align=left to <TD></TD> tag.
Right | Cell contents are flush with the right border. Adds align=right to the <TD> tag.

Vertical

Option | Alignment
Baseline | Aligns cell contents with the baseline of the text in the cell. Adds vAlign="baseline" to the <TD> tag.
Bottom | Aligns cell contents with the bottom of the cell. Adds vAlign="bottom" to the <TD> tag.
Middle | Aligns cell contents with the middle of the cell. Adds vAlign="middle" to the <TD> tag.
Top | Aligns cell contents with the top of the cell. Adds vAlign="top" to the <TD> tag.

Dimensions

Height

Indicates the minimum height of the cell in pixels. For example, if you enter 10 in the Height field, height=10 to the <TD> tag.

Width

Sets the width of the cell. Choose a unit (percent or pixel) for width in the adjacent list. For example, if you enter 10 in the width field and select percent in the unit option field, width="10%" to the <TD> tag.

Span

Columns

Specifies the number of columns that the cell extends across the table. For example, if you enter 2 in the Columns Span field, colSpan=2 is added to the <TD> tag. As a result, the cell spans from the current column and across the adjacent cell to its right.

Rows

Sets the number of rows that the cell extends down in the table. For example, if you enter 2 in the Rows Span field, rowSpan=2 is added to the <TD> tag. As a result, the cell spans from the current row down across the adjacent cell below.

Borders

Color

Specifies a solid border color for the cell. Select a color name from the list, or choose a color from the Color Picker dialog box. If Highlight and Shadow are set, the Color setting is ignored.

Note To enable border color, highlight, and shadow, you must set the targetSchema to HTML 4.0.

Highlight

Sets the color for the bottom and right sides of the cell. Select a color from the list, or choose a color from the Color Picker dialog box. Use this option with the Shadow option to create the appearance of a three-dimensional table cell.

Shadow

Sets the color for the top and left sides of the cell. Select a color from the list, or choose a color from the Color Picker dialog box. Use this option with the Highlight option to create the appearance of a three-dimensional table cell.

Note Use a light color for Highlight and a dark color for Shadow to maximize the three-dimensional appearance.

Wrap text

Specifies whether text is wrapped within a cell's borders. If cleared, all text in each cell appears on the same line and noWrap is added within all <TD> tags. If selected, the browser automatically wraps the text in each cell. After the table has been created, you can change or remove the wrap option for each cell individually.


Find Dialog Box

The Find dialog box allows you to search for text within the current document or window or in multiple open files and interactively review matches. You can access the Find dialog box by choosing Find and Replace from the Edit menu.

The Find dialog box searches through a document from top to bottom or from bottom to top, depending on which search direction you choose, starting from the insertion point. In addition, the search automatically continues when it reaches the beginning or end of a file. The status bar displays a message when the beginning or end of a document has been passed. A message box appears when you have reached the starting point of the search.

The Find dialog box provides many standard search options to help you improve the accuracy of your search.

Find what

Enter the text, along with wildcards or regular expressions, for which you intend to search. Select the drop-down list to display the last 16 items entered. Click the button to the right of the Find what box to view a quick reference list of select wildcard or regular expression syntax. This button is available only when the Use option has been selected.

Match case

When selected, the search operation looks only for occurrences that match the uppercase and lowercase characters you enter in the Find what box.

Match whole word

Searches for only whole words rather than matching the text as it occurs within words.

Search hidden text

Specifies that the search includes concealed and collapsed text, such as the metadata of a design-time control, a hidden region of an outlined document, or a collapsed class or method.

Search up

When selected, files are searched from the caret to the top of the file.

Note A message box appears when you have reached the starting point of the search.

Use

When selected, indicates that certain characters entered in the Find what text box match text patterns. The type of pattern matching applied depends on what is selected in the adjacent drop down list, either wildcards or regular expressions.

Wildcards

When selected, indicates that the use of certain characters in the Find what text box represent a class of character or sequence of characters.

Regular expressions

When selected, indicates that the use of certain characters in the Find what text box represent notations for patterns of text rather than the literal character.

Search

Allows you to define the scope of the search.

Current document

Searches only the currently active document for the text entered in the Find what box.

All open documents

Searches all open documents as if they were one document. Once the starting point of the search is reached in the current file, the search automatically moves to the next file and continues until the last open file has been searched.

Note Open documents in certain views might not be searched when All open documents is selected. Some graphical or designer views of documents might not support search and replace while the textual view of the document does. For example, Design view of HTML documents cannot be searched, but HTML view of the document can. Be sure to open the files in the appropriate view before you attempt to search.

Selection only

Searches only the selected text in the currently active document.

Only: <current block>

Searches only the current procedure, module, paragraph, or code block indicated by the location of the caret in the editor.

Replace

Displays the Replace dialog box, which allows you to make text substitutions.

Mark All

Adds a bookmark in the margin next to each line of code that contains a match for the text entered in the Find what text box.


Replace Dialog Box

The Replace dialog box allows you to make text substitutions in the current document or window as well as within multiple open documents. You can access the Replace dialog box by choosing Find and Replace from the Edit menu.

Find what

Enter the text, along with wildcards or regular expressions, for which you intend to search. Select the drop-down list to display the last 16 items entered. Click the button to the right of the Find what box to view a quick reference list of select wildcard or regular expression syntax. This button is available only when the Use option has been selected.

Replace with

Enter the text, along with any wildcard or regular expressions, which you intend to use as a replacement for the matches to the text entered into the Find what text box. Select the drop-down list to display the last 16 items entered. Choose the Browse button to view a list of wildcard and regular expression syntax. This button is available only when the Use option has been selected.

Match case

When selected, the search operation looks only for occurrences that match the uppercase and lowercase characters you enter in the Find what box.

Match whole word

Makes replacements for only whole words rather than text within words.

Search hidden text

Specifies that the replacement includes concealed and collapsed text, such as the metadata of a design-time control, a hidden region of an outlined document, or a collapsed class or method.

Search up

When selected, replacements are made in the file from bottom to top.

Note A message box appears when you have reached the starting point of the replacement.

Use

When selected, indicates that certain characters entered in the Replace with and Find what text boxes match text patterns. The exact interpretation depends on which pattern-matching syntax is selected from the drop-down list.

Wildcards

When selected, indicates that the use of certain characters in the Replace with and Find what text boxes represent a class of character or sequence of characters.

Regular expressions

When selected, indicates that the use of certain characters in the Replace with and Find what text boxes represent notations for patterns of text rather than the literal character.

Search

Allows you to define the scope of the current replacement operation.

Current document

Makes replacements only in the currently active document.

All open documents

Makes replacements with the text entered in the Replace with box in all open documents, as if they were one document. Once the starting point of the replacement is reached in the current file, the replace operation automatically moves to the next file and continues until the last open file has been searched.

Note Open documents in certain views might not be searched when All open documents is selected. Some graphical or designer views of documents might not support search and replace while the textual view of the document does. For example, Design view of HTML documents cannot be searched, but HTML view of the document can. Be sure to open the files in the appropriate view before attempting to search.

Selection only

Makes replacements only in the selection within the currently active document.

Only: <current block>

Makes replacements only in the current procedure, module, script block, paragraph, or code block specified by the location of the caret.

Find Next

Skips the current match and moves to the next match for replacement.

Replace all

Replaces all matches from a search. A message box appears, listing the total number of replacements.

Caution Replace all replaces all search matches, including those you have skipped with the Find Next button. You can only use Undo for replacements made in files that remain open after the replacement operation.

Mark All

Adds a bookmark in the margin next to each line of code that contains a match for the text entered in the Find what text box.


Customize Dialog Box

The Customize dialog box allows you to create custom toolbars, add and remove items from existing toolbars, and change the appearance of the toolbars displayed. You can access this dialog box by selecting Toolbars from the View menu. The following topics provide detailed information about tasks that can be performed in the Customize dialog box.

To | See
Create new toolbars | Toolbars, Customize Dialog Box
Add or remove items from existing toolbars as well as change button images and displayed text | Commands, Customize Dialog Box
Increase the size of icons, display shortcut key combinations in ToolTips, and set menu animations | Options, Customize Dialog Box
Create a custom toolbar | New Toolbar Dialog Box
Modify existing toolbars | Rename Toolbar Dialog Box


Commands, Customize Dialog Box

This dialog box allows you to add and remove commands on toolbars as well as change the images used for toolbar buttons. You can access this page by selecting Toolbars from the View menu, and then choosing Customize.

Categories

Displays the categories under which commands are organized.

Commands

Displays the commands and command images by category. You can select a command and drag and drop the command onto toolbars in the integrated development environment (IDE).

Description

Displays a description of the currently selected command.

Modify Selection

When a command is selected from a toolbar, the toolbar displays a list of commands that allow you to change the display of the button on the toolbar. For example, you can change the image or accelerator keys, as well as specify whether to display text instead of an image for the command.

Keyboard

Displays the Keyboard pane of the Environment options in the Options dialog box, which allows you to change and define shortcut key combinations for commands.


New Toolbar Dialog Box

This dialog box allows you to name and create a new toolbar. When you choose OK, the new toolbar appears in the integrated development environment (IDE). The toolbar name is also added to the Toolbars list in the Toolbars tab of the Customize dialog box. You can access this dialog box by selecting Toolbars on the View menu, and then choosing Toolbars in the Customize dialog box.

Toolbar name

Displays a default name for the new toolbar, which you can then edit.


Options, Customize Dialog Box

This dialog box allows you to change the appearance of your menu bar and toolbars. You can access this page by selecting Toolbars from the View menu, and then choosing Customize.

Show Standard and Formatting toolbars on 2 rows

Disabled by default, this option positions both toolbars on the same row in the document window. If you are not sure if the Standard or the Formatting toolbar is displayed, point to Toolbars on the View menu. A check mark appears next to every toolbar that is currently displayed.

Menu show recently used commands first

Disabled by default, this option shows frequently used commands on personalized versions of menus.

Show full menus after a short delay

This option is disabled by default. When you hover the pointer over an open menu, all the commands on the menu are shown after a brief delay.

Reset my usage data

Disabled by default, this option clears menu and toolbar settings that were automatically saved when you chose menu command and toolbar buttons. Buttons you have added or deleted on toolbars are not affected.

Note Clicking the Reset my usage data button does not change the location of toolbars, does not remove any buttons or commands you've added by using the Customize dialog box, and does not add buttons or commands you've deleted.

Large icons

Increases the size of toolbar icons so that they are easier to see.

Transparent floating toolbars

Enabling this option causes unattended floating toolbars to appear as transparent overlays after a short delay. The toolbars remain atop other windows in the IDE, but allow you to see text and other user interface elements behind them. This effect is not visible on monitors set to 256 colors or less.

List font names in their font

Displays, in list format, each font name as a sample of the font itself.

Show ScreenTips on toolbars

Displays on-screen descriptions of toolbar buttons when the pointer hovers over them.

Show shortcut keys in ScreenTips

Specifies whether shortcut key combinations appear in ToolTips for commands on toolbars.

Menu animations

Changes the way menus come into view when you click a command. For example, Slide Menu Animation causes the menus to appear with a sliding motion.

Keyboard

Displays the Keyboard page of the Environment page in the Options dialog box, which allows you to change and define shortcut key combinations for commands.


Rename Toolbar Dialog Box

This dialog box allows you to rename custom toolbars. You can access this dialog box by selecting Toolbars from the View menu, and then choosing Toolbars in the Customize dialog box.

Toolbar name

Displays the current name of the toolbar, which you can then edit.


Toolbars, Customize Dialog Box

The Toolbars page allows you to create, rename, remove, and reset toolbars. You can access this page by selecting Toolbars from the View menu, and then choosing Customize.

Toolbars

Displays the toolbars available in the integrated development environment (IDE) and any toolbars you create. When a toolbar is displayed in the IDE, a check mark appears to the left of it in this dialog box.

Note The Menu bar cannot be hidden. It can only be reset.

New

Displays the New Toolbar dialog box, which allows you to create and name a custom toolbar.

Rename

Displays the Rename Toolbar dialog box, which allows you to change the name of a custom toolbar only.

Delete

Deletes the custom toolbar selected in the Toolbars list.

Reset

Removes any changes to the pre-defined toolbar selected in the Toolbars list and resets it to its original state. Available only if you select a built-in toolbar.

Keyboard

Displays the Keyboard pane of the Environment options in the Options dialog box, which allows you to change and define shortcut key combinations for commands.


Toolbox

Toolbox Window

The Toolbox window displays a variety of items for use on the page you are creating. The items available from this window change, depending upon what kind of page you are creating. Items displayed can include HTML fragments, objects, and text files. You can open the Toolbox from the View menu.

By default, the Toolbox displays two tabs, a General tab and a Clipboard Ring tab. As you open an editor or designer, tabs and tools are added. You can also add custom tabs and tools to the Toolbox.

Note Some items in the Toolbox, such as the Pointer, cannot be removed

You can select and drag items, text, and controls from the Toolbox onto pages and designers, or drag items from these sources into the Toolbox for reuse later. For example, you can drag a Button control onto a Web page, or select and drag a text scrap from a document open in an editor and store it on the General tab of the Toolbox.

To | Do this
Insert an item in the default location on the active designer | Double-click the item.
Create customized groupings of items on your own tabs | Right-click the Toolbox and choose Add Tab.
Copy a Toolbox item from one tab to another | Press CTRL and drag the selected item to the new tab or use Copy and Paste.
Move a Toolbox item from one tab to another tab | Drag the item from one pane to the tab for another. Items that cannot be moved are copied instead.
Paste an item that has been copied to the Clipboard Ring. | Press CTRL+V to paste the item into the active document at the insertion point.
To cycle through items in the Clipboard Ring using the keyboard. | In the editor, press CTRL+Shift +V to cycle through items until the clip pasted in is the one you want.
Delete a Toolbox item | Select the Toolbox item and choose Delete from the Edit menu.
Add a custom control to the Toolbox. | Right-click the Toolbox and choose Customize Toolbox from its shortcut menu.
Store text fragments for use later | Drag scraps of code or text from the text editor and drop them onto the General pane of the Toolbox. You can then drag them as needed into other editors, designers, or windows.
Rearrange tabs and items on a tab | Drag tabs or their items to the locations preferred, and release the mouse.
Rename items | Right-click the Toolbox item and choose Rename Item from its shortcut menu.
Display all Toolbox tabs | Right-click the Toolbox window and choose Show All Tabs from its shortcut menu.
View items in the active tab in a list format | Right-click the Toolbox and choose List View from its shortcut menu.


Clipboard Ring, Toolbox Window

The Clipboard Ring tab and General tab appear by default whenever the Toolbox window opens. The Clipboard Ring tab stores the last twelve items that have been added to the system Clipboard Ring using Cut or Copy. These items can then be dragged and dropped from this tab to an editor or designer. The Toolbox is available from the View menu.

To cycle through the contents of the Clipboard Ring tab, press CTRL+SHIFT+V while working in an editor. This pastes the most recent item from the Clipboard Ring tab into the active file at the insertion point. Keep pressing CTRL+SHIFT+V to cycle through the Clipboard Ring until the desired item is found.

Tip You can add custom tabs and tools to the Toolbox, and rename, remove, and organize tools and tabs.


General, Toolbox Window

The General tab and Clipboard Ring tab appear by default whenever the Toolbox window opens. Use the General tab to store default and custom controls. The Toolbox is available from the View menu.

Initially, the General tab of the Toolbox window contains only the Pointer tool. As an editor or designer becomes active, more tabs and tools become available.

Tip You can rename, remove, and organize Toolbox tabs and their items, and add custom tabs and items.


Customize Toolbox Dialog Box

Use the Customize Toolbox dialog box to add or remove controls, objects, and other items displayed in the Toolbox window.

You can open the Customize Toolbox dialog box from the Tools menu.

The Customize Toolbox dialog box displays available components on tabs. Each tab contains a category of components recognized on your machine and ready to add to the Toolbox. To add a control, check the check box beside it; controls are added to the active tab in the Toobox. To remove a control, uncheck its check box.

Because this dialog box is extensible, applications can add tabs containing their own components. The IDE provides the following components:

  • COM Controls

To | Do this
Add a control that is not registered on your machine | Click Browse and navigate to the control file.
Sort your list of controls by name, location, or date modified | Click the appropriate column heading.


COM Controls, Customize Toolbox Dialog Box

This tab of the Customize Toolbox dialog box displays a list of all COM controls registered on your machine and allows you to change which of them are displayed in the Toolbox window. To sort the list of controls, click on any column heading. You can open the Customize Toolbox dialog box from the Tools menu.

Check box

When checked, indicates that the integrated development environment (IDE) has confirmed the entry for the control in your machine's registry and has added it to the Toolbox window, or will add it when you click OK. If this check box is cleared, the control does not currently appear in the Toolbox window or will be removed when you click OK.

Name

Displays the name of the control.

Path

Displays the full path to the control. You can sort by this column and then look for the installation path to identify default controls that shipped with the product.

Library

Displays the library that contains the control.

Last Modified

Displays the date when the control was last modified.

Control description

Displays a control's development language and version, and its Toolbox icon.

Browse

Displays the Browse dialog box, so that you can select COM controls (.ocx files) or .dll files stored on your machine or network that are not yet registered on your machine. When you select a control, it is registered and displayed on the Name, Path, and Last Modified list with its check box selected.

Reset

Restores the Toolbox to its default state and refreshes the current tab. Default controls appear with their check boxes selected.


Object Browser

The Object Browser allows you to examine and discover objects (namespaces, classes, structures, interfaces, types, enums, and so forth) and their members (properties, methods, events, variables, constants, enum items, and so forth) from various components. These components can be projects in your solution, referenced components within those projects, and external components.

You can determine what components are shown at any given time by choosing and customizing the browsing scope.

To open the Object Browser, either press CTRL+ALT+J or click Object Browser on the Other Windows command on the View menu. Browse

Allows you to select either the Active Project browsing scope or the Selected Components browsing scope as defined in the Selected Components dialog box. The Active Project browsing scope is the contents of the active project and its referenced components. As the active project changes, the Object Browser updates.

Customize

This button is available when you choose Selected Components as your browsing scope. This displays the Selected Components dialog box allows you to specify the components you want to browse—projects and their referenced components, and external components

Back

Navigates to the previously selected item. You can do this repeatedly to navigate through previously selected items until you reach the first browsed item. Together, Back and Forward maintain a history list of items that you previously browsed.

Forward

Becomes available when you click the Back button and allows you to return to the selected item. You can do this repeatedly until you reach the currently selected item. Together, Back and Forward maintain a history list of items that you previously browsed.

Find Symbol

Displays the Find Symbol dialog box which allows you to search the current browsing scope for a particular symbol.

Objects Pane

This pane on the left side of the Object Browser displays the container objects in components in the current browsing scope, such as namespaces, classes, structures, interfaces, types, and enums.

Members Pane

This pane on the right side of the Object Browser displays the members of the object selected in the Objects pane. These can include properties, methods, events, variables, constants, and enum items.

Description Pane

This pane at the bottom of the Object Browser displays detailed information about the currently selected object or member.


Find Symbol Dialog Box

The Find Symbol dialog box allows you to search for symbols—objects such as namespaces, classes, structures, interfaces, types and their members, such as properties, methods, events, variables, constants, and enum items—in the current browsing scope. Results of the search appear in the Find Symbol Results window.

Find what

The full or partial name of the symbol you are searching for. Previously searched symbols are retained in this drop down.

Look in

Allows you to choose the browsing scope for the search, either Selected Components or Active Project. Active Project confines the search to the active project and its referenced components only, while Selected Components searches within the user-defined browsing scope, which can include projects and their referenced components as well as other external components.

To customize the Selected Components browsing scope, click the Browse button (…) to display the Selected Components dialog box. You can then select the check boxes of the components you wish to search or add additional extneral components to the browsing scope.

Note that changing the browsing scope here also updates the display in the Object Browser.

Match whole word

When selected, the search returns symbols whose exact name matches the given string. For example, a search for "MyObject" returns symbols named "MyObject" but not "CMyObject."

Match prefix

When selected, the search returns symbols that begin with the given string. For example, a search using "MyObject" returns "MyObject," "MyObjectTest," and so forth, but not "CMyObject."

Match substring

When selected, the search returns symbols where any part of the symbol name matches the given string. For example, a search using "MyObject" returns "MyObject," "MyObjectTest" and "CMyObject."

Match case

When selected, this option returns symbols whose case matches that of the given string. For example, a case-sensitive search using "MyObject" returns "MyObject" but not "myobject" or "MYOBJECT."


Find Symbol Results Window

The Find Symbol Results window displays a summary of the results for searches performed in the Find Symbol dialog box. For each result, you may see:

  • The name of the symbol.
  • The source file containing the symbol and the line number within it. (Displays only when the source code for the symbol is available.)

For example, a search for MyObject might display the following results:

  MyObject - C:\Visual Studio Projects\Project1\MyObject.cpp(29)

You can navigate to the symbol in code by either double-clicking the result or by choosing Goto Definition from its context menu. For external components, you can browse to their definition in the Object Browser from here as well. If references are available for symbol, you can expand the node to see its uses in code.

Right-clicking a result in the Find Symbol Results window displays a context menu that contains one or more of the following commands:

  • Go To Definition—Takes you to the definition of the symbol in the code if available.
  • Go To Declaration—Takes you to the declaration of the symbol in the code, if available. This is available only for symbols in Visual C++ projects.
  • Browse Definition—Takes you to the primary node (typically top level) for the symbol in the Object Browser.

In addition, if references are available for the symbol, you can expand the result node to see its uses in code and navigate to them.


Select Component Dialog Box

The Select Component dialog allows you to select component files to include in the browsing scope. To access the Select Component dialog box, click the Browse button in the Component Selector dialog box.

Look In

Lists the directory structure for the system. Select a folder to browse its contents.

Back

Allows you to return to the previously selected item. Click multiple times to go back multiple levels.

Up One Level

Moves the current view up one folder level towards the root folder.

Search the Web

Brings you to the MSDN search site where you can search for additional files to browse.

Delete

Deletes the currently selected item.

Create New Folder

Creates a new subfolder in the current folder.

Views

Allows you to choose a particular directory view. You can change the view either by clicking the button or by selecting the type in the drop-down list. The available choices are:

  • List – Files and folders are listed alone, without headers or details.
  • Details – Files and folders are listed with headers and details.
  • Properties – Displays the properties of the currently selected file if any are available.
  • Previews – Displays a preview, if one is available, of the currently selected file.

You can also arrange an icon view by name, type, size, and date.

Tools

Allows you to delete the selected file, add it to your Favorites list, or map a network drive.

Toolbar

Click the button of the folder in which you want to search. Click the History button to search the History folder, My Projects to search the My Projects folder, and so forth.

File name

Allows you to enter the name of a file, or displays the name of the currently selected file.

Files of type

Filters the view of files by file type.


Options Dialog Box

You can change many of the settings that affect the integrated development environment (IDE) in the Options dialog box. For example, you can alter the default appearance and behavior of windows, and create shortcuts for commonly used commands. In addition, the Options dialog box contains a variety of language specific options. Experiment with the settings in the Options dialog box until you find the best environment for your needs. To access this dialog box select Options from the Tools menu.

Layout of the Options Dialog Box

The Options dialog box is divided into two parts: a navigation pane on the left and a page display area on the right. The navigation pane contains folders, such as Environment and Text Editor. Each folder contains a variety of pages. The HTML Designer folder for example, contains two pages, General and Display. When you select a page, its contents appear in the page display area of the Options dialog box.

Note Clicking OK in the Options dialog box saves all Options settings, including settings made on other pages. Clicking Cancel on any Options dialog box page cancels all change requests, including those made on other pages.

Obtaining help in the Options dialog box

To access documentation for any item on any page in the Options dialog box, navigate to the page and press F1.

Note IDE feature options do not appear in the Options dialog box until the feature loaded into memory. Therefore you might not see the same options you saw during your last session. Options appear in the Options dialog box and remain available as long as the IDE feature remains in memory. Common options are always available.

Caution Clicking Cancel cancels all changes in all categories of the dialog box. No changes are saved in any category.


Environment, Options Dialog Box

The Environment folder in the Options dialog box contains the following pages. Environment pages allow you to set default options for the display and behavior of elements and tools in the integrated development environment (IDE) in general.

For information on | See
Learning how to customize the appearance and behavior of windows, menus, and other elements of the IDE | General, Environment, Options Dialog Box
Establishing document display and management settings including the behavior of Miscellaneous files | Documents, Environment, Options Dialog Box
Setting the font and color in the Text Editor, printer, dialogs and tools windows, and other user interface elements | Fonts And Colors, Environment, Options Dialog Box
Configuring your programming language-specific keyboard mapping scheme and creating new shortcuts for commonly used commands and customized default shortcuts | Keyboard, Environment, Options Dialog Box


General, Environment, Options Dialog Box

Use this page of the Options dialog box to change default settings for the integrated development environment (IDE). You can access the Options dialog box by selecting Options from the Tools menu and then selecting the General page in the Environment folder.

Settings

Tabbed Documents

Select this option to display document windows that are tabbed together within editors. Tabbed document windows are useful for organizing and switching between multiple open documents.

Note You must restart the IDE for changes to take effect.

MDI Environment

Choose this option to open documents in a multiple document interface (MDI) environment. MDI document windows are useful for gaining the screen space that is otherwise taken up by the tabs in the tabbed documents environment. When working in MDI mode, you can switch between documents by pressing CTRL + Tab or you can use the tile options located on the Window menu.

Note You must restart the IDE for changes to take effect.

Window menu contains

Customizes the number of windows that appear in the Windows list of the Windows menu. Type a number between 1 and 24. The default is 10.

Show Status Bar

Displays the status bar. The status bar is located at the bottom of the IDE and displays information about the progress of ongoing operations.

Animate Environment Tools

This control allows you to enable transition effects. Clearing this option causes auto-hidden windows to instantly appear when requested rather than slowly transition onto the screen.

Speed

Controls the speed at which animation effects such as Auto Hide are executed. Experiment with animation speeds to find the setting that best suits you. This option is available only when you select the Animate Environment Tools option.

Enable Autocompletion

Select this to see command completion options as you type commands or file paths. When using auto completion, you do not need to type an entire command or path in most cases. As soon as you type the first character, a list appears containing matching commands that could complete the command you are typing. As you continue typing, the list narrows to reflect only the saved command or path containing the letters you have typed. When you see the desired command or path in the list, you can use either mouse or arrow keys to select it.

Find and Replace

Show message boxes

Choose this option to display the message boxes resulting from a find and replace operation. Two examples of message boxes affected by this option are: "The specified text was not found" and " No more occurrences found in the specified documents." Clear this option to hide all message boxes.

Initialize Find text from editor

Select this option to automatically copy text around the cursor in the editor to the Find what textbox in the Find and Replace dialog boxes. Clearing this option reuses the last search pattern from the previous search in the Find what textbox.


Documents, Environment, Options Dialog Box

Use this page of the Options dialog box to control the display and manage external changes to various documents and files in the integrated development environment (IDE). You can access this dialog box by selecting Options from the Tools menu and choosing the Documents page from the Environment folder.

Re-use current document window, if saved

When selected, closes your current document if it has been saved, and opens a new document in the same window. If your current document has not been saved, it remains open and the new document is opened in a separate window. When this option is not selected, new documents always open in separate windows.

If you infrequently perform multi-document cut and paste operations, and wish to minimize the number of open documents and windows in your working space, you might enable this option to gauge its applicability to your working habits.

Allow in-memory editing of read-only files

When this option is enabled you can open and edit a read-only file. When done, you must use the Save As command to save the file by a new name if you wish to save a record of your changes.


Fonts and Colors, Environment, Options Dialog Box

The Fonts and Colors page of the Options dialog box allows you to establish a custom font and color scheme for various user interface elements in the integrated development environment (IDE). You can access this dialog box by selecting Options from the Tools menu and choosing the Fonts and Colors page from the Environment folder.

Note Color scheme changes do not take effect during the session in which you make them. You can evaluate color changes by opening another instance of the IDE and producing the conditions under which you expect your changes to apply.

Show settings for

Lists all of the user interface elements for which you can change font and color schemes. After selecting an item from this list you can customize color settings for the item selected in Display items.

  • Text Editor
    Changes to font style, size, and color display settings for Text Editor affect the appearance of text in your default text editor. Documents opened in a text editor outside the IDE will not be affected by these settings.
  • Printer
    Changes to font style, size, and color display settings for Printer affect the appearance of text in printed documents.
  • Dialogs and Tool Windows
    Changes to font style, size, and color display settings for this item affect the appearance of text in all parts of all dialog boxes and tool windows in the IDE.

    Note Changes to the text of Dialogs and Tool Windows items do not take effect during the session in which you make them. You can evaluate such changes by opening another instance of the IDE .

Use...

The Use Defaults button resets the selected Show settings for the list item's default font and color values. The Use button appears when other display schemes are available for selection.

Font (fixed width fonts are in bold)

Lists all the fonts installed on your system. When the drop-down menu first appears, the current font for the element selected in the Show settings for field is highlighted. Fixed fonts — which are easier to align in the editor — are displayed in bold.

Size

Lists available point sizes for the highlighted font. Changing the size of the font affects all Display items for the Show settings for selection.

Display items

Lists the items for which you can modify the foreground and background color.

Note Text is the default display item. As such, properties assigned to Text will be overridden by properties assigned to other display items. For example, if you assign the color blue to Text and the color green to Identifier, all identifiers will appear in in green. In this example, Identifier properties override Text properties.

Item foreground

Lists the available colors you can choose for the foreground of the item selected in Display items. Because some items are related, and should therefore maintain a consistent display scheme, changing the foreground color of text also changes the defaults for elements such as Keyword or Operator.

Item background

Provides a color palette from which you can choose a background color for the item selected in Display items. Because some items are related, and should therefore maintain a consistent display scheme, changing the foreground color of text also changes the defaults for elements such as Keyword or Operator.

Custom

Sets a custom color for the item selected in the Display items list. Displays the Color picker dialog box.

Note Depending on your computer's color display settings, your ability to define custom colors for Display items using the Custom button can be limited. For example, if your computer is set to display 256 colors and you select a custom color from the Color dialog box, the IDE defaults to the closest available Basic color and displays the color black in the Color preview box.

Bold

Select this option to display the text of selected Display items in bold text. Bold text is easier to identify in the editor.

Sample

Displays a sample of the font style, size, and color scheme for the Show settings for and Display items selected. You can use this box to preview the results as you experiment with different formatting options.


Keyboard, Environment, Options Dialog Box

The Keyboard page of the Options dialog box allows you to customize the keyboard scheme for the integrated development environment (IDE). Use this option to set shortcut keys for frequently used commands or to establish your favorite binding for a particular command. To access this dialog box, select Options from the Tools menu and choosing the Keyboard page from the Environment folder.

Tip Enter a key combination in the Press shortcut key(s) textbox to check the key combination for an existing command mapping. For example, File.SaveAll (Ctrl+S (Global)) displays in the Shortcut currently used by list when you enter Ctrl+S in the Press shortcut key(s) textbox

Keyboard Mapping Scheme

Lists the set of all available collections of shortcut keys. To load a specific scheme, select it from the list. When you are ready to leave the options dialog box, click OK your selected scheme will be loaded into the IDE.

Note Clicking OK in the Options dialog box saves all Options settings, including settings made on other pages.

Save As

Displays the Save Scheme dialog box, where you can enter a name of the new keyboard-mapping scheme to save. When you click OK on the Save Scheme dialog box, a new entry is added to the Keyboard Mapping Scheme list above.

Note If a scheme with the name specified already exists, you will be prompted to replace it.

Delete

Deletes the selected keyboard scheme.

Note You cannot delete any of the default keyboard schemes.

Show commands containing

Lists all commands available in the integrated development environment (IDE) that contain the specified characters, or all commands if this edit box is empty. As you type a complete word, the result list displays all entries containing the typed word.

Shortcut(s) for selected command

Lists mapped shortcuts for the command selected in the Show commands containing list. Some commands have more than one mapped shortcut.

Remove

Removes the selected shortcut key combination.

Use new shortcut in

Allows you use the new shortcut key globally in the IDE or only within a specific context (or window); Global is the default setting. If you choose a specific context, the shortcut key remains in effect only while the context is active. If you choose Global, the shortcut key works in any active window in the IDE, unless the same shortcut is mapped in another editor, in which case the editor overrides the shortcut.

Press Shortcut Key(s)

Allows you to press a key combination to be used for the currently selected command. You must use one or more modifier keys such as CTRL, ALT, or SHIFT. The modifier keys appear in the order in which you press them. For example, pressing CRTL, then SHIFT, and then F2 creates the shortcut key, CTRL+SHIFT+F2. You can use BACKSPACE to delete the whole shortcut key combination at one time.

Note The following keys cannot be assigned: ALT, SHIFT, or CTRL without another key; ESC, PRINT SCRN/SYS RQ, SCROLL LOCK, PAUSE/BREAK, TAB, CAPS LOCK, INSERT, HOME, END, PAGE UP, PAGE DOWN, Windows logo keys, Application key, any of the ARROW keys, or ENTER; NUM LOCK, DEL, or CLEAR on the numeric keypad; or CTRL+ALT+DELETE.

Assign

Assigns a new key combination to the selected command for the Keyboard mapping scheme displayed. The new assignment is added to the Shortcut(s) for selected command list, so it is possible to have multiple key combinations for one command. This button is not active until you type a key combination in the Press shortcut key(s) box. If you attempt to bind a key in the [Default Settings] scheme, you are prompted to make a copy of the scheme and give it a name.

Note Changes made using the Assign button are not cancelled if you click the Cancel button.

Shortcut currently used by

Displays the command to which the key combination is currently assigned. Appears only when you assign a key or key combination that is already assigned. To replace the shortcut with a custom shortcut key combination you must define a new Keyboard mapping scheme.


General, All Languages, Text Editor, Options Dialog Box

This dialog box allows you to change the default settings for the Code/Text Editor. Default settings also affect other editors based upon the Code/Text Editor, such as the HTML Designer's Source view. You can access the Options dialog box from the Tools menu.

Note This page sets options for all languages. To change options for only one language, expand the tree on the left and select the language.

Statement Completion

Auto list members

When selected, a list of available members of a given object or class displays at the appropriate places when you enter a line of code.

Hide advanced members

When selected, certain members internally marked as "advanced" are hidden from view in the statement completion list. Advanced members are those that exist only for infrastructure purposes, but still must be publicly viewable. This option allows you to filter them from view if you do not need to see them.

Parameter information

When selected, parameter information displays for the function or procedure, if any is available.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.

Navigation bar

When selected, displays the Procedures and Objects boxes at the top of the document. This allows you to navigate to a particular object or procedure within that object.


General, Plain Text, Text Editor, Options Dialog Box

Allows you to change the Plain Text settings for the Code/Text Editor when you are editing text in a document not associated with a particular language service. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


Tabs, All Languages, Text Editor, Options Dialog Box

Allows you to change the default tab settings for the Code/Text Editor, which also affects other editors based upon it, such as the HTML Designer's Source view. You can access the Options dialog box from the Tools menu.

Note Options that apply to specific technologies can be selected within corresponding folders. For example, you can select options that apply specifically to the HTML Designer by opening the HTML folder and selecting options within its General and Tabs nodes.

Also, you might see the message "Individual selections conflict" displayed next to the Indenting or Tab options. This indicates that one or more individual languages have indenting or tab selection types that differ from the other languages. This message alerts you that selecting a particular indenting or tab type in this dialog affects all languages and sets their indenting or tab types to whatever you select here.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Smart

When selected, new lines of text are automatically formatted according to rules established by the current language service.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, Plain Text, Text Editor, Options Dialog Box

Allows you to change the Plain Text tab settings for the Code/Text Editor when you are editing text in a document not associated with a particular language service. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Add-In Manager Dialog Box

The Add-In Manager dialog box allows you to view a list of registered Add-ins in the IDE, and allows you to load or unload them in the IDE. You can specify the Add-in's behavior and command line options, if applicable. You can access the Add-In Manager dialog box on the Tools menu.

Available Add-ins

A list of all Add-in components that are registered in the IDE.

Startup

Determines whether the Add-in loades at startup.

Command Line

Determines whether the Add-in loads for command-line build operations.

Description

A short description of the add-in created by its author. This might include implementation instructions, caveats, usage tips, support, version and licensing information, and so forth.


Browse Dialog Box

Look in

Locate the existing project folder from this drop-down menu. Selecting a folder from this list displays the contents of the folder in the primary pane.

File name

Use this option to filter the files and folders that are displayed. Enter a full or partial file name on which to filter. You can use the asterisk (*) as a wildcard.

Tip Navigate to Web and network locations by entering a URL or network path in the File name box. For example, "http://mywebsite" displays the files available at the "mywebsite" Web location and "\\myserver\myshare" displays the files available at the "myshare" location on "myserver". You can also open a project from a Web location by selecting Open from Web Server in the Tools menu of the Open dialog box.

Save as type

Use this option to select a new file type for the selected item. The file types displayed include all available file types to which the selected item can be converted.

Returns folder to the previous location.

Navigates the tree to the next higher folder in the explorer hierarchy.

Displays the New Folder dialog box. Use this option to create a new child folder under the folder selected in the Look in drop-down list.

Use to select one of the different ways in which to arrange and view the contents of the item selected in the Look in drop-down list.

  • List Displays the name of files, folders, and other items in a list format.
  • Details Displays the name, size, type, and modified date of files, folders, and other items in a list format.
  • Large Icons Displays large icons for items in the display pane.
  • Small Icons Displays small icons for items in the display pane.
  • Thumbnails Displays thumbnails for items in the display pane.


Browse With Dialog Box

You can preview a document in a non-default browser by selecting a browser-compliant document in Project Explorer and then choosing Browse With from the File menu. Use the Open With dialog box to edit a document. The browser is the default browser until you change this setting.

Browser List

Lists the available browsers. Select the browser with which to browse the document, or choose Add to create a new program entry.

Browse

Choose Browse to view the a document in the browser selected from the Browser List.

Add

Select to use the Add Program dialog box to add a new browser to Browser List. You can either type the path to a program in Program Name or navigate to its location using Browse. Type the name that you wish to associate with the program under Friendly Name. This name will appear in the Browser List.

Remove

To remove a program from the Browser List, select the program and click Remove.

Set as Default

To specify a new default browser, select a program from the Browser List and click Set as Default.

Size of Browse Window

As an alternative to the default browser window size, you can choose either 640 x 480, 800 x 600, or 1024 x 768 from the drop-down list.


New File Dialog Box

Use this dialog box to create a new file. Files created using this dialog box are displayed in Project Explorer under the Miscellaneous Files node.

Note Files created using the New File dialog box will not be added to any open projects. To open this dialog box select New from the File menu and then choose File.

Categories

Displays categories of files from which you can choose a file Template. Select a category and then select a file template from the list on the right.

Note If only one category exists, this dialog box will contain only one frame; Templates (see below).

Templates

After choosing a folder from Categories, select a file type from Templates. A brief description of the selected file template appears beneath Categories.

Displays items in Templates as large icons.

Displays items in Templates as small icons.


Open File Dialog Box

Use this dialog box to open an existing file from disk. You can also use this dialog box to open an already opened file using different language encoding options.

To access this dialog box, select Open from the File menu and then choose File.

Look in

Locate the existing project folder from this drop-down menu. Selecting a folder from this list displays the contents of the folder in the primary pane.

History

Displays the files most recently removed from projects.

My Projects

Displays files and folders at the default location.

Desktop

Displays the files and folders located on the desktop.

Favorites

Displays the contents of your Internet Explorer Favorites folder.

Tip To add a link to your Favorites folder from this dialog box, locate the folder you want to add in the Look in drop-down list box, then select Add to Favorites from the Tools drop-down menu.

File name

Use this option to filter the files and folders that are displayed. Enter a full or partial file name on which to filter. You can use the asterisk (*) as a wildcard.

Tip Navigate to Web and network locations by entering a URL or network path in the File name box. For example, "http://mywebsite" displays the files available at the "mywebsite" Web location and "\\myserver\myshare" displays the files available at the "myshare" location on "myserver".

Files of type

Use this option to filter the contents of the folder or directory selected in Look in for a particular file type.

Returns folder to the previous location.

Navigates the tree to the next higher folder in the explorer hierarchy.

Opens your browser to the search page set in your browser's options.

Deletes the selected file(s) or folder(s) from your disk.

Displays the New Folder dialog box. Use this option to create a new child folder under the folder selected in the Look in drop-down list.

Use to select one of the different ways in which to arrange and view the contents of the item selected in the Look in drop-down list.

  • List Displays the name of files, folders, and other items in a list format.
  • Details Displays the name, size, type, and modified date of files, folders, and other items in a list format.
  • Properties Displays the name and properties of files, folders, and other items. When selected, divides the content pane in half; the left half displays the item's name and the right half displays the selected item's properties. Some files and folders do not have property information available.
  • Preview Displays a preview of the file. When selected, divides the content pane in half; the left half displaying files and folders and the right half displaying a preview of the selected file. This option is useful when looking for a particular graphic file.
  • Arrange Icons Has the same effect as selecting one of the column headers in Details View to sort by that column. Arrange Icons is useful when arranging items by criteria other than Name (such as Size) in a view other than Details (such as Preview).

Tools

Use to select a tool to apply to the item selected in the contents pane

  • Delete Deletes the selected file or folder from disk.
  • Add to Favorites Adds the file or folder to your Favorites folder. Any favorite you add will appear in your Internet Explorer Favorites.
  • Map Network Drive Displays the Windows Map Network Drive wizard, which allows you to connect to a machine on a network.
  • Open from Web Server Displays the Connect to Web Server dialog box, allowing you to locate and open a project that exists on a Web server.

Open With Dialog Box


Open With Dialog Box

You can open a document in one or more editors by selecting Open With from the View menu or by right-clicking a document in the Project Explorer and selecting Open With from the context menu.

Select a program to open

Lists the editors available for the selected file type. Select the editor from the list with which to open the document, or choose Add to add a new browser to the list.

Open

Choose Open to open the document in the selected editor.

Add

Use this button to add an editor to the Select a program to open list. You can type either the path to the program in the Program Name field or browse to the program's location by clicking the Browse button. Type a name associated with the program in the Friendly Name field that will appear in the Browse List list.

Remove

To remove a program, select the program and select Remove.

Set as Default

To specify a default editor (and language encoding options, if applicable) for the selected file type, select a program from the Select a program to open list and choose Set as Default. The next time you open the document, the document will open in the new default editor.

Note The default editor for the target file type is followed by (Default) in the Select a program to open pane.


Properties Window

Use this window to view and change the design-time properties and events of selected objects that are located in editors and designers. You can also use the Properties window to edit and view file, project, and solution properties. Properties Window is available from the View menu.

The Properties window displays different types of editing fields, depending on the needs of a particular property. These edit fields include edit boxes, drop-down lists, and links to custom editor dialog boxes.

Element | Graphic | Description
Object name |  | Lists the currently selected object or objects. Only objects from the active editor or designer are visible. When you select multiple objects, only properties common to all selected objects appear.
Categorized |  | Lists all properties and property values for the selected object, by category. You can collapse a category to reduce the number of visible properties. When you expand or collapse a category, you see a plus (+) or minus (-) to the left of the category name. Categories are listed alphabetically.
Alphabetic |  | Alphabetically sorts all design-time properties and events for selected objects. To edit an undimmed property, click in the cell to its right and enter changes.
Properties |  | Displays the properties for an object. Many objects also have events that can be viewed using the Properties window.
Events |  | Displays the events for an object.
Property Pages |  | Displays the Property Pages dialog box for the selected item. Property Pages displays a subset, the same or a superset of the properties available in the Properties window. Use this button to view and edit properties related to your project's active configuration.
Description pane | N/A | Shows the property type and a short description of the property. You can turn the description of the property off and on using the Description command on the shortcut menu.


Save As Dialog Box

Use this dialog box to save a selected item as another type of file. Access this dialog box by selecting the Save file As option on the File menu, where file is the item selected.

Save in

Locate the existing project folder from this drop-down menu. Selecting a folder from this list displays the contents of the folder in the primary pane.

History

Displays the files most recently removed from projects.

My Projects

Displays files and folders at the default location.

Desktop

Displays the files and folders located on the desktop

Favorites

Displays the contents of your Internet Explorer Favorites folder.

Tip To add a link to your Favorites folder from this dialog box, locate the folder you want to add from the Look in drop-down list box, then select Add to Favorites from the Tools drop-down menu.

File name

Use this option to filter the files and folders that are displayed. Enter a full or partial file name on which to filter. You can use the asterisk (*) as a wildcard.

Tip Navigate to Web and network locations by entering a URL or network path in the File name box. For example, "http://mywebsite" displays the files available at the "mywebsite" Web location and "\\myserver\myshare" displays the files available at the "myshare" location on "myserver". You can also open a project from a Web location by selecting Open from Web Server in the Tools menu of the Open dialog box.

Save as type

Use this option to select a new file type for the selected item. The file types displayed include all available file types to which the selected item can be converted.

Returns folder to the previous location.

Navigates the tree to the next higher folder in the explorer hierarchy.

Opens your browser to the search page set in your browser's options.

Deletes the selected file(s) or folder(s) from your disk.

Displays the New Folder dialog box. Use this option to create a new child folder under the folder selected in the Look in drop-down list.

Use to select one of the different ways in which to arrange and view the contents of the item selected in the Look in drop-down list.

  • List Displays the name of files, folders, and other items in a list format.
  • Details Displays the name, size, type, and modified date of files, folders, and other items in a list format.
  • Properties Displays the name and properties of files, folders, and other items. When selected, divides the content pane in half; the left half displays the item's name and the right half displays the selected item's properties. Some files and folders do not have property information available.
  • Preview Displays a preview of the file. When selected, divides the content pane in half; the left half displaying files and folders and the right half displaying a preview of the selected file. This option is useful when looking for a particular graphic file.
  • Arrange Icons Has the same effect as selecting one of the column headers in Details View to sort by that column. Arrange Icons is useful when arranging items by criteria other than Name (such as Size) in a view other than Details (such as Preview).

Tools

Use to select a tool to apply to the item selected in the contents pane.

  • Delete Deletes the selected file or folder from disk.
  • Add to Favorites Adds the file or folder to your Favorites folder. Any favorite you add will appear in your Internet Explorer Favorites.
  • Map Network Drive Displays the Windows Map Network Drive wizard, which allows you to connect to a machine on a network.
  • Open from Web Server Displays the Connect to Web Server dialog box, allowing you to locate and open a project that exists on a Web server.


Windows Dialog Box

This dialog box allows you to display, close, and arrange documents that are open in editors and designers. You can display this dialog box by choosing Windows from the Window menu.

Name

Displays the name of documents, including file extension, and windows with the currently active item selected.

Path

Displays the full path for documents. Windows typically do not have a path.

Activate

Makes the selected document the active document in the editor or designer.

Close Windows

Closes the selected documents and windows in the list.

Tile Horizontally

Stacks documents one on top of the other when the integrated development environment (IDE) is in MDI mode.

Tile Vertically

Displays documents side-by-side when the IDE is in MDI mode.


Topic Not Found

The link you just clicked was not able to connect to the target page. Some possible reasons and remedies are as follows:

Reason | Remedy
The URL of the destination topic is incorrect or has changed. | Use the index or the search function instead.
Problems with the Help installation. | Uninstall Help and then rerun Setup.


Storing HTML Elements in the Toolbox

After you have placed text and objects on a page, you can drag them from the page and store them in the Toolbox. This is useful if you have customized an object or text and want to keep it for use in other projects.

To store an element in the Toolbox

  1. Select one or more elements in the document and drag them to the General tab in the Toolbox.
  2. Right-click the element in the Toolbox and select Rename Item from its shortcut menu.
  3. Type a descriptive name for this item.

    Note Elements that you drag to the Toolbox are attached to the integrated development environment rather than to the document. Consequently, whatever you drag to the Toolbox from one document remains available while you work on other documents.


Setting the defaultClientScript Property

The defaultClientScript property sets either JavaScript (default) or VBScript as the scripting language used on the current page.

To set the default value for the defaultClientScript property

  1. Select Options from the Tools menu to open the Options dialog box.
  2. Select the Text Editor, HTML, General page.
  3. Select a default value for the defaultClientScript property.

To adjust the value of the defaultClientScript property while editing a Web page

  1. Select the Web page in the HTML Designer.
  2. From the drop-down menu at the top of the Properties Window, select Document.
  3. Select a value for the defaultClientScript property.

    If you adjust the defaultClientScript property to a value different than the default, a META NAME=vs_defaultClientScript tag is inserted into the <HEAD></HEAD> section of your page. For instance, if you select VBScript, the following tag is added:

    <META NAME=vs_defaultClientScript content="VBScript">.

    Note You can also specify the scripting language for a particular SCRIPT by including a type (HTML 4.0 and above) or language (HTML 3.2) attribute in the <SCRIPT></SCRIPT> tag.

    <SCRIPT TYPE="text/javascript" LANGUAGE="javascript">


Advanced Save Options Dialog Box

Use this dialog box to specify non-default language encoding options and to register your line-ending character preferences for an open file. To access this dialog box, open a file and choose Advanced Save Options from the File menu.

Encoding

Use this list box to apply a new language encoding scheme to the target file.

Line Endings

When creating a file intended for distribution to users of different operating systems, you can select one of the following carriage return or line feed options to ensure consistent document formatting.


Encoding Dialog Box

Use this dialog box to:

  • Open existing files (for example, .htm or .txt) that are improperly tagged, lack a character set attribute, or have an encoding that cannot be detected by the editor.
  • Change the character set of files created or modified in an editor.
  • Specify non-default encoding for a new file. If the file is not saved with a Unicode encoding, the Windows system default codepage (determined by the system default locale) will be used. For example, if your Windows system default locale is English, the Save As encoding will default to Windows codepage 1252, the encoding for the Western European language group.

Depending on the task you wish to perform, the Encoding dialog box can be accessed in several ways.

When you open a downloaded HTML file, the editor detects the charset parameter defined in the http meta tag. The Editor uses that information to convert the document to Unicode. However, many HTML pages do not contain this optional character set attribute. If the character set attribute is absent or incorrectly defined in the file you wish to open and if the file was created on a machine whose default encoding differs from the one you use, the file's characters will be incorrectly displayed. If you know the character set used by the author of such files, you can use the Encoding dialog box to select that character set. When notified of the HTML file's native character set, the editor converts the file into a form that is readable on your machine.

Encoding

Use this list box to select an encoding scheme for files. (Auto-detect) is selected by default.


File is currently in use and cannot be overwritten.

The current file cannot be saved. This error generally occurs when you attempt to save one file using the name of a file also open at the same time.

To correct this error

  • Close the file with the same name and try again.

    —or—

  • Rename the file and then save it.


File <name> cannot be deleted. The file may currently be used by another application or read-only.

This error generally occurs when the keyboard scheme selected to be deleted is either in use or is read-only.

To correct this error

  • If another application is using the specified file, close that application

    —or—

  • If the file is read-only, remove the read-only attribute. You can modify the read-only attribute in the Properties dialog box for the file, available in Windows Explorer.


Division by zero.

Division by zero is not mathematically possible. This error generally occurs when the value of an expression being used as a divisor is zero.

To correct this error

  • Check the expression for spelling, logical, or case mistakes.


Tab name <name> already exists.

Each tab on the Toolbox must have a unique name. This error generally occurs when the name you have entered for the Toolbox tab is the same as an existing tab on the Toolbox.

To correct this error

  • Enter a unique name for the tab.


Caption cannot be empty.

This error generally occurs when a name has not been entered for the Toolbox tab.

To correct this error

  • Enter a name for the Toolbox tab.


Tool requires a name.

This error generally occurs when the Title field within the External Tools dialog box has been left blank.

To correct this error

  • Enter a name for the new external tool in the Title text box.


Tool requires a valid executable.

This error generally occurs when the file specified is not an executable or the file does not exist in the path specified.

To correct this error

  • Enter a path in the Command text box to an executable file that exists or use the Browse button to navigate to a file in the External Tools dialog box.


This application requires Windows NT 4.0 (build <number> with Service Pack <number>), or Windows 95 (build <number> or above).

The application requires Windows NT 4.0, build 1381 with Service Pack 3, or Windows 95, build 708, or later versions.

To correct this error

  • Upgrade your current version of Windows NT or Windows to the versions listed above.


The application cannot start.

An unexpected error has prevented the application from starting. This error generally occurs when one or more components of the application are missing or incompletely registered on your machine.

To correct this error

  • Re-install the application.


System information cannot be displayed.

Operating system information cannot be displayed, probably because a registry value is missing or msinfo32.exe failed to run.

To correct this error

  • Re-install the application.


File <name> cannot be registered as an ActiveX component.

The file cannot be added to the project's references. This error occurs when a file has been corrupted, does not contain type libraries, uses an incompatible file type, or when the system does not have enough resources to complete the operation.

To correct this error

  • Verify that the file contains a valid type library and try again.

    —or—

  • Re-install the product that installed the file.

    Note The product that installed the file may not be the current program.


Disk <name> is full.

The drive containing the program does not contain enough space to save program files, such as toolbox.tbd, when the program closes.

To correct this error

  • Remove files from the drive and then try to close the program again.


File <name> size is incorrect.

This file contains fewer bytes than expected, possibly because the file has been truncated or corrupted.

To correct this error

  • Close and then re-start the program.
  • If the error continues, re-install the program to repair the file.


Type library <name> was not found.

The application cannot run without the DTE.olb and vsext.tlb type libraries. This error generally occurs when these two files have been removed or deleted.

To correct this error

  • Re-install the application.


File <name> cannot be added to the Toolbox.

The file cannot be added to the Toolbox. This error message occurs when the file is:

  • Not an .ocx or .dll.
  • Corrupted.
  • Not a valid ActiveX control.
  • Missing or contains invalid version information.

To correct this error

  • Verify that the file is an ActiveX control and try again.

    —or—

  • Re-install the product that installed the file.

    Note The product that installed the file may not be the current program.


The application cannot run.

There is not enough memory for the application to run.

To correct this error

  1. Verify that the machine meets the minimum requirements for running the application.
  2. Close other programs running on the machine to free up memory.

    —or—

  • Re-install the application.


Wizard file <name> format is not recognized.

The wizard cannot be opened. This error is generally caused by a corrupted wizard file or a wizard that does not match the version number of the application.

To correct this error

  • Verify that the wizard file has the same version number as the version of the application listed as the value of VSWIZARD, such as VSWIZARD 7.0.

    —or—

  • Re-install the application to repair the corrupted file.


Wizard file <name> is corrupted.

The .vsz file for the wizard does not have the correct format. This error happens when a .vsz file is corrupted or if the file is from a product other than this application.

To correct this error

  • Re-install this application to replace the corrupted file.


Wizard file <name> is missing a required value.

The .vsz file for the wizard does not have the correct format. This error occurs when a .vsz file is corrupted or if the file is from a product other than this application.

To correct this error

  • Re-install this application to replace the corrupted file.


Add-in <name> cannot be loaded. Remove it from the Add-in Manager?

The selected add-in cannot be found. This error usually occurs when the selected add-in is missing a .dll or other necessary component.

To correct this error

  • Re-install the add-in.


Add-in <name> caused an access violation. Remove it from the Add-in Manager?

This add-in has crashed and may be causing other problems in the integrated development environment.

To correct this error

  • Choose Yes to remove the add-in from the list of available add-ins.

    -or-

  • Choose No.

Note Contact the author of the add-in to report the problem.


The application cannot shut down.

This error message generally appears when an outside program, such as the Task Manager, attempts to close the applicationwhile the application still has a modal dialog open.

To correct this error

  • Close the modal dialog and try again.


Component <name> is busy. Choose Switch To to activate the component and correct the problem.

The server application is busy and cannot complete the current request.

To correct this error

  • Choose Switch To to open the application and investigate the problem.

    —or—

  • Choose Retry to wait for the server application to finish processing the request.

    —or—

  • Choose Cancel to end the request.


Component <name> is not responding. Choose Switch To to activate the component and correct the problem.

The server application has not completed the current request.

To correct this error

  • Choose Switch To to open the application and investigate the problem.

    —or—

  • Choose Retry to wait for the server application to finish processing the request.


Top level menu names cannot contain separators.

This error generally occurs when an attempt is made to drag text that contains a separator character, such as a dash (-), into a menu name. Top-level menus cannot contain this character, which is reserved for separating sets of menu items.

To correct this error

  • Enter the text without using the separator character.


Miscellaneous Files projects can contain <number> items.

The Miscellaneous Files project can save up to 256 items. This error generally occurs when a number less than one or greater than 256 has been entered in the Miscellaneous files project saves last <number> items box on the Documents pane of Environment options in the Options dialog box.

To correct this error

  • Enter a number between one and 256 in the box.


MRU list can contain <number> items.

MRU lists can contain up to twenty-four items. This error generally occurs when a number less than one or greater than twenty-four has been entered in the Most recently used lists contain <number> items box on the General pane of Environment options in the Options dialog box.

To correct this error

  • Enter a number between one and twenty-four in the box.


Property value is not valid.

This error generally occurs when a invalid value is entered for a property. For example, entering the wrong format for an integer value or too big of a value for a short value.

To correct this error

  • Enter a value that is valid for the property.

    Tip Search the online documentation to find out what values are valid for the property.


Window menu can contain <number> items.

The Windows List in the Window menu can only display up to twenty-four window names. This error generally occurs when a number less than one or greater than twenty-four has been entered in the Window menu contains <number> items box on the General pane of Environment options in the Options dialog box.

To correct this error

  • Enter a number between one and twenty-four in the box.


Item cannot be added to the Toolbox.

The Toolbox only supports controls or text items. This error generally occurs when you attempt to add an item to the Toolbox that the application does not support. For example, the Toolbox cannot contain Excel workbook files.

To correct this error

  • Choose a different item to add to the Toolbox.


Out of memory.

This error generally occurs when the original error code that was generated for this problem has been lost.


Overflow.

An assignment exceeded the limitations of the target of the assignment. This error generally occurs when one of the following is true:

  • The result of an assignment, calculation, or data type conversion is too large to be represented within the range of values allowed for that type of variable.
  • An assignment to a property exceeds the maximum value the property can accept.
  • You attempt to use a number in a calculation, and that number is converted into an integer, but the result is larger than an integer.

To correct this error

  • Assign the value to a variable of a type that can hold a larger range of values.

    —or—

  • Make sure your assignment fits the range for the property to which it is made.


Package <name> failed to load.

The package could not be opened. This error generally occurs when the package has not been registered correctly, the package is missing a DLL, the DLL is corrupted, or a DLL that the package requires from another component is missing.

To correct this error

  • Re-install the product that supplies the package.


Tool could not be executed. Please ensure that it points to a valid executable.

This error generally occurs when you attempt to launch an external tool and the tool fails to run. This error might be caused because the specified file is not a valid executable or batch file.

To correct this error

  • Check that the external tool is a valid executable or batch file using the External Tools dialog box available from the Tools menu.


Application did not register a class factory for class ID <number>.

A COM object that implements the IClassFactory interface for the application was not registered. This is an operating system error.

To correct this error

  • Re-install Visual Studio or the affected application and try again.


This program requires an application for class ID <number>.

This program could not find the application you are trying to use. This message is an operating system error.

To correct this error

  • Re-install the affected application and try again.

    —or—

  • Re-install this program and try again.


Object with program ID <number> cannot be created.

The class string you are trying to use is not valid. This message is an operating system error.

To correct this error

  • Re-install the affected application and try again.


Clipboard cannot be emptied.

This error generally occurs when an item has been copied but cannot be placed on the Clipboard because the Clipboard already contains information which cannot be removed.

To correct this error

  • Close other programs that may be using the clipboard and try again.


Clipboard cannot be opened.

The error generally occurs when you attempt to cut, copied, or paste an item but the Clipboard cannot be accessed.

To correct this error

  • Close other programs that may be using the clipboard and try again.


Clipboard format is not valid.

The Clipboard only accepts data in certain specified formats. This error generally occurs when you try to place data from a component on the Clipboard, such as an icon from the COM Classic property browser, but the data is in a format incompatible with the Clipboard.

To correct this error

  • Consult the documentation for the component to determine whether you can use the Clipboard for transferring data from the component.

    —or—

  • Select another item from the property browser and try again.


The application requires a .dll for class ID <number>.

The application could not find the DLL for the class that you specified. This is an operating system error.

To correct this error

  • Re-install the application and try again.


DLL error. Could not create object with class ID <number>.

This message is an operating system error.

To correct this error

  • Re-install this product and try again.


File name <name> cannot contain character device names.

This error generally occurs when a file name is entered which is actually a character device name. Character device names include, but are not limited to, CON, PRN, AUX, CLOCK$, NUL, LPT1, LPT2, COM1, COM2, COM3, and COM4.

To correct this error

  • Enter a different file name.


Interface is not registered for class ID <number>.

The interface is not registered. This message is an operating system error.

To correct this error

  • Re-install the affected application and try again.


File <name> is out of date.

This error generally occurs when the version of oleaut32.dll on your machine is older than the version of the file the product is attempting to use.

To correct this error

  • Re-install the product to install the correct version of the file on your machine.


Menu captions cannot contain separators.

This error generally occurs when the dash character ( - ) is used in the name of a menu caption. The dash character is designated for menu separators.

To correct this error

  • Enter a new name for the caption that does not use the dash character.


Property value is not valid.

This error generally occurs when a invalid value is entered for a property. For example, if the property is a boolean property with valid values of TRUE and FALSE, the value MAYBE would be invalid for the property.

To correct this error

  • Enter a value that is valid for the property.

    Tip Search the online documentation for the property name to find out what values are valid.


Could not access system registry.

This error generally occurs when the operating system cannot find the registry file, the file is corrupted, or an attempt to read or write to the file failed.

To correct this error

  • Re-install Visual Studio.


Component is not correctly registered.

This error generally occurs when the registry has been corrupted, the system cannot access the registry, or an item was written to the registry with an incorrect format.

To correct this error

  • Re-install the component.


System DLL <name> could not be loaded.

A .dll file provided by the operating system, such as DDEML.DLL, VERSION.DLL, or WINSPOOL.DRV, couldn't be found. This error generally occurs if one of the following is true: the file is not on the proper path, the DLL has been corrupted or deleted, or there isn't enough memory.

To correct this error

  • Check that the DLL is on the Windows system path.

    —or—

  • Reload the DLL.

    —or—

  • Try to free up memory by closing other open applications.


Operating system does not match requirements for object with CLSID <number>.

This error generally occurs when an incompatible operating system or an incompatible version of the operating system has been detected.

To correct this error

  1. Check the system requirements for the application.
  2. Install one of the compatible operating systems and try again.


Some components could not be browsed.

This error generally occurs when you attempt to add a file type that does not support object browsing, such as .htm and .txt files, in the Component Selector dialog box. The Object Browser supports file types such as .bsc, .olb, .tlb, .dll, .exe, and .ocx.

To correct this error

  • Remove the unsupported file type from the Selected components list and select a different file.


Command is not available.

This error generally occurs when a command is entered in the Command window or the Find/Command box that is not valid, based on the current state of the application.

To correct this error

  • Choose a different command.

    —or—

  • Make a different selection for the command to operate on.


Items cannot be added to a project that is not available in Solution Explorer.

This error generally occurs when a project that has been specified is not open in Project Explorer. The application cannot add items to a project that is not currently available in Project Explorer.

To correct this error

  • Add the specified project to the Project Explorer.


Items cannot be added to a project when multiple or no items are selected in Solution Explorer.

This error generally occurs when no items have been selected in Project Explorer or more than one item has been selected.

To correct this error

  • Select only one item in Project Explorer.


Directory or file specified in Look In is not available or does not exist.

This error generally occurs when the path or file name specified in the Browse list cannot be found.

To correct this error

  • Re-enter the path and file name.

    —or—

  • Navigate to the correct file or folder using the Browse list and Available items box.


Command requires <number> arguments.

This error generally occurs when too few or too many arguments have been entered for the command.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Command does not accept any arguments.

This error generally occurs when an argument has been entered for a command that only accepts switches.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Command requires one argument.

This error generally occurs when not enough information has been entered for the command or because an incorrect combination of arguments was used.

For example, if alias /delete sample1 sample2 has been entered for the alias command, this error will appear because alias /delete can only take one alias name, not two. Alias names do not contain spaces, so the Find/Command box and Command window interpret sample1 sample2 as two different alias names.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Configuration name contains illegal characters.

This error generally occurs when the name entered for the build configuration includes illegal characters, such as <, >, |, and *.

To correct this error

  1. Check that the configuration name does not contain the following characters: <, >, *, |, :, \, /, &, %, ", ., or a leading or trailing space.
  2. Re-type the name.


Character <character> is not valid for alias names.

This error generally occurs when an incorrect character is entered as part of an alias name. Alias names cannot contain whitespace, =, [, ], /, -, or ".

To correct this error

  • Re-enter the alias name, omitting the incorrect character.


Command <name> is not valid.

This error generally occurs when a command or alias of a command not recognized by the application has been entered into the Find/Command box or the Command window. If an alias has been entered, the full command name appears instead of the alias name in the error message.

To correct this error

  • Re-enter the command name or choose a valid command name.


Editor <name> is not valid for this file type.

This error generally occurs when an incorrect value is entered for the /e:editorname argument in the Command window or Find/Command box.

To correct this error

  • Check the documentation for the correct /e:editorname syntax and re-enter the command.


Template <name> is not valid for the selected project.

This error generally occurs when an unknown template name has been entered for the New File command, File.NewFile, or for the Add New Solution Item command, File.AddNewSolutionItem.

To correct this error

  • Re-enter the command and its arguments.

    —or—

  • Check the “New File Command” or “Add New Solution Item Command” topics for the correct syntax.


<name> is not a valid project name.

This error generally occurs when the File.NewProject command is issued from the Command window or Find/Command box and an incorrect project name is entered for projectname.

To correct this error

  • Verify that the project name does not contain extra spaces and is not a reserved word such as NUL, CON, or AUX.

    —or—

  • Re-type the command, omitting the project name.


Project type is not valid.

This error generally occurs when an incorrect value was entered for the argument templatename for the Add New Project command.

To correct this error

  • Check the documentation for the correct syntax for the Add New Project command and try again.


Enter a valid search string.

This error generally occurs when a search is attempted without entering a string to search for in Find what of the Find Symbol dialog box.

To correct this error

  • Type the correct text in the Find what box and choose Find again.


<name> is not a valid solution name.

This error generally occurs when the command File.NewProject has been entered in the Command window or Find/Command box with an incorrectly formatted value for the argument /sln:solutionname.

To correct this error

  • Re-type the command syntax and omit the optional argument /sln:solutionname. A unique solution name will automatically be generated.

    —or—

  • Check that the solution name does not contain leading or trailing spaces and is not a reserved word. Reserved words include NUL, CON, AUX, COMx, or LPTx, where x is a digit 1-9.


Switch <name> is not valid for this command.

This error generally occurs when a incorrect switch or combination of single character switches has been entered for a command.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


<name> cannot shut down because a modal dialog is active. Close the active dialog and try again.

This error generally occurs when the operating system is attempting to shut down and a modal dialog is open in an application, which prevents the application from closing.

To correct this error

  • Close the modal dialog box and then close the application or shut down the operating system.


Command was not specified.

This error generally occurs when an empty string has been entered into the Command window or the Find/Command box.

To correct this error

  • Enter a valid command.


Dialog box requires that you select more than one configuration.

This error generally occurs when a single solution configuration has been selected in the Multiple Configurations dialog box.

To correct this error

  • Select additional solution configurations.

    —or—

  • If you want to update a single configuration, choose Cancel and select the correct solution configuration from the Configuration list in the Solution Properties dialog box.


Dialog box requires that you select more than one platform.

This error generally occurs when a single platform has been selected in the Multiple Platforms dialog box.

To correct this error

  • Select additional platforms.

    —or—

  • If you want to update a single platform, choose Cancel and select the correct platform from the Platform list.


Command requires at least <number> arguments.

This error generally occurs when too few arguments have been entered for a command.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Command requires at least one argument.

This error generally occurs when no arguments have been entered for a command that requires at least one argument.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Command does not accept additional switches or arguments if the switch "/stop" has been specified.

This error generally occurs when the /stop switch has been entered, along with additional switches for the Find in Files or Replace in Files commands.

To correct this error

  • If you want to stop the current Find in Files operation, enter:
    Edit.FindinFiles /stop.
  • If you want to stop the current Replace in Files operation, enter:
    Edit.ReplaceinFiles /stop
  • If you want to start a new Find in Files or Replace in Files operation, re-enter the command, omitting /stop.


Command <name> does not use arguments or switches.

This error generally occurs when a switch or argument has been entered with a command or alias that does not use arguments or switches. If an alias has been entered, the full command name appears in the error message text, not the alias name.

To correct this error

  • Re-enter the command and arguments or enter a new command.


File name does not exist or is not valid.

This error generally occurs when an incorrect path or file name is entered in the Add Program dialog box.

To correct this error

  • Choose Browse to navigate to the correct file.

    —or—

  • Re-type the path and file name.


Argument is missing escape sequence '\\'.

This error generally occurs during search or replace when regular expressions or wildcards are used in a search string. This error can be caused by a single backslash (\) at the end of a pattern or by \x or \u entered without a valid hexadecimal Unicode character.

To correct this error

  • To search using the regular expression escape character, enter \.
  • To search for a unicode character, enter \x or \u followed by a valid Unicode value.
  • To search for the literal backslash, use \\.


Grouped expression is missing ')'.

This error generally occurs when an opening parenthesis, (, has been specified but the closing parenthesis, ), has been omitted in a find string.

To correct this error

  • To search for the literal character (, use \(.
  • To group an expression, enter the missing ).


Character set is missing ']'.

This error generally occurs when the closing bracket (]) is missing for a regular expression specified in a find or replace string.

To correct this error

  • To find the literal character ], use \].
  • To match a character set, enter the missing bracket ].


Unknown argument for ':' operator.

This error generally occurs during search or replace when regular expressions or wildcards are used in a search string. The operator colon (:) was entered but the argument that followed was not a valid argument.

Note Arguments for the colon (:) operator are case-sensitive.

To correct this error

  • Review the correct regular expression syntax located in the topic “Regular Expressions.”
  • Double-check that the correct case of the argument was used.
  • If you are using an Input Method Editor (IME), make sure that the argument is not given using full-width characters.


Tagged expression is missing '}'.

This error generally occurs when an opening brace ({) has been specified but the closing brace (}) has been omitted in a find string.

To correct this error

  • To search for the literal character {, use \{.
  • To tag an expression, enter the missing }.


Tagged expression number is out of range.

This error generally occurs when a reference to a tagged expression was used in a replace string, but the number specified was outside the range 0 - 9.

To correct this error

  • Enter a number between zero and nine.


String contains too many tagged expressions.

This error generally occurs when more than nine tagged expressions have been specified in the search string.

To correct this error

  • Reduce the number of tagged expressions specified.


Alias definition is recursive.

This error generally occurs when an alias has been defined that directly or indirectly references itself.

To correct this error

  • Change the definition of the alias and try again.

    —or—

  • Review the current list of aliases and their definitions by entering >alias in the Command window and try again.


Command does not accept switches.

This error generally occurs when a switch has been supplied for a command that recognizes only agruments.

To correct this error

  • Review the syntax requirements for the command.


Switch <name> requires a value.

This error generally occurs when a switch is specified without a required value.

To correct this error

  • Re-enter the command and provide a value for the switch.

    —or—

  • Re-enter the command and omit the switch.


Switch <name> does not allow a value.

This error generally occurs when a switch that does not allow a value is assigned a value.

To correct this error

  • Re-enter the command, omitting a value for the switch.


Command allows at most <number> arguments.

This error generally occurs when too many arguments have been entered for a command or because an incorrect combination of arguments was used.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


Command allows at most one argument.

This error generally occurs when too many arguments have been entered for a command that accepts no arguments or one argument.

To correct this error

  • Check the documentation for the correct syntax for the command and try again.


The class file for this Web Form was not loaded. Close this view, correct any errors, then reopen the Web Form.

A problem with the class file for a Web form does not permit it to load.

To correct this error

  1. Close the Web form.
  2. Open the class file and correct its values as needed.
  3. Save and close the class file.
  4. Reopen the Web page.


The Border Size must be a positive integer or zero.

The Border Size property has a value that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click the image and select Properties from its context menu.
  3. In the Border Size field, enter a positive integer greater than zero.


The Cell Height must be an integer greater than zero.

The Height property of a cell in an HTML table has a value that is not a positive number greater than zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TD> node for the table cell that needs editing.
  4. The Properties window displays the properties of the selected cell. Scroll to the Height property and enter a value that is a positive number greater than zero.

    The HTML markup of the selected <TD> element is modified. Save these changes to your document.


The Cell Padding value must be a positive integer or zero.

The Cell Padding property of an HTML table has a value that is not a positive number or zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TABLE> node for the table that needs editing.
  4. The Properties window displays the properties of the selected table. Scroll to the Cell Padding property and enter a value that is a positive number or zero.

    The HTML markup of the selected <TABLE> element is modified. Save these changes to your document.


The Cell Spacing value must be a positive integer or zero.

The Cell Spacing property of an HTML table has a value that is not a positive number or zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TABLE> node for the table that needs editing.
  4. The Properties window displays the properties of the selected table. Scroll to the Cell Spacing property and enter a value that is a positive number or zero.

    The HTML markup of the selected <TABLE> element is modified. Save these changes to your document.


The Cell Width must be an integer greater than zero.

The Width property of a cell in an HTML table has a value that is not a positive number greater than zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TD> node for the table cell that needs editing.
  4. The Properties window displays the properties of the selected cell. Scroll to the Width property and enter a value that is a positive number greater than zero.

    The HTML markup of the selected <TD> element is modified. Save these changes to your document.


The class file for this Web Form could not be loaded. Close and reopen the Web Form.

A processing problem does not permit the class file for a Web form to load.

To correct this error

  • Close the Web form, and then reopen it.


You can only display this page in HTML View while debugging.

You cannot change views while you are debugging.

To correct related errors

  • To open the page in Design view, finish debugging the page, turn off debugging, then switch views.
  • To turn off HTML Validation, select Text Editor from Tools Options, and under HTML clear the "Enable HTML Validation" check box.


You cannot open an entire frameset in Design View. Open its pages frame by frame.

An HTML frameset page calls two or more HTML pages to specified areas of your Web browser window. You cannot open all of the HTML pages called by a frameset at once. You must edit the pages the frameset calls one page at a time.

To correct this error

  • Edit each Web page called by the frameset separately.


Could not open this page in Design View. There is a duplicate HTML, HEAD, TITLE, or BODY tag.

There is a duplicate tag in the HTML markup for this page that does not permit the page to open in Design view.

To correct this error

  1. Open the page in HTML view.
  2. Find and remove the duplicate tag or tags.
  3. Save the page.

    You can then continue to edit the page in either HTML view or Design view.


Could not open this page in Design View. Nested double quotes are not permitted in an attribute value.

You have included an item in double quotes within a quoted attribute value.

To correct this error

  • Use single quotes within double quotes:
    VALUE="The 'King' of Rock and Roll"

    - or -

  • Place an escape character before each nested double quote:
    VALUE="The \"King\" of Rock and Roll"

    - or -

  • Use the HTML markup &quot; for the double quote mark:
    VALUE="The &quot;King&quot; of Rock and Roll"


Could not open this page in Design View. A script is not permitted inside a LABEL tag.

The HTML markup for a <LABEL> element on this Web page includes an embedded script. Embedded scripts cannot be placed within a <LABEL> element.

To correct this error

  1. Open this Web page for editing in HTML view.
  2. Move the script from within the <LABEL> element to another location in the HTML markup, or delete the script.
  3. Save the page.

    You can then continue to edit the page in either HTML view or Design view.

Example

To run function myFunction() when the mouse event onClick is received by label myLabel:

  1. Define a FOR attribute whose value is an element ID (FOR="ElementID") within the opening tag of myLabel

    - or -

    define an .htmlFor property MyLabel.htmlFor="ElementID" within a SCRIPT.

  2. Call the desired MyFunction() as the onClick event handler within the opening tag of the HTML element identified by that "ElementID":
    <OtherElement ID="ElementID" onClick="MyFunction()">

When MyLabel receives the onClick event, this event will bubble through to the OtherElement to which MyLabel is bound. This OtherElement will run MyFunction() as its onClick event handler.


Could not open this page in Design View. A script is not permitted inside a LISTING tag.

The HTML markup for a LISTING element on this Web page includes an embedded script. Embedded scripts cannot be used within <LISTING>, <PRE>, or <SAMP> elements.

Note The tag <LISTING> has been deprecated by the World Wide Web Consortium. Use <PRE> or <SAMP> instead.

To correct this error

  1. Open this Web page for editing in HTML view.
  2. Move the script from within the <LISTING> element to another location in the HTML markup, or delete the script.
  3. Replace the <LISTING> tag with <PRE> or <SAMP>.
  4. Save the page.

    You can then continue to edit the page in either HTML view or Design view.


Could not open this page in Design View. An embedded script is not permitted inside a SELECT tag.

The HTML markup for a <SELECT> element on this Web page includes an embedded script. Embedded scripts cannot be used within <SELECT> elements.

To correct this error

  1. Open this Web page in HTML view.
  2. Move the script from within the <SELECT> element to another location in the HTML markup, or delete the script.
  3. Save the page.

    You can then continue to edit the page in either HTML view or Design view.


Could not open this page in Design View. An embedded script is not permitted inside a TEXTAREA tag.

The HTML markup for a <TEXTAREA> element on this Web page includes embedded script. Embedded scripts cannot be used within <TEXTAREA> elements.

To correct this error

  1. Open this Web page in HTML view.
  2. Move the embedded script from within the <TEXTAREA> element to another location in the HTML markup, or delete it from the markup.
  3. Save the page.

    You can then continue to edit the page in either HTML view or Design view.


Could not open this page in Design View. Active Server Page (.asp) markup must be quoted within an attribute value or inside a SELECT tag.

Before switching to Design view, the HTML Designer looks for any Active Server Pages (ASP) markup embedded within certain HTML tags. If such ASP script is not properly quoted, the HTML Designer displays the error message above and prevents you from switching to Design view.

To correct this error

  • To work around this issue, quote the embedded HTML that contains the ASP script within Response.Write commands.

Example

The ASP markup within the OPTION tag below reproduces this error message and prevents you from switching to Design view:

<SELECT>
<OPTION value="<%=OptionValue1%>">Option 1</OPTION>
</SELECT>

To work around this problem, replace the <OPTION> markup above with the embedded markup below, quoted within Response.Write commands:

<SELECT>
<%
...Response.Write "<SELECT>"
...Response.Write "<OPTION value='<%=OptionValue1%>'>Option 1</OPTION>"
...Response.Write "</SELECT>"
%>
</SELECT>

This enables you to switch to Design view. However, the <OPTION> element created by the Response.Write command will not appear there.


The values for horizontal and vertical grid spacing must be positive integers greater than zero.

In the Tools Options for the HTML Designer Display, you have entered values in the Horizontal Spacing or Vertical Spacing fields that are not positive integers greater than zero.

To correct this error

  1. From the Tools menu select Options, and under HTML Designer select Display.
  2. Enter values in the Horizontal Spacing and Vertical Spacing fields that are positive integers greater than zero.


The Horizontal Space value must be a positive number greater than zero.

You have selected the Properties for an image and entered a value in the Horizontal Space field that is not a positive integer greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click the image and select Properties from its context menu.
  3. In the Horizontal Space field, enter a positive integer greater than zero.


Hyperlink URLs cannot include 'string.'

Characters that are not permitted have been included in a URL string, or unescaped characters have been included in query strings.

To correct this error

  • Edit the URL string in HTML view and use permitted alphanumeric characters. Use escape characters in a query string.


The Image Height must be a positive integer greater than zero.

The Image Height property has a value that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click on the image and select Properties from the shortcut menu.
  3. The Properties window displays the properties of the selected image. Scroll to the Image Height property and enter a positive integer greater than zero.

    The HTML markup of the selected <IMG> element is modified. Save these changes to your document.


The Image Width must be a positive integer greater than zero.

The Image Width property has a value that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click the image and select Properties from its shortcut menu.
  3. In the Width field, enter a positive integer greater than zero.

    The HTML markup of the selected <IMG> element is modified. Save these changes to your document.


Could not perform this operation on the current selection. Change the selection and try again.

You have attempted to perform an operation that the selected item does not permit.

To correct this error

  • Select a different item

    - or -

  • Perform some other action on this item.


Could not insert the selected item 'name' at the current location.

The location you have selected is not appropriate for the item to be inserted.

To correct this error

  • Select a different item

    - or -

  • Change the location where you will insert this item.


Could not find the external script file 'filename' called by this Web page.

The HTML markup for this Web page includes a call to an external script file of the type

<SCRIPT TYPE="text/vbscript" SRC="MyScript.vbs"></SCRIPT>

An external script file called by this Web page was not found at the source location specified.

To correct this error

  • In the HTML view editor, correct the SRC attribute of the external SCRIPT call

    - or -

  • Move the script file named to the location specified in the SRC attribute.


The Style Builder could not be found. Please reinstall this Visual Studio component.

Your installation of the application might have been interrupted before the Style Builder could be installed, or program folders might have been moved or otherwise modified after installation.

To correct this error

  • Reinstall the Style Builder component

    - or -

  • Reinstall the application.


The Name property cannot include spaces. Enter another value.

You have assigned a Name to an HTML element that includes one or more spaces.

To correct this error

  • Replace any spaces in the NAME with an underscore or other alphanumeric character.


The Number of Columns must be a positive integer greater than zero.

You have entered a value in the Number of Columns field of the Insert Table dialog box that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Click at the location on the page where you want to insert a table.
  3. From the Table menu, select Insert Table.
  4. Enter a value in the Number of Rows field that is a positive integer greater than zero.


The Number of Rows must be an integer greater than zero.

You have entered a value in the Number of Rows field of the Insert Table dialog box that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Click at the location on the page where you want to insert a Table.
  3. From the Table menu, select Insert Table.
  4. Enter a value in the Number of Rows field that is a positive integer greater than zero.


You cannot use Design View to modify Microsoft Office documents. Use an Office program, or use HTML View.

You cannot open a Microsoft Office document in Design view.

To correct this error

  • Use the Microsoft Office application that created this document, for example, Microsoft Word or Microsoft Excel, to open this document

    - or -

  • If this document includes HTML code you wish to edit, open it in HTML view.


A Web page accessed via HTTP cannot be modified directly. Save the desired HTML source code as a new file, and then edit this new file.

To modify HTML source code from a Web page loaded into the editor via the HTTP protocol, you must first save a local copy of the page. You can modify this local copy as needed.

Note The HTML protocol does not permit a Web page to be opened and then overwritten with a modified copy of itself on the same active Web server.

To correct this error

  1. Select Save As from the File menu to save a local copy of the Web page.
  2. Open and edit this copy of the Web page.


The text in this area cannot be modified.

If the value of the readOnly property of an <INPUT> or <TEXTAREA> is set to 1 or TRUE, the user cannot edit its text.

To correct this error

Set the readOnly property of this <INPUT> or <TEXTAREA> to 0 or FALSE.


This file is protected by source code control. You must check out the file before it can be modified.

Before you can modify a source-controlled file, you must check it out. When you check out a file, the latest file version is copied to your project. You can check out files either exclusively or nonexclusively. When you check out a file exclusively, no other user can check out the file until you check it in.

To correct this error

  • Use the Check Out command to check out source-controlled projects and files.


The Table Height must be an integer greater than zero.

The Height property of an HTML table has a value that is not a positive number greater than zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TABLE> node for the table that needs editing.
  4. The Properties window displays the properties of the selected table. Scroll to the Height property and enter a value that is a positive number greater than zero.

    The HTML markup of the selected <TABLE> element is modified. Save these changes to your document.


The Table Width must be an integer greater than zero.

The Width property of an HTML table has a value that is not a positive number greater than zero.

To correct this error

  1. Open the HTML page for editing in Design view of the HTML Designer.
  2. From the View menu, select Other Windows and choose Document Outline. The Document Outline window opens in HTML Outline view.
  3. In the Document Outline window, click the <BODY> node to display all HTML elements on the page. You can click any element to select it in Design view. Click the <TABLE> node for the table that needs editing.
  4. The Properties window displays the properties of the selected table. Scroll to the Width property and enter a value that is a positive number greater than zero.

    The HTML markup of the selected <TABLE> element is modified. Save these changes to your document.


Could not complete the action.

The editor did not receive a response when it attempted to perform the action.

To correct this error

  • Confirm that the resources to complete the action are available, then try again.


Hyperlinks URLs can be up to 255 characters long. Any additional characters in this URL have been deleted.

The length of a URL, including its search string, exceeds 255 characters.

To correct this error

  • Use a shorter form of the URL

    - or -

  • Choose another method than a query string for sending data to your Web server.


The value for Margins must be 1 or 0.

The Margins property of an HTML element has been set to a value other than 1 or 0.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click on the element and select Properties from the context menu.
  3. The Properties window displays the properties of the selected cell. Scroll to the Margins property and enter 1 (show) or 0 (conceal).

    The HTML markup of the selected element is modified. Save these changes to your document.


The values permitted in this field do not include 'value.' Enter a different number.

You have entered a value not permitted in this field.

To correct this error

  • Enter a permitted value.


The values for Rows and Columns must be positive integers greater than zero.

You have entered a value in the Rows and Columns field of the Insert Table dialog box that is not a positive number greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Click at the location on the page where you want to insert a table.
  3. From the Table menu, select Insert Table.
  4. Enter a value in the Number of Rows field that is a positive integer greater than zero.


The values for Border/Horizontal/Vertical Spaces must be either positive integers or zero.

You have selected the Properties for an image and entered values in the Border or Horizontal Space or Vertical Space fields that are not positive integers or zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click the image and select Properties from its context menu.
  3. In the Border, Horizontal Space, and Vertical Space fields, enter either zero or positive integers.


The Vertical Space value must be a positive number greater than zero.

You have selected the Properties for an image and entered a value in the Vertical Space field that is not a positive integer greater than zero.

To correct this error

  1. Open this HTML page for editing in Design view of the HTML Designer.
  2. Right-click the image and select Properties from its context menu.
  3. In the Vertical Space field, enter a positive integer greater than zero.


Could not change views. Select Options from the Tools menu and check your settings.

In some cases, Edit and Continue will not permit changes immediately to compiled code but will apply these changes later as you continue debugging. The HTML view window shows code to be replaced in gray, and does not let you edit dimmed code.

Note You cannot change views while you are debugging.

When the current function finishes running and is called next, Edit and Continue will make the changes to your compiled code, and the revised code will be undimmed in the editor.

To correct related errors

  • To open the page in Design view, finish debugging the page, turn off debugging, and then switch views.
  • To turn off HTML Validation, select Text Editor from Tools Options, and under HTML clear the "Enable HTML Validation" check box.


Could not reformat the document. The original format was restored.

The HTML or XML in the document is not well formed, or you have attempted to make types of style changes to an entire page that can only be applied to some portions of the page.

To correct this error

  • Check the syntax of the CSS styles and style attributes used on your page.
  • Check the syntax of the HTML elements to which these styles apply.
  • Make sure that all CSS style attributes are applied to elements that permit those attributes.


There is no class file in the project associated with this Active Server Page (.aspx) file. Create a new class file now?

You have created a new .aspx file or opened an existing .aspx file that does not have an associated class file.

To correct this error

  • Click Yes in the dialog box to create a new class file

    - or -

  • Click No, and then add an existing class file to the project.


There is no class file in the project associated with this Web Form. Create a new class file now?

You have created a new Web form or opened an existing Web form that does not yet have an associated class file.

To correct this error

  • Click Yes in the dialog box to create a new class file

    - or -

  • Click No, and then add an existing class file to the project.


This document does not yet have any scripts. Add at least one set of SCRIPT tags before switching to Script Only View.

You have a document open in the HTML Designer that does not yet include any scripts and you have attempted to change to Script Only View.

To correct this error

  1. In the HTML view editor, add at least one set of opening and closing <SCRIPT></SCRIPT> tags to the document.
  2. Save the document.
  3. Then change to Script Only View.


Save changes before you preview the file?

While editing an HTML document in the HTML Designer, you must save your changes before you can view them in the browser.

To correct this error

  1. Save the edited HTML document first.
  2. Then select View in Browser from the View menu.


This file is already in use. Any changes you make will not be saved.

You have opened an HTML document that another user is editing. A file can be edited by only one user at a time. Your version will be a read-only copy, and any changes that you make will not be saved to the original file.

To correct this error

  • Wait until the other user closes the document, and then open it for editing.


This object could not be loaded into the HTML Designer.

A processing problem did not permit the object to be loaded into the HTML Designer.

To correct this error

  1. Confirm the following:
    1. The object is available at the expected location.
    2. You have access to that location.
    3. You have sufficient memory to continue editing in HTML Designer.
  2. When all three of the above conditions are true, load the object again.


This object has been loaded into the HTML Designer.

Confirms that this object is available for editing in HTML Designer.


The values permitted for the attribute 'attribute' do not include 'value.'

The attribute named does not permit the value assigned.

To correct this error

  • Change the value to one that is permitted for this attribute.


The active schema does not support the attribute 'attribute.'

An attribute appears in the HTML markup for your page that is not permitted by the HTML schema set in the targetSchema property of the page.

To correct this error

  • Replace this unsupported attribute with HTML markup that is supported in the HTML version indicated in the targetSchema property for this Web page.

    - or -

  • In the Properties window for this Web page, change the targetSchema property to a version of HTML that does support the desired attribute.


The World-Wide-Web Consortium now regards the attribute 'attribute' as outdated. Newer constructs are recommended.

The older HTML element named in the message has been deprecated by the World-Wide-Web Consortium. As their HTML 4.01 Specification explains at 4 Conformance: requirements and recommendations:

A deprecated element or attribute is one that has been outdated by newer constructs.

The HTML 4.01 Specification includes in its Index of Attributes 47 deprecated HTML 3.2 attributes that should be replaced by newer constructs.

To correct this error

  • Replace the deprecated attribute with a newer HTML construct.


Another object on this page already uses the ID 'ID.'

Two or more items on the page are identified by the same ID.

To correct this error

  • Assign each element on the page a unique ID value.


Could not find any attribute 'attribute' of element 'element.'

A script function has attempted to retrieve the value assigned to an attribute of an element, but this attribute is not defined within the HTML markup for that element.

To correct this error

  • If the attribute is one that is permitted by this element, define the attribute within the HTML markup for the element.


Per the active schema, the element 'element1' cannot be nested within 'element2.'

The HTML markup for an element has been included within the markup for a parent element, where it should not occur.

To correct this error

  • Place the HTML markup for this element in another location where it is not included within this parent element.


The active schema does not support the element 'element.'

An element appears in the HTML markup for your page that is not permitted by the HTML schema set in the targetSchema property of the page.

To correct this error

  • Replace this unsupported element with HTML markup that is supported in the HTML version indicated in the targetSchema property for this Web page.

    - or -

  • In the Properties window for this Web page, change the targetSchema property to a version of HTML that does support the desired element.


The element 'element' does not require a closing tag.

A closing tag for an element that does not require a closing tag is included in the HTML markup for a page.

To correct this error

  • Remove the unneeded closing tag for this element.


The World-Wide-Web Consortium now regards the element 'element' as outdated. Newer constructs are recommended.

The older HTML element named in the message has been deprecated by the World-Wide-Web Consortium. As their HTML 4.01 Specification explains at 4 Conformance: requirements and recommendations:

A deprecated element or attribute is one that has been outdated by newer constructs.

Appendix A of the HTML 4.01 Specification gives the following list of deprecated HTML 3.2 elements that should be replaced by newer constructs:

APPLET
BASEFONT
CENTER
DIR
FONT
ISINDEX
MENU
S
STRIKE
U.

To correct this error

  • Replace the deprecated element with a newer HTML construct.


The server element 'element' is missing its closing tag.

The closing tag for an HTML element is missing from a server-side Web page.

To correct this error

  • Place a closing tag for the element at the conclusion of its HTML markup, before the opening tag for the next element.


The element 'element1' within a server element is missing its closing tag or overlaps with element 'element2.'

The closing tag for an HTML element is missing from a server-side Web page, or the opening tag of a second element occurs before the closing tag was found.

To correct this error

  • Place a closing tag for the element at the conclusion of its HTML markup, before the opening tag for the next element.


Per the active schema, the element 'element' must be included within a parent element.

The HTML markup for this element should occur within the markup for a parent element, but it does not.

To correct this error

  • Place the HTML markup for this element within its required parent element.


Could not validate 'item.' This item is unknown.

An item cannot be validated because no such element is known.

To correct this error

  • Check the name of the element in the HTML markup, and edit it as needed.


Full HTML View

The complete HTML code of the page is being displayed.


Script Only View

Only code included within SCRIPT tags is being displayed.


The Visual Modeler Diagram Surface could not be found. Please reinstall Visual Studio.

Your installation of Visual Studio might have been interrupted before the Visual Modeler Diagram Surface could be installed, or program folders might have been moved or otherwise modified after installation.

To correct this error

  • Reinstall Visual Studio.


The application cannot undo.

This error generally occurs when an undo operation has been attempted for an item that has a linked undo to another file. If an action has taken place since the linked modification, the application cannot roll back the change.

To correct this error

  • Manually reverse the change.


Editor Convenience Commands and Features

The Code Editor has several new commands and convenience features to facilitate the development process.

  • Word wrap When text extends beyond the visible code pane, it can automatically wrap to the next line.
  • Incremental search An incremental search is performed on a letter-by-letter basis as you type the characters. To activate an incremental search, press CTRL+I.
  • Go Back/Go Forward buttons The Go Back and Go Forward buttons are used to jump to the previous or the next location.
  • Code Outlining Select a region of code and hide it under a single line, and then expand or collapse that region.
  • Collapse to definition (Available only in C# and Visual C++) All procedures (methods, functions, ifdefs, code blocks, etc.) are collapsed and hidden under their definition, making it easier to read and navigate throughout your code. To collapse to definition, press CTRL+M and then CTRL+O.
  • Collapse current block Hide selected code under the first selected line, and then expand or collapse it by clicking the symbol next to it. To collapse the current block, choose Outlining from the Edit menu, and then choose Toggle Outlining Expansion.
  • Clipboard ring When text is cut or copied, the fragments are stored in an environment clipboard known as the Clipboard Ring where you can pick and choose among them and paste back into your code.
  • IntelliSense When a function or statement is entered into the Code Editor, its complete syntax and arguments are shown in a ToolTip. In addition, languages that support early binding display available functions, statements, constants, and other values in a list that you can choose from.
  • Line numbering Display line numbers in code by clicking that option in Tools, Options, Text Editor. You can do this on a per-language basis or for all languages. After line numbering has been activated, you can go to a particular line by clicking Go To in the Edit menu, or by pressing CTRL+G.


Regular Expressions

Regular expressions are a concise and flexible notation for finding and replacing patterns of text.

You can use the following regular expressions in the Find and Replace dialog boxes to refine and expand your search.

Note You must choose the Use check box in the Find and Replace dialog boxes before using any of the following as part of your search criteria.

The following expressions can be used to match characters or digits in your search string:

Expression | Syntax | Description | Example
Any character | . | Matches any one character except a line break. |
Maximal-zero or more | * | Matches zero or more occurrences of the preceding expression. |
Maximal-one or more | + | Matches at least one occurrence of the preceding expression. |
Minimal zero or more | @ | Matches zero or more occurrences of the preceding expression, matching as few characters as possible. |
Minimal-one or more | # | Matches one or more occurrences of the preceding expression, matching as few characters as possible. |
Repeat n times | ^n | Matches n occurrences of the preceding expression. | [0-9]^4 matches any 4-digit sequence.
Set of characters | [] | Matches any one of the characters within the []. To specify a range of characters, list the starting and ending character separated by a dash (-), as in [a-z] |
Character not in set | [^...] | Matches any character not in the set of characters following the ^ |
Beginning of line | ^ | Anchors the match to the beginning of a line. |
End of line | $ | Anchors the match to the end of a line. |
Beginning of word | < | Matches only when a word begins at this point in the text. |
End of word | > | Matches only when a word ends at this point in the text. |
Grouping | () | Groups a subexpression. |
Or | | | Matches the expression before or after the |. Mostly used within a group. | (sponge|mud) bath matches "sponge bath" and "mud bath."
Escape | \ | Matches the character following the backslash (\). This allows you to find characters used in the regular expression notation, such as { and ^. | \^ Searches for the ^ character.
Tagged expression | {} | Tags the text matched by the enclosed expression. |
nth tagged text | \n | In a Find or Replace expression, indicates the text matched by the nth tagged expression, where n is a number from 1 to 9. In a Replace expression, \0 inserts the entire matched text. |
Right-justified field | \(w,n) | In a Replace expression, right-justifies the nth tagged expression in a field at least w characters wide. |
Left-justified field | \(-w,n) | In a Replace expression, left-justifies the nth tagged expression in a field at least w characters wide. |
Prevent match | ~X | Prevents a match when X appears at this point in the expression. | real~(ity) matches the "real" in "realty" and "really," but not the "real" in "reality."
Alphanumeric character | :a | Matches the expression ([a-zA-Z0-9]) |
Alphabetic character | :c | Matches the expression ([a-zA-Z]) |
Decimal digit | :d | Matches the expression ([0-9]) |
Hexadecimal digit | :h | Matches the expression ([0-9a-fA-F]+) |
Identifier | :i | Matches the expression ([a-zA-Z-$][a-zA-Z0-9_$]*) |
Rational number | :n | Matches the expression (([0-9]+.[0-9]*)|([0-9]*.[0-9]+)|([0-9]+)) |
Quoted string | :q | Matches the expression (("[^"]*")|('[^']*')) |
Alphabetic string | :w | Matches the expression ([a-zA-Z]+) |
Decimal integer | :z | Matches the expression ([0-9]+) |
Escape | \e | Unicode U+001B |
Bell | \g | Unicode U+0007 |
Backspace | \h | Unicode U+0008 |
Line break | \n | Matches a platform-independent line break. In a Replace expression, inserts a line break. |
Tab | \t | Matches a tab character, Unicode U+0009 |
Unicode character | \x#### or \u#### | Matches a character given by Unicode value where #### is hexadecimal digits. You can specify a character outside the Basic Multilingual Plane (that is, a surrogate) with the ISO 10646 code point or with two Unicode code points giving the values of the surrogate pair. |

The following table lists the syntax for matching by standard Unicode character properties. The two-letter abbreviation is the same as listed in the Unicode character properties database. These may be specified as part of a character set. For example, the expression [:Nd:Nl:No] matches any kind of digit.

Expression | Syntax | Description | Example
Uppercase letter | :Lu | Matches any one capital letter. | :Luhe matches "The" but not "the".
Lowercase letter | :Ll | Matches any one lower case letter. | :Llhe matches "the" but not "The".
Title case letter | :Lt | Matches characters that combine an uppercase letter with a lowercase letter, such as Nj and Dz. |
Decimal digit | :Nd | Matches decimal digits such as 0-9 and their full-width equivalents. |
Open punctuation | :Ps | Matches opening punctuation such as open brackets and braces. |
Close punctuation | :Pe | Matches closing punctuation such as closing brackets and braces. |
Initial quote punctuation | :Pi | Matches initial double quotation marks. |
Final quote punctuation | :Pf | Matches single quotation marks and ending double quotation marks. |
Dash punctuation | :Pd | Matches the dash mark. |
Connector punctuation | :Pc | Matches the underscore or underline mark. |
Other punctuation | :Po | Matches commas (,), ?, ", !, @, #, %, &, *, \, colons (:), semi-colons (;), ', and /. |
Space separator | :Zs | Matches blanks. |
Line separator | :Zl | Matches the Unicode character U+2028 |
Paragraph separator | :Zp | Matches the Unicode character U+2029 |
Math symbol | :Sm | Matches +, =, ~, |, <, and > |
Currency symbol | :Sc | Matches $ and other currency symbols. |
Other control | :Cc | Matches end of line. |
Other format | :Cf | Formatting control character such as the bidirectional control characters. |
Surrogate | :Cs | Matches one half of a surrogate pair. |
Other private-use | :Co | Matches any character from the private-use area. |

In addition to the standard Unicode character properties, the following additional properties may be specified. These properties may be specified as part of a character set.

Expression | Syntax | Description | Example
Alpha | :Al | Matches any one character | :Alhe matches words such as "The", "then", and "reached".
Numeric | :Nu | Matches any one number or digit |
Punctuation | :Pu | Matches any one punctuation mark, such as ?, @, ', etc. |
White space | :Wh | Matches all types of white space, including publishing and ideographic spaces. |
Bidi | :Bi | Matches characters from right-to-Left scripts such as Arabic and Hebrew. |
Hangul | :Ha | Matches Korean Hangul and combining Jamos. |
Hiragana | :Hi | Matches Hiragana characters. |
Katakana | :Ka | Matches katakana characters. |
Ideographic/Han/Kanji | :Id | Matches ideographic characters, such as Han and Kanji |


About Dialog Box

The About dialog box provides product information and allows you to access information about the machine the product is running on. This dialog box is available from the Help menu.

This product is licensed to

Displays the name of the user and company specified during setup.

Installed Products

Lists the name and product identification number for each item installed.

Copy Info

Copies the selected product name and identification number from the Installed Products box to the system clipboard.

Product Details

Provides the selected product's icon and a brief description of the product, if a description exists.

System Info

Displays the Windows System Information dialog box, which contains information about the current machine, such as operating system, processor, and memory.


General, PL/SQL, Text Editor, Options Dialog Box

This dialog box allows you to change the PL/SQL settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


General, SQL, Text Editor, Options Dialog Box

This dialog box allows you to change the SQL settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


General, T-SQL7, Text Editor, Options Dialog Box

This dialog box allows you to change the T-SQL7 settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


General, T-SQL80, Text Editor, Options Dialog Box

This dialog box allows you to change the T-SQL80 settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


General, T-SQL, Text Editor, Options Dialog Box

This dialog box allows you to change the T-SQL settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


General, Visual FoxPro, Text Editor, Options Dialog Box

This dialog box allows you to change the Visual FoxPro settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Statement Completion

Auto list members

When selected, a list of available members of a given object or class displays at the appropriate places when you enter a line of code.

Parameter information

When selected, parameter information displays for the function or procedure, if any is available.

Settings

Enable virtual space

When selected, allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Word wrap

When selected, lines that extend horizontally beyond the visible range of the Editor are automatically wrapped to the next line.

Display

Line numbers

When selected, a line number displays to the left of each line of text.

Enable single-click URL navigation

When selected, URLs embedded in the text require only a single mouse click to navigate to their Web page.


Project Explorer

The Project Explorer allows you to view an manage files associated with your document or application.

Project Explorer Toolbar Icon

Displays properties for the selected Project Explorer item. When a project node is selected, clicking this button invokes the [ProjectName] Property Pages dialog box. If any other node is selected, clicking this button invokes the Properties window, if not already displayed. You can also get properties for a project by selecting it and pressing SHIFT+F4, or by selecting Property Pages on the View menu.

Managing items in Project Explorer

  • Opening Files To open a file, double-click it, or right-click it and select Open.
  • Cutting and Copying Files To cut or copy files, select them and then select Cut or Copy on the Edit menu, or right-click the files and select Cut or Copy.
  • Deleting Files To delete a project, select it and press the DELETE button. To delete a file in a project, select it and press DELETE, or right-click the item and select Delete.
  • Adding References To add a reference to a project, select Add Reference on the Project menu, or right-click References in the project and select Add Reference.
  • Exporting Files To export a file, select it and select Export on the File menu, or right-click the file and select Export.
  • Drag and Drop You can drag and drop files from one project to another. This action moves the file to the drop target location. Pressing the CTRL key while selecting the file copies the file to the specified location.

    Note The Project Explorer does not support Windows' right-click drag and drop behavior.

  • Multiple-selection You can select multiple items in a project. Select multiple items when you want to perform batch operations (simultaneously opening multiple files for editing, for example) or when you want to determine or edit the properties shared by two or more project items.

    To select contiguous items, click the first item, hold down the SHIFT key, and then click the last item. To select items non-contiguously, press the CTRL key and click the items you want to select.

    When multiple items are selected, the Properties Page displays only the properties shared by all of the selected items.


Setting the showGrid Property

The showGrid property determines whether the positioning grid will be displayed in Design View of the HTML Designer when the pageLayout property is set to GridLayout.

To set the default value for the showGrid property

  1. Select Options from the Tools menu to open the Options dialog box.
  2. Select the HTML Designer, Display page.
  3. Set the showGrid property to True (display grid) or False (hide grid).

To adjust the value of the showGrid property while editing a Web page

  1. Select the page in the HTML Designer.
  2. From the drop-down menu at the top of the Properties Window, select Document.
  3. Set the showGrid property to True (display grid) or False (hide grid).

If you adjust the showGrid property to a value different than the default, a META NAME=vs_showGrid tag is inserted into the <HEAD></HEAD> portion of your page. For instance, if the default value of the showGrid property is False and you change it to True, this META tag is inserted:

<META NAME=vs_showGrid content="True">.


Tabs, PL/SQL, Text Editor, Options Dialog Box

Allows you to change the PL/SQL tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, SQL, Text Editor, Options Dialog Box

Allows you to change the SQL tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, T-SQL7, Text Editor, Options Dialog Box

Allows you to change the T-SQL7 tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, T-SQL80, Text Editor, Options Dialog Box

Allows you to change the T-SQL80 tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, T-SQL, Text Editor, Options Dialog Box

Allows you to change the T-SQL tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.


Tabs, Visual FoxPro, Text Editor, Options Dialog Box

Allows you to change the Visual FoxPro tab settings for the Code/Text Editor. You can access the Options dialog box from the Tools menu.

Indenting

None

When selected, no automatic indenting occurs when you press ENTER to move to a new line of text and the cursor is placed at the first column of the next line.

Block

When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Tabs

Tab size

Specifies the number of spaces represented by a TAB character.

Indent size

Specifies the number of spaces to be inserted by an indent operation which occurs when the TAB key is pressed. The space inserted may be a combination of tab characters and/or space characters.

Insert spaces

When selected, indent operations insert space characters rather than TAB characters. If indent size is set to 5, for example, then five spaces are inserted in the current line of text if you press the TAB key or the Indent button.

Keep tabs

When selected, indent operations insert TAB characters rather than spaces when possible. The TAB character fills the number of spaces specified in Tab size. If the indent size is not an even multiple of the TAB size, space characters are inserted to fill the remaining space.